=== ChangeLog discontinued ===

	With the move to git, nautilus is switching from a ChangeLog file
	to relying on commit messages to provide change history. Please
	see README.commits for guidance on the expected message format.

2009-04-16  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Reversed check in last commit, fixed.

2009-04-16  Alexander Larsson  <alexl@redhat.com>

	Bug 578983 – set_more_warnings check of WARNING_CFLAGS doesn't work
	
	* configure.in:
	Actually check the options.

2009-04-16  Alexander Larsson  <alexl@redhat.com>

	* src/nautilus-places-sidebar.c (nautilus_places_sidebar_init):
	Set typeahead column to the name column.

2009-04-16  Alexander Larsson  <alexl@redhat.com>

	Bug 578468 – Change of font DPI setting does not effect desktop icons

	* libnautilus-private/nautilus-icon-canvas-item.c:
	(nautilus_icon_canvas_item_invalidate_label_size):
	Invalidate pango layouts since the context could have changed
	For instance the font DPI.

2009-04-16  Alexander Larsson  <alexl@redhat.com>

	Bug 579086 – Excessive white-space on right-hand side in icon view
	
	* libnautilus-private/nautilus-icon-container.c:
	(nautilus_icon_container_update_scroll_region):
	When using at allocation->width, take zoom into account

2009-04-13  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

=== nautilus 2.26.2 ===

2009-04-13  Alexander Larsson  <alexl@redhat.com>

	* src/nautilus-places-sidebar.c:
	(add_place):
	Don't show eject if not mounted.

2009-04-13  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

2009-04-11  Alexander Larsson  <alexl@redhat.com>

	* src/file-manager/fm-directory-view.c:
	* src/file-manager/fm-tree-view.c:
	* src/nautilus-places-sidebar.c:
	Show both unmount and eject in menus. We need to show eject for
	a lot of devices (that we can't detect ahead of time) so we're
	enabling it much more generally. However, eject sometimes does
	things you don't want (like unmounting all volumes on a drive),
	so we also need to expose unmount.

	For discussion, see bug 574067 and bug 576587.

2009-04-09  Cosimo Cecchi  <cosimoc@gnome.org>

	* cut-n-paste-code/libegg/eggsmclient.c:
	(egg_sm_client_get_option_group): revert string freeze break.

2009-04-09  Cosimo Cecchi  <cosimoc@gnome.org>

	* cut-n-paste-code/libegg/eggsmclient-xsmp.c: (save_state),
	(set_properties), (ptrarray_prop):
	* cut-n-paste-code/libegg/eggsmclient.c:
	(egg_sm_client_get_option_group):
	Update the EggSMClient code from libegg trunk.

2009-04-08  Cosimo Cecchi  <cosimoc@gnome.org>

	* cut-n-paste-code/libegg/eggtreemultidnd.c:
	(egg_tree_multi_drag_source_get_type),
	(egg_tree_multi_drag_motion_event):
	Update the eggtreemultidnd.[ch] from libegg trunk (#560335).

2009-04-08  Alexander Larsson  <alexl@redhat.com>

	* libnautilus-private/nautilus-column-utilities.c:
	(get_builtin_columns):
	Add column for location. (#374661)

2009-04-08  Alexander Larsson  <alexl@redhat.com>

	* libnautilus-private/nautilus-mime-actions.c:
	Make sure PackageKit is active before showing
	install dialog.
	Patch from  James Westby

2009-04-08  Alexander Larsson  <alexl@redhat.com>

	* src/file-manager/fm-directory-view.c:
	(add_script_to_scripts_menus):
	Use gtk_action_group_add_action_with_accel so that we
	allow users to define key shortcuts for scripts.

	Patch from Holger Berndt <berndth@gmx.de>

2009-04-08  Alexander Larsson  <alexl@redhat.com>

	* libnautilus-private/nautilus-file-utilities.[ch]:
	* libnautilus-private/nautilus-file-utilities.h:
	Add nautilus_get_accel_map_file

	* src/nautilus-application.[ch]:
	Load accel map on startup, queue save when it changes.

	* src/nautilus-main.c:
	Save accel map on clean exit if it is dirty.

	Patch from Holger Berndt <berndth@gmx.de>

2009-04-07  Alexander Larsson  <alexl@redhat.com>

	* src/nautilus-spatial-window.c:
	Make sure we save spatial geometry and data on close both
	via WM close button and ctrl-w.

2009-04-07  Alexander Larsson  <alexl@redhat.com>

	* libnautilus-private/nautilus-icon-container.c:
	(nautilus_icon_container_get_first_visible_icon):
	Fix up this for RTL in compact mode. We need to look
	at the right place and do the right kind of comparison
	on pos.

2009-04-07  Alexander Larsson  <alexl@redhat.com>

	* libnautilus-private/nautilus-icon-container.c:
	(nautilus_icon_container_layout_now):
	Ensure that we've also size-allocated for the new contents.
	It may happen that newly added icons caused the size allocate
	to turn on a scrollbar, which will change the layout.

2009-04-07  Alexander Larsson  <alexl@redhat.com>

	Bug 559863 – RTL locales: icons in folder icon view are aligned to the left

	* libnautilus-private/nautilus-icon-container.c:
	(nautilus_icon_container_update_scroll_region):
	Fix up the icon view extents so that we always
	include the full window allocation in the automatic
	layout case, plus allow extents < 0 (due to layout
	in RTL mode).
	This makes sure we RTL auto-layouting works correctly
	instead of being flushed to the left.

2009-04-06  Alexander Larsson  <alexl@redhat.com>

	* libnautilus-private/nautilus-dnd.c:
	(nautilus_drag_default_drop_action_for_icons):
	Fix regression in the default dnd type. We don't
	want to look recursively for the parent.
	See https://bugzilla.redhat.com/show_bug.cgi?id=456515
	for details.

2009-04-02  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

=== nautilus 2.26.1 ===

2009-04-02  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for relase

2009-04-01  Alexander Larsson  <alexl@redhat.com>

	* libnautilus-private/nautilus-directory-private.h:
	* libnautilus-private/nautilus-directory.c:
	* libnautilus-private/nautilus-file.c:
	Call query_filesystem_info asynchronously.
	Also, avoid calling it to often 

2009-04-01  Alexander Larsson  <alexl@redhat.com>

	Bug 518481 – URL shortcuts do not open query part

	* libnautilus-private/nautilus-file-private.h:
	* libnautilus-private/nautilus-file.[ch]:
	* libnautilus-private/nautilus-desktop-icon-file.c:
        (update_info_from_link):
	* libnautilus-private/nautilus-directory-async.c:
        (lacks_mount):
        (link_info_done):
	* libnautilus-private/nautilus-search-directory-file.c:
        (nautilus_search_directory_file_init):
	Store NautilusFile activation uri as char *uri, not
	GFile, as we sometimes handle links that are not true
	GFile locations such as mailto: links in desktop files.

	* libnautilus-private/nautilus-desktop-link.[ch]:
        Add nautilus_desktop_link_get_activation_uri

	* libnautilus-private/nautilus-directory.c:
        (nautilus_directory_notify_files_added_by_uri):
        (nautilus_directory_notify_files_changed_by_uri):
        (nautilus_directory_notify_files_removed_by_uri):
        (nautilus_directory_schedule_metadata_remove_by_uri):
	Use public nautilus_file_list_from_uris instead of local
	copy of it.

	* libnautilus-private/nautilus-mime-actions.c:
	Store both NautilusFile and char *uri in ApplicationLaunchParameters.
	This allows us to correctly handle uris that don't work well as
	GFiles and pass them unmodified to the launched applications.

	* libnautilus-private/nautilus-program-choosing.[ch]:
	Add nautilus_launch_application_by_uri() that launches an application
	by specifying the file as a uri, so that we can handle uris that
	don't work well as GFile/NautilusFiles.

2009-03-31  Alexander Larsson  <alexl@redhat.com>

        * src/file-manager/fm-directory-view.c:
        (handle_netscape_url_drop_ask_cb):
        (handle_netscape_url_drop_timeout):
        (fm_directory_view_handle_netscape_url_drop):
	Wait at most 1 second for http mimetype check.

2009-03-31  Alexander Larsson  <alexl@redhat.com>

        * src/file-manager/fm-directory-view.c:
        (handle_netscape_url_drop_ask_cb):
        (fm_directory_view_handle_netscape_url_drop):
	Check http mimetype asynchronously to avoid hanging

2009-03-30  Alexander Larsson  <alexl@redhat.com>

        * src/file-manager/fm-error-reporting.c:
        (fm_report_error_loading_directory):
	Don't show error about not mounted when loading a directory, as
	this will anyway automaticall trigger a mount operation (and possible
	error from that).

2009-03-26  Alexander Larsson  <alexl@redhat.com>

	Bug 576761 – fallback icon when icon specified in .desktop doesn't exist is ugly

	* libnautilus-private/nautilus-default-file-icon.c:
	Replace the ancient gnome 1.x fallback icon with something contemporary.

2009-03-23  Alexander Larsson  <alexl@redhat.com>

	Bug 129963 – nautilus locks up during window resize (compact mode)

        * libnautilus-private/nautilus-icon-container.c:
        * libnautilus-private/nautilus-icon-private.h:
	Work around possible infinite loop when relayouting by counting
	the number of iterations. This could happen in certain cases in
	with the compat mode. We use a clear-counter-at-idle-hack to detect
	the end of the loop.

2009-03-20  Cosimo Cecchi  <cosimoc@gnome.org>

	* src/file-manager/fm-properties-window.c:
	(custom_icon_file_chooser_response_cb),
	(select_image_button_callback): don't use gtk_dialog_run to
	spawn the filechooser for a custom icon (#575344).

2009-03-20  Alexander Larsson  <alexl@redhat.com>

	Bug 575244 – nautilus crashed with SIGSEGV in nautilus_query_editor_changed_force()

	* src/nautilus-query-editor.c (nautilus_query_editor_dispose):
	Remove typing timeout when destroying.

2009-03-19  Cosimo Cecchi  <cosimoc@gnome.org>

	* src/nautilus-window-menus.c:
	(nautilus_window_remove_trash_monitor_callback):
	* src/nautilus-window-private.h:
	* src/nautilus-window.c: (nautilus_window_finalize):
	Remember to disconnect the signal handler to the trash monitor
	when finalizing the window, as we don't own that object.

2009-03-19  Cosimo Cecchi  <cosimoc@gnome.org>

	* configure.in: bump required GTK+ version to 2.16.0.
	* src/nautilus-window-menus.c: (trash_state_changed_cb),
	(nautilus_window_initialize_trash_icon_monitor),
	(nautilus_window_initialize_menus):
	Update the trash icon in the "Go" menu according to the
	trash state (#575282).

2009-03-19  Cosimo Cecchi  <cosimoc@gnome.org>

	* src/file-manager/nautilus-audio-mime-types.h:
	Update mime types handled by totem-audio-preview.
	Patch by Bastien Nocera (#575345).

2009-03-19  Cosimo Cecchi  <cosimoc@gnome.org>

	* src/nautilus-navigation-window.c:
	(always_use_location_entry_changed),
	(nautilus_navigation_window_set_bar_mode):
	Always synchronize the location bar button with the pathbar
	mode. Patch by Paweł Paprota (#416891).

2009-03-19  Alexander Larsson  <alexl@redhat.com>

        * src/file-manager/fm-directory-view.c:
	Report error for failed mounts.

2009-03-19  Alexander Larsson  <alexl@redhat.com>

        * src/file-manager/fm-ditem-page.c:
        (item_entry_free):
        (save_entry):
        (build_table):
	Don't save desktop files if nothing actually changed.

2009-03-18  Cosimo Cecchi  <cosimoc@gnome.org>

	* libnautilus-private/nautilus-icon-container.c:
	(nautilus_icon_container_get_icon_text),
	(nautilus_icon_container_search_iter),
	(nautilus_icon_container_update_icon):
	* libnautilus-private/nautilus-icon-container.h:
	* src/file-manager/fm-icon-container.c:
	(fm_icon_container_get_icon_text):
	Unbreak typeahead find for 33% zoom level (#341708).

2009-03-18  Cosimo Cecchi  <cosimoc@gnome.org>

	* src/nautilus-application.c: (open_window), (open_windows),
	(message_received_cb), (nautilus_application_startup):
	Spawn the Nautilus windows on the right scren instead of always
	using the default one (#555078).

2009-03-17  Alexander Larsson  <alexl@redhat.com>

        * src/file-manager/fm-desktop-icon-view.c:
        (trash_link_is_selection):
	Don't unref link if NULL

2009-03-17  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-progress-info.c:
	Center cancel button over progress bar, makes dialog
	much nicer for long filenames.
	Patch from anthony <dreadyman16@gmail.com>

2009-03-16  Cosimo Cecchi  <cosimoc@gnome.org>

	* libnautilus-private/Makefile.am: remove -version-info LDFLAG
	from libnautilus-private, as that's a private library.
	Patch by Daniel Macks (#348301).

2009-03-16  Cosimo Cecchi  <cosimoc@gnome.org>

	* src/nautilus-application.c: (nautilus_application_load_session):
	Fix a typo in the session loading code.
	Patch by Vincent Untz (#575330).

2009-03-16  Alexander Larsson  <alexl@redhat.com>

	Bug 171655 – add support for XDS (Direct Save protocol) to list view

        * libnautilus-private/nautilus-tree-view-drag-dest.c:
	Support XDS in list view.
	Patch from Christian Neumair.

2009-03-16  Alexander Larsson  <alexl@redhat.com>

	Bug 523883 – Thumbnails for 200% zoom are regenerated each time a folder is opened.

        * libnautilus-private/nautilus-file.c:
        (nautilus_file_get_icon):
	allow scaling up thumbnails, use the scaled up thumnail
	for up to 25% size increase.

        * src/file-manager/fm-icon-container.c:
        (fm_icon_container_get_icon_images):
	Force thumbnail size for compact view to avoid loading at wrong size
	and then rescaling

2009-03-16  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

=== nautilus 2.26.0 ===

2009-03-16  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

	* configure.in:
	Bump version to 2.26.0

2009-03-12  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
        (copy_job_done):
	desktop_location can be NULL, check before unrefing

2009-03-12  Alexander Larsson  <alexl@redhat.com>

	Bug 550250 – nautilus crashed with SIGSEGV in g_type_check_instance_cast()

        * libnautilus-private/nautilus-autorun.c:
        (nautilus_autorun_rebuild_combo_box):
        (nautilus_autorun_prepare_combo_box):
	Don't re-allocate data in nautilus_autorun_rebuild_combo_box(), as some
	places still refer to the old version.

2009-03-12  Alexander Larsson  <alexl@redhat.com>

        Bug 532725 – non-refreshing thumbnails: at 150% zoom

        * libnautilus-private/nautilus-directory-async.c:
        (thumbnail_done):
	Get mtime from right place if loading the original as thumbnail.

2009-03-12  Alexander Larsson  <alexl@redhat.com>

	Bug 538888 – crash in Home Folder: I tried to open a direct...

	* libnautilus-private/nautilus-thumbnails.c:
	(get_pixbuf_from_data):
	Don't crash when gdk-pixbuf returns an error but doesn't
	set the GError properly.

2009-03-11  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

=== nautilus 2.25.93 ===

2009-03-11  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

2009-03-11  Alexander Larsson  <alexl@redhat.com>

	Bug 529295 – Unable to unmount

        * libnautilus-private/nautilus-directory-async.c:
        (got_mount):
	Set mount on NautilusFile via nautilus_file_set_mount.

        * libnautilus-private/nautilus-file-private.h:
        * libnautilus-private/nautilus-file.c:
	Add nautilus_file_set_mount to set GMount.
	Connect to "unmounted" on GMount and invalidate mount attribute
	in callback.

2009-03-10  Cosimo Cecchi  <cosimoc@gnome.org>

	* Makefile.am:
	* configure.in:
	* nautilus.spec.in: remove this obsolete spec file.

2009-03-09  Cosimo Cecchi  <cosimoc@gnome.org>

	* libnautilus-private/nautilus-autorun.c:
	(nautilus_allow_autorun_for_volume_finish):
	inhibit autorun for 10 seconds instead of 5 seconds at login,
	as that may be too short for slower machines (#520691).

2009-03-09  Cosimo Cecchi  <cosimoc@gnome.org>

	* libnautilus-private/nautilus-file-operations.c: added a translator
	comment explaining how to handle ordinal numbers if the language
	doesn't distinguish plural forms like 1st, 2nd, 3rd, xth (#325284).

2009-03-08  Sven Herzberg  <herzi@lanedo.com>

	Bug 574546 – Document nautilus_property_page_provider_get_pages()

	* libnautilus-extension/nautilus-property-page-provider.c: document
	the function
	* src/nautilus-image-properties-page.c,
	* src/nautilus-notes-viewer.c: drop the function documentation, it's
	in the API reference now

2009-03-08  Cosimo Cecchi  <cosimoc@gnome.org>

	* src/file-manager/fm-properties-window.c
	(add_permissions_combo_box):
	* src/nautilus-file-management-properties.c
	(create_icon_caption_combo_box_items):
	Add two comments for translators (#572158).

2009-03-07  Cosimo Cecchi  <cosimoc@gnome.org>

	* libnautilus-private/nautilus-file-operations.c (get_link_name):
	don't mark for translation a file name, as it's pointless (#534432).

2009-03-07  Cosimo Cecchi  <cosimoc@gnome.org>

	* src/nautilus-application.c
	(_unique_message_data_get_geometry_and_uris): if the geometry
	string is empty, make it NULL, so that we don't trigger geometry
	parsing later (#574410).

2009-03-06  Alexander Larsson  <alexl@redhat.com>

        Bug 569668 – Don't allow changing default app for folders

        * src/file-manager/fm-properties-window.c:
	Don't show "open with" tab for folders. Accidentally changing
	the folder handler causes all sorts of weird issues when
	e.g. opening folders from the panel.

2009-03-05  Alexander Larsson  <alexl@redhat.com>

	Bug 449397 – misinterpreted uid over ssh

        * libnautilus-private/nautilus-file-private.h:
        * libnautilus-private/nautilus-file.c:
	Use the gvfs reported owner/group names instead of the local
	uid/gui mapping. This allows remote shares to report the correct
	names.

2009-03-04  Alexander Larsson  <alexl@redhat.com>

	Bug 574067 – context menu lists eject and unmount option

        * src/file-manager/fm-directory-view.c:
        * src/file-manager/fm-tree-view.c:
        * src/nautilus-places-sidebar.c:
	Never show unmount menu item if we're showing eject, as its a superset
	of unmount.

2009-03-04  Alexander Larsson  <alexl@redhat.com>

	Bug 573991 – Nautilus does not recognize some .desktop files as launchers

        * libnautilus-private/nautilus-link.c:
        (nautilus_link_get_link_info_given_file_contents):
	Don't try to sniff the contents, we'll handle that when parsing anyway.
	And sniffing breaks if there are too much comments before the first group in
	the desktop file.

2009-03-03  Cosimo Cecchi  <cosimoc@gnome.org>

	* src/nautilus-application.c (nautilus_application_finalize),
	(ck_session_active_changed_cb), (ck_call_is_active_cb),
	(ck_get_current_session_cb), (do_initialize_consolekit),
	(finish_startup), (mount_added_callback):
	* src/nautilus-application.h: commit properly the previous
	ConsoleKit patch.

2009-03-03  A. Walton  <awalton@gnome.org>

	* src/nautilus-application.c (nautilus_application_finalize),
	(finish_startup), (mount_added_callback):
	* src/nautilus-application.h:
	Fix the build by reverting Cosimo's CK double-patch.

2009-03-02  A. Walton  <awalton@gnome.org>

	* libnautilus-private/nautilus-link.c
	(nautilus_link_local_set_key), 
	(nautilus_link_local_set_text),
	(nautilus_link_local_set_icon):
	Don't localize 'Icon=' keys.
	Fixes Launchpad Bug #336679.

2009-03-03  Cosimo Cecchi  <cosimoc@gnome.org>

	* src/nautilus-application.c (nautilus_application_finalize),
	(ck_session_active_changed_cb), (ck_call_is_active_cb),
	(ck_get_current_session), (do_initialize_consolekit),
	(ck_get_current_session_cb), (finish_startup),
	(mount_added_callback):
	* src/nautilus-application.h: use ConsoleKit to find out whether
	we are on the currently active session. If we don't, inhibit autorun
	dialogs (#573577).

2009-03-02  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

=== nautilus 2.25.92 ===

2009-03-02  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

2009-02-26  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
        (get_abs_path_for_symlink):
	Add helper to get the path to use for symlinks that also
	works for non-local files.
        (link_file):
	Use get_abs_path_for_symlink() for target of symlink so that
	it works for remote files too.
	Also, fix GFile comparison to use g_file_equal, not ==

2009-02-26  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-global-preferences.c:
        (nautilus_global_preferences_init):
	Remove monitoring of old gnome-vfs gconf directory.
	Preload the gconf directories that are used on startup.

2009-02-26  Alexander Larsson  <alexl@redhat.com>

	* src/file-manager/fm-directory-view.c (add_submenu):
	Don't ref pixbuf if it is NULL

2009-02-25  Alexander Larsson  <alexl@redhat.com>

	* libnautilus-private/nautilus-file-operations.c (copy_files):
	Don't unref info if == NULL
	Query for readonly on the source directory, not the file because
	otherwise we'll follow symlinks to the wrong filesystem.
	OTOH, maybe query_filesystem_info shouldn't follow symlinks,
	but that unfortunately seems hard to implement.

2009-02-25  Alexander Larsson  <alexl@redhat.com>

        * src/nautilus-application.c:
	Use $XDG_DATA_HOME/.converted-launchers as marker for
	one-time desktop file trust operation.

        * libnautilus-private/nautilus-file-utilities.[ch]:
	Add nautilus_is_in_system_dir() to check if path is in
	XDG_DATA_DIR or in ~/.gnome2.

        * libnautilus-private/nautilus-directory-async.c:
        (is_link_trusted):
	Use new nautilus_is_in_system_dir() instead of open coding it.

        * libnautilus-private/nautilus-file-operations.c:
	When copying a desktop file from a trusted location to the desktop,
	mark it as trusted.

2009-02-24  Cosimo Cecchi  <cosimoc@gnome.org>

	* test/test-eel-widgets.c: remove obsolete test.

2009-02-24  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
        * libnautilus-private/nautilus-file-operations.h:
        * libnautilus-private/nautilus-mime-actions.c:
        Add "interactive" argument to
	nautilus_file_mark_desktop_file_trusted.

        * src/nautilus-application.c:
	Mark all desktopfiles on the desktop trusted on first
	run.

2009-02-24  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
        * libnautilus-private/nautilus-file-operations.h:
	Add nautilus_file_mark_desktop_file_trusted(), this now
	adds a #! line if there is none as well as makes the file
	executable.

        * libnautilus-private/nautilus-mime-actions.c:
	Use nautilus_file_mark_desktop_file_trusted() instead of
	just setting the permissions.

2009-02-24  Alexander Larsson  <alexl@redhat.com>

	* libnautilus-private/nautilus-mime-actions.c (activate_desktop_file):
	Capitalize words in button.

2009-02-24  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-directory-async.c:
	Check for trusted desktop file launchers.

        * libnautilus-private/nautilus-file-private.h:
        * libnautilus-private/nautilus-file.c:
        * libnautilus-private/nautilus-file.h:
        Add nautilus_file_is_trusted_link.
	Allow unsetting of custom display name.

        * libnautilus-private/nautilus-mime-actions.c:
	Display dialog when trying to launch a non-trusted desktop file.

2009-02-23  Paolo Borelli  <pborelli@katamail.com>

	* src/file-manager/fm-list-view.c (sort_criterion_changes_due_to_user):
	do not leak the columns list.

2009-02-23  Paolo Borelli  <pborelli@katamail.com>

	* libnautilus-private/nautilus-thumbnails.c: check if the mtime
	attribute is actually available.

2009-02-23  Cosimo Cecchi  <cosimoc@gnome.org>

	* libnautilus-private/nautilus-thumbnails.c (get_types_table):
	don't hardcode mimetypes for which we limit the file size,
	but load the list of the supported mimetypes from GdkPixbuf
	instead (#545934).

2009-02-22  Cosimo Cecchi  <cosimoc@gnome.org>

	* libnautilus-private/nautilus-file-operations.c
	(seconds_count_format_time_units), (format_time):
	don't add 30 seconds when formatting time, as float->int conversion
	already truncates the value for us (#572284).

2009-02-21  Cosimo Cecchi  <cosimoc@gnome.org>

	* configure.in:
	* test/Makefile.am: remove unneeded and obsolete snippets of
	autofoo.

2009-02-21  Cosimo Cecchi  <cosimoc@gnome.org>

	* configure.in: explicitely depend on gthread.
	Patch by Damien Lespiau (#572604).

2009-02-20  Alexander Larsson  <alexl@redhat.com>

	* libnautilus-private/nautilus-icon-container.c (style_set):
	Don't chain up on style_set, as this causes flicker.

2009-02-20  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-file-operations.c (get_link_name),
	(link_file):
	Do not put "Link to ..." in front of symbolic links that are created
	in another directory via DND. Fixes #534432.

2009-02-20  Christian Neumair  <cneumair@gnome.org>

	* src/file-manager/fm-directory-view.c
	(fm_directory_view_handle_scroll_event),
	(fm_directory_view_scroll_event):
	* src/file-manager/fm-directory-view.h:
	* src/file-manager/fm-icon-view.c (fm_icon_view_scroll_event),
	(fm_icon_view_class_init):
	Treat vertical scroll events as horizontal ones if compact view is
	enabled, and if they do not bump the zoom level. Fixes #571770.

2009-02-20  Alexander Larsson  <alexl@redhat.com>

	* libnautilus-private/nautilus-file-operations.c (copy_move_file):
	Better string for previous commit.

2009-02-18  Alexander Larsson  <alexl@redhat.com>

	Bug 565610 – Replacing folder with file from within that folder destroys both

        * libnautilus-private/nautilus-file-operations.c:
        (copy_move_file):
	Give a warning when the source would be overwritten by the
	destination on a copy.

2009-02-17  Alexander Larsson  <alexl@redhat.com>

        * configure.in:
        * src/nautilus-main.c:
	Set the glibc MMAP limit to a static value to avoid the dynamic
	limit hitting bad behaviour due to the large temporary allocations
	when creating the desktop background. It would raise the limit
	to a large value causing several large allocations on the
	heap which are then not returned to the OS.

2009-02-16  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

=== nautilus 2.25.91 ===

2009-02-16  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

	* configure.in:
	Bump version to 2.25.91

2009-02-10  David Zeuthen  <davidz@redhat.com>

	Don't use shadowed mounts.

	* libnautilus-private/nautilus-desktop-link-monitor.c (has_mount),
	(create_mount_link), (remove_mount_link), (mount_added_callback),
	(mount_removed_callback), (mount_changed_callback):
	* libnautilus-private/nautilus-directory-async.c (get_mount_at):
	* src/file-manager/fm-tree-view.c (add_root_for_mount):
	* src/nautilus-pathbar.c (is_file_path_mounted_mount):
	* src/nautilus-places-sidebar.c (update_places):
	Honor g_mount_is_shadowed().

2009-02-16  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-icon-info.c:
        (nautilus_icon_info_lookup):
	Handle GIcon types other than files and themed icons.
	Patch from David Zeuthen

2009-02-13  Cosimo Cecchi  <cosimoc@gnome.org>

	* libnautilus-private/nautilus-file.c: (nautilus_file_mount):
	* libnautilus-private/nautilus-vfs-file.c: (vfs_file_mount):
	use g_set_error_literal() where appropriate.
	Patch by Christian Persch (#570537).

2009-02-13  Cosimo Cecchi  <cosimoc@gnome.org>

	* configure.in: require intltool 0.40.1.
	* src/file-manager/fm-properties-window.c
	(value_field_update_internal): use C_() to handle translator
	comments. Patch by A. Walton (#542658).

2009-02-09  Thomas H.P. Andersen  <phomes@gmail.com>

	* src/file-manager/fm-empty-view.c: (fm_empty_view_add_file):
	* src/file-manager/fm-directory-view.c: (connect_proxy):
	* src/nautilus-spatial-window.c:
	(got_file_info_for_location_menu_callback),
	(nautilus_spatial_window_set_location_button):
	* src/nautilus-property-browser.c: (make_drag_image),
	(make_color_drag_image):
	* src/nautilus-bookmarks-window.c: (update_bookmark_from_text):
	* libnautilus-private/nautilus-icon-canvas-item.c:
	(nautilus_icon_canvas_item_get_image):
	* libnautilus-private/nautilus-thumbnails.c:
	(async_thumbnail_read_image):
	Don't use deprecated gdk_pixbuf_unref. Bug #570953

2009-02-06  A. Walton  <awalton@gnome.org>

	* libnautilus-private/nautilus-link.c (get_language),
	(nautilus_link_local_set_key):
	Pass a language code to g_key_file_set_locale_string() so that we can
	actually rename .desktop files.

2009-02-04  Cosimo Cecchi  <cosimoc@gnome.org>

	* src/nautilus-application.c: (create_window):
	Don't use unique_app_watch_window(), as we don't have a default
	window to present (#570377).

2009-02-02  Cosimo Cecchi  <cosimoc@pluto>

	* libnautilus-extension/nautilus-column.c:
	(nautilus_column_finalize), (nautilus_column_init),
	(nautilus_column_class_init):
	* libnautilus-extension/nautilus-menu.c: (nautilus_menu_finalize):
	* libnautilus-private/nautilus-cell-renderer-pixbuf-emblem.c:
	(nautilus_cell_renderer_pixbuf_emblem_class_init),
	(nautilus_cell_renderer_pixbuf_emblem_finalize):
	* libnautilus-private/nautilus-cell-renderer-text-ellipsized.c:
	(nautilus_cell_renderer_text_ellipsized_init),
	(nautilus_cell_renderer_text_ellipsized_class_init),
	(nautilus_cell_renderer_text_ellipsized_get_size):
	* libnautilus-private/nautilus-entry.c: (nautilus_entry_finalize),
	(nautilus_entry_key_press), (nautilus_entry_motion_notify),
	(nautilus_entry_button_press), (nautilus_entry_button_release),
	(nautilus_entry_selection_clear), (nautilus_entry_class_init):
	* libnautilus-private/nautilus-file.c: (nautilus_file_init),
	(nautilus_file_constructor), (finalize),
	(nautilus_file_class_init):
	* libnautilus-private/nautilus-icon-canvas-item.c:
	(nautilus_icon_canvas_item_finalize),
	(nautilus_icon_canvas_item_update),
	(nautilus_icon_canvas_item_class_init):
	* libnautilus-private/nautilus-icon-container.c:
	(nautilus_icon_container_new):
	* libnautilus-private/nautilus-icon-container.h:
	* libnautilus-private/nautilus-mime-application-chooser.c:
	(nautilus_mime_application_chooser_finalize),
	(nautilus_mime_application_chooser_destroy),
	(nautilus_mime_application_chooser_class_init),
	(nautilus_mime_application_chooser_init):
	* libnautilus-private/nautilus-open-with-dialog.c:
	(nautilus_open_with_dialog_finalize),
	(nautilus_open_with_dialog_destroy),
	(nautilus_open_with_dialog_class_init),
	(nautilus_open_with_dialog_init):
	* src/file-manager/fm-icon-container.c:
	* src/file-manager/fm-list-model.c: (fm_list_model_dispose),
	(fm_list_model_finalize), (fm_list_model_class_init):
	* src/file-manager/fm-tree-model.c: (fm_tree_model_finalize),
	(fm_tree_model_class_init):
	Use G_DEFINE_TYPE_* instead of hand-written nautilus_foo_get_type()
	functions where possible.

2009-02-02  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

=== nautilus 2.25.4 ===

2009-02-02  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

2009-02-02  Cosimo Cecchi  <cosimoc@gnome.org>

	* libnautilus-private/nautilus-file-operations.c
	(report_delete_progress): better fix for the singular/plural issue
	described in bug #551222; we now split the string into two parts,
	use ngettext() on both and concatenate them (#570141).

2009-02-01  Cosimo Cecchi  <cosimoc@gnome.org>

	* src/Nautilus_shell.server.in: remove this, it's useless now that
	we don't use Bonobo anymore (#570125).

2009-01-31  Cosimo Cecchi  <cosimoc@gnome.org>

	* libnautilus-private/nautilus-directory-async.c (lacks_link_info),
	(monitor_includes_file), (link_info_done), (link_info_got_data),
	(link_info_start):
	* libnautilus-private/nautilus-file-private.h:
	* libnautilus-private/nautilus-file.c (nautilus_file_clear_info),
	(nautilus_file_should_show),
	(filter_hidden_and_backup_partition_callback),
	(nautilus_file_is_foreign_link):
	* libnautilus-private/nautilus-file.h:
	* libnautilus-private/nautilus-link.c (string_array_contains),
	(nautilus_link_get_link_info_given_file_contents):
	* libnautilus-private/nautilus-link.h:
	* src/file-manager/fm-desktop-icon-view.c
	(fm_desktop_icon_view_init):
	* src/file-manager/fm-directory-view.c (fm_directory_view_init),
	(fm_directory_view_should_show_file),
	(fm_directory_view_set_show_foreign):
	* src/file-manager/fm-directory-view.h:
	* src/file-manager/fm-tree-model.c (should_show_file):
	Follow the "OnlyShowIn" and "NotShowIn" == GNOME keys for
	.desktop files,	when they are put on the desktop.
	Thanks to Federico Mena Quintero and Jared Moore (#338933).

2009-01-29  Cosimo Cecchi  <cosimoc@gnome.org>

	* libnautilus-private/nautilus-autorun.c: (handle_dialog_closure),
	(dialog_response_cb), (dialog_destroy_cb), (combo_box_changed):
	Don't use gtk_dialog_run to show the NautilusOpenWithDialog.
	That won't work, as we will spawn a GtkFileChooser later,
	eating all the mouse events on it if we do (#569651).

2009-01-29  Cosimo Cecchi  <cosimoc@gnome.org>

	* libnautilus-private/nautilus-file-operations.c:
	(seconds_count_format_time_units), (report_delete_progress),
	(report_copy_progress): make sure to use the correct singular
	or plural form for the time format when reporting a file operation
	progress detail.
	Thanks to Christian Neumair (#551222).

2009-01-28  Cosimo Cecchi  <cosimoc@gnome.org>

	* libnautilus-private/nautilus-directory.c:
	(nautilus_directory_notify_files_moved):
	Invalidate file attributes after it has been moved, so that
	they are refreshed properly (#555234).

2009-01-28  Cosimo Cecchi  <cosimoc@gnome.org>

	* icons/Makefile.am:
	* src/nautilus-notes-viewer.c: (nautilus_notes_viewer_init):
	Remove "note-indicator.png" and use the themable icon we just
	added to display the emblem in the sidebar.

2009-01-28  Cosimo Cecchi  <cosimoc@gnome.org>

	* data/icons/*:
	Bring icon handling to the 21th century.
	Add an emblem-note icon, this is copied from g-i-t "stock_note"
	icon right now, but we might change this later.
	* src/nautilus-application.c: (nautilus_application_init):
	add a lookup path for custom themable icons.

	This also fixes bug #569407. Thanks to Lapo Calamandrei for
	the tips on icon naming.

2009-01-27  Cosimo Cecchi  <cosimoc@gnome.org>

	* nautilus.desktop.in.in: set X-GNOME-AutoRestart=true, to make
	Nautilus restart automatically when it crashes (#569288).

2009-01-23  Cosimo Cecchi  <cosimoc@gnome.org>

	* src/nautilus-window-menus.c
	(menu_item_select_cb): don't rely on GTK+ implementation details
	when getting a GtkAction.
	Thanks to Christian Persch (#568880).

2009-01-22  A. Walton  <awalton@gnome.org>

	* libnautilus-private/nautilus-file.c (nautilus_file_clear_info):
	Also free the description when clearing the file.

2009-01-22  Paolo Borelli  <pborelli@katamail.com>

	libnautilus-private/nautilus-file-private.c (finalize): free the
	description.

2009-01-22  Cosimo Cecchi  <cosimoc@gnome.org>

        * libnautilus-private/nautilus-icon-container.c:
        (snap_position): make sure we don't snap icons to a grid marker which
        is too near the right margin of the canvas (#527374).

2009-01-22  Cosimo Cecchi  <cosimoc@gnome.org>

        * MAINTAINERS: fix a typo.

2009-01-22  A. Walton  <awalton@gnome.org>

	* libnautilus-private/nautilus-file-utilities.c
	(nautilus_unique_temporary_file_name):
	* libnautilus-private/nautilus-metafile.c (metafile_write_local):
	Use g_mkstemp() instead of mkstemp(). Pointed out by Paolo Borelli.

2009-01-22  Paolo Borelli  <pborelli@katamail.com>

	* eel/eel-gtk-extensions.[ch]: add utility function
	to get a GtkMenuToolButton's button

	* src/nautilus-window-menus.c:
	* src/nautilus-navigation-action.c:
	Use the above util function that doesn't leak the children
	list.

2009-01-20  A. Walton  <awalton@gnome.org>

	* src/nautilus-main.c (main):
	Bug 568503 – Misspelled word "progam"->"program"

2009-01-20  Cosimo Cecchi  <cosimoc@gnome.org>

	* configure.in: we require gnome-desktop 2.25.5 now, due to the new
	GnomeBG crossfade API.

2009-01-20  Cosimo Cecchi  <cosimoc@gnome.org>

	* src/nautilus-window-slot.c: (nautilus_window_slot_dispose):
	Fix a crash when closing a window before it's fully populated.
	Part of bug #552859, patch by Ray Strode.

2009-01-19  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

=== nautilus 2.25.3 ===

2009-01-19  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

2009-01-15  Richard Hughes  <richard@hughsie.com>

	* libnautilus-private/nautilus-mime-actions.c:
	(search_for_application_dbus_call_notify_cb),
	(search_for_application_mime_type):
	We've been working with the KDE devs, and we've come up with a slightly
	changed specification that can be adopted by KPackageKit and also have
	room for expansion in the future. There's only a couple of things
	already using the old interface, nautilus being one of them.

	I've patched nautilus to convert from the old interface to the new
	interface. The new interface does not have the double confirm problem,
	and now respects the users session policy on interaction.

2009-01-14  A. Walton  <awalton@gnome.org>

	* src/file-manager/fm-ditem-page.c (create_page):
	Fix another crasher when attempting to get properties 
	on a damaged Desktop Entry file.

2009-01-13  A. Walton  <awalton@gnome.org>

	* src/file-manager/fm-empty-view.c (fm_empty_view_end_loading),
	(fm_empty_view_create), (fm_empty_view_register):
	Unbreak build when building with --enable-empty-view.
	Closes bug #558537. Patch by Emmanuel Fleury.

2009-01-13  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-icon-container.c:
        (get_icon_bounds_for_canvas_bounds):
	When calculating bounds, don't ignore visible but unmapped items, becase
	the root item is unmapped with the canvas, but we want to report the
	same bounds independently on the canvas mapped state.
	This caused problems when the canvas was unmapped due to being on an
	invisible notebook page navigation tabs case, causing the
	scrollbars to become invisible. (#542396)

2009-01-13  Matthias Clasen  <mclasen@redhat.com>

	Bug 567460 – NautilusTrashMonitor emits trash-state-changed too often
	
	* libnautilus-private/nautilus-trash-monitor.c (update_info_cb):
	Only emit ::trash-state-changed when the state actually changes.

2009-01-13  Alexander Larsson  <alexl@redhat.com>

        * src/nautilus-navigation-window-ui.xml:
        * src/nautilus-spatial-window-ui.xml:
	Remove Go to Burn menu items to avoid error spew.

2009-01-13  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-debug-log.c:
        (nautilus_debug_logv):
	Make space for terminating zero

2009-01-13  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-debug-log.c:
	Limit nr of URIs in log to 20 to avoid huge
	logs and bad performance for e.g. select all
	in a large dir.

2009-01-13  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-directory-async.c:
	Fix typo in request_counter_remove_request (--, not ++)
	
2009-01-13  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-directory-async.c:
        * libnautilus-private/nautilus-directory-private.h:
	Use the monitor and call_when_ready counts to avoid
	iterating over the potentially long lists.

2009-01-13  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-directory-private.h:
	Fixed type (& not &&).
	Also add some paranthesises to args for macro safety.

2009-01-13  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-directory-async.c:
	Don't need the want_foo calls, can just pass in
	the request type directly now.

2009-01-13  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-directory-async.c:
        * libnautilus-private/nautilus-directory-private.h:
	Count all outstanding monitor and call_when_ready details

2009-01-13  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-directory-async.c:
        * libnautilus-private/nautilus-directory-private.h:
        * libnautilus-private/nautilus-file.c:
	Convert Request from struct of gboolean to guin32 bitfield.
	This is both smaller and faster, plus it allows some further optimizations to come.

2009-01-13  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-icon-container.c:
        * libnautilus-private/nautilus-icon-private.h:
	Only send selection_changed once when removing lots of files.

2009-01-13  Alexander Larsson  <alexl@redhat.com>

	* src/nautilus-window-slot.c (nautilus_window_slot_update_icon): 
	Only set window icon if it really changed.
	
2009-01-13  Alexander Larsson  <alexl@redhat.com>

	* libnautilus-private/nautilus-debug-log.c (nautilus_debug_log_with_file_list):
	Don't do conversion to uris unless debugging is enabled.
	(For performance reasons)

2009-01-13  Alexander Larsson  <alexl@redhat.com>

	* src/file-manager/fm-directory-view.c (fm_directory_view_notify_selection_changed):
	Don't get selection unless debugging is really turned on.
	(For performance reasons)

2009-01-12  Alexander Larsson  <alexl@redhat.com>

	* src/file-manager/fm-directory-view.c (file_changed_callback):
	Don't update emblems when trash dir changes.
	It changes a lot (due to file count attribute) but never
	changes writeability status.

2009-01-12  A. Walton  <awalton@gnome.org>

	* libnautilus-private/nautilus-file.c (prepend_automatic_keywords):
	Trash files are automatically assumed read-only, 
	so we shouldn't	add read-only emblems to files in the trash.

2009-01-12  A. Walton  <awalton@gnome.org>

	* libnautilus-private/nautilus-link.c
	(nautilus_link_get_link_icon_from_desktop):
	Fix last commit to actually patch the right part of the file.

2009-01-12  A. Walton  <awalton@gnome.org>

	* libnautilus-private/nautilus-link.c
	(nautilus_link_get_link_info_given_file_contents):
	Fix a crasher on broken desktop entry files.
	Closes bug #567475.

2008-12-19  Alexander Larsson  <alexl@redhat.com>

        * src/nautilus-property-browser.c:
	Allow deleting of custom emblems. (#112292)
	Patch from DESSAI Imrane 

2008-12-16  Bastien Nocera  <hadess@hadess.net>

	* src/nautilus-window-menus.c:
	* src/nautilus-window-private.h:
	* src/nautilus-window.c (nautilus_window_constructor):
	Remove the CD/DVD creator from the places menu, and the
	places sidebar (Closes: #508384)

2008-12-15  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

=== nautilus 2.25.2 ===

2008-12-15  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release
	
2008-12-15  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Remove eel-feature.h

2008-12-15  Alexander Larsson  <alexl@redhat.com>

        * test/Makefile.am:
        * test/test-eel-background.c: Added.
        * test/test-eel-editable-label.c: Added.
        * test/test-eel-image-scrolled.c: Added.
        * test/test-eel-image-table.c: Added.
        * test/test-eel-labeled-image.c: Added.
        * test/test-eel-pixbuf-scale.c: Added.
        * test/test-eel-widgets.c: Added.
        * test/test.h:
	Import eel tests

2008-12-15  Alexander Larsson  <alexl@redhat.com>

        * Makefile.am:
        * acconfig.h:
        * configure.in:
	* eel/
        * libnautilus-private/Makefile.am:
	Import eel into nautilus.

2008-12-15  Matthias Clasen  <mclasen@redhat.com>

	Bug 564207 – don't look for old kde trash

	* src/nautilus-application.c: Remove code that supports KDE2 
	style trash handling.

2008-12-15  Tomas Bzatek  <tbzatek@redhat.com>

	* libnautilus-private/nautilus-mime-actions.c:
	(activation_mount_not_mounted):
	Fix new windows not appearing after successful mount
	(needed for #524485)

2008-12-12  A. Walton  <awalton@gnome.org>

	* libnautilus-private/nautilus-mime-actions.c
	(application_unhandled_file):
	Fix the build for OSes with format security turned on.
	(Ubuntu).

2008-12-11  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-mime-actions.c:
        (search_for_application_dbus_call_notify_cb):
	Don't warn if we found no applications to install.
	
2008-12-11  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-mime-actions.c:
	Ref the dbus proxy over the call, this means we actually get the callback, so
	remove the got_reply stuff.

2008-12-10  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-mime-actions.c:
        (search_for_application_mime_type):
	Fix warning

2008-12-10  Alexander Larsson  <alexl@redhat.com>

        * configure.in:
        * libnautilus-private/apps_nautilus_preferences.schemas.in:
        * libnautilus-private/nautilus-global-preferences.c:
        * libnautilus-private/nautilus-global-preferences.h:
        * libnautilus-private/nautilus-mime-actions.c:
	Support PackageConfig application install for unsupported mime types.
	Based on patch from Richard Hughes

2008-12-10  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file.c:
        * libnautilus-private/nautilus-global-preferences.c:
        * src/nautilus-file-management-properties.c:
        * src/nautilus-file-management-properties.ui:
	Update the 2GB and 4GB thumbnail limits to the new prefs API and
	make sure they actually work.

2008-12-09  Alexander Larsson  <alexl@redhat.com>

	* libnautilus-private/nautilus-file-operations.c (copy_move_file):
	Don't use G_FILE_COPY_ALL_METADATA, as we changed glib to
	copy the file by default (#515777)

2008-12-09  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-global-preferences.c:
	10GB overflows the uint, add 2 and 4 GB instead.

2008-12-09  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-global-preferences.c:
	Add 10GB size.

2008-12-08  Tomas Bzatek  <tbzatek@redhat.com>

	* libnautilus-private/nautilus-mime-actions.c:
	(activation_mount_not_mounted):
	Fix callback connection to GtkMountOperation

2008-12-06  Cosimo Cecchi  <cosimoc@gnome.org>

	* cut-n-paste-code/libegg/eggtreemultidnd.c:
	* cut-n-paste-code/libegg/eggtreemultidnd.h:
	* libnautilus-extension/nautilus-menu.c:
	* libnautilus-private/nautilus-directory-notify.h:
	* libnautilus-private/nautilus-file-operations.c:
	* libnautilus-private/nautilus-file.c:
	* libnautilus-private/nautilus-icon-info.h:
	* libnautilus-private/nautilus-idle-queue.h:
	* libnautilus-private/nautilus-monitor.h:
	* libnautilus-private/nautilus-search-engine-simple.c:
	* src/file-manager/fm-list-model.c:
	* src/file-manager/fm-list-model.h:
	* src/file-manager/fm-list-view.c:
	* src/nautilus-emblem-sidebar.h:
	* src/nautilus-notebook.c:
	* src/nautilus-notebook.h:
	Use single GLib/GTK+ includes. Patch by Maxim Ermilov (#560432).

2008-12-01  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

=== nautilus 2.25.1 ===

2008-12-01  Alexander Larsson  <alexl@redhat.com>

        * src/nautilus-main.c:
	Don't crash if nautilus.desktop is not installed (i.e. at make check)

2008-12-01  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

2008-11-21  Cosimo Cecchi  <cosimoc@gnome.org>

	* configure.in: completely remove librsvg checks.

2008-11-21  Cosimo Cecchi  <cosimoc@gnome.org>

	* src/nautilus-application.c: (nautilus_application_finalize):
	Don't unref the SMClient (#561402).

2008-11-18  Cosimo Cecchi  <cosimoc@gnome.org>

	* src/nautilus-main.c: (main):
	* src/nautilus-window-slot.c: (nautilus_window_slot_dispose):
	Plug two memory leaks.

2008-11-11  A. Walton  <awalton@gnome.org>

	* src/file-manager/fm-directory-view.c
	(metadata_for_directory_as_file_ready_callback),
	(metadata_for_files_in_directory_ready_callback):
	Remove two duplicate asserts.
	
	Patch by Rui Matos (bug #555044).

2008-11-06  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-icon-container.c:
        (nautilus_icon_container_ensure_interactive_directory):
	Set correct hint on search popup window. (#536804)

	Patch from Danny Baumann

2008-10-28  Cosimo Cecchi  <cosimoc@gnome.org>

        * src/nautilus-window-menus.c:
        (action_about_nautilus_callback):
	Update the about dialog description.
	Thanks to Matthew Paul Thomas (#551483).

2008-10-27  Christian Persch  <chpe@gnome.org>

	* libnautilus-extension/nautilus-location-widget-provider.h:
	* libnautilus-extension/nautilus-menu-provider.h:
	* libnautilus-extension/nautilus-property-page.h: Only include
	gtk/gtk.h, to allow extensions to build with
	*_DISABLE_SINGLE_INCLKUDES. Bug #558070.

2008-10-23  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file.c:
        * libnautilus-private/nautilus-icon-info.[ch]:
	Manually fall back to default fallback icon for
	files if not found. Goes with the corresponding
	glib/gvfs change to not add the fallback icon to
	the end of files icons. (#528320)

2008-10-22  Alexander Larsson  <alexl@redhat.com>

	* libnautilus-private/nautilus-file.c
	(nautilus_file_get_symbolic_link_target_uri/path):
	Don't assert on symbolic links always marked as symlinks.
	Some broken backends will give this (like the archive backend).
	Fixes crash in #547468

2008-10-22  A. Walton  <awalton@gnome.org>

	* src/file-manager/fm-tree-model.c (fm_tree_model_get_column_type),
	(fm_tree_model_get_value):
	* src/file-manager/fm-tree-model.h:
	* src/file-manager/fm-tree-view.c (create_tree):
	Use normal weighting in the tree view sidebar. Closes bug #311786.

2008-10-21  Cosimo Cecchi  <cosimoc@gnome.org>

	* src/file-manager/fm-tree-view.c: (create_popup_menu):
	Mark two strings for translation (#557156).

2008-10-20  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-mime-actions.c:
        (pause_activation_timed_cancel):
        (unpause_activation_timed_cancel):
        (activate_mount_op_active):
        (activate_files):
	Don't show timeout-based cancel when showing the "run or display"
	dialog. (#539954)

2008-10-18  Cosimo Cecchi  <cosimoc@gnome.org>

	* libnautilus-private/apps_nautilus_preferences.schemas.in:
	Add a comment for translators (#548389).

2008-10-17  Andre Klapper  <a9016009@gmx.de>

	* /src/file-manager/fm-tree-view.c:
	Fix broken mnemonic for "Create _Folder" context menu entry (bug #555016)

2008-10-17  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-directory-async.c:
        * libnautilus-private/nautilus-directory-private.h:
        Add nautilus_directory_has_active_request_for_file which returns true
	if monitoring or call_when_ready the file or all the files in the directory.
        * libnautilus-private/nautilus-directory.c:
        (nautilus_directory_add_file):
	When adding a file to a directory, if there is an outstanding request
	for the file, add it to the work queue so we make sure to do i/o on it.
	Otherwise we could for instance block a call_when_ready with file=NULL
	because we're waiting for something to happen on all files in the dir
	but the newly added file never has any i/o happen to it.

2008-10-17  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-bookmark.c:
        (bookmark_file_changed_callback):
	Don't immediately recreate NautilusFile for the
	bookmark when the file is deleted, as this can
	cause loops if the file is monitored.
	See https://bugzilla.redhat.com/show_bug.cgi?id=465479

2008-10-17  Alexander Larsson  <alexl@redhat.com>

	* src/nautilus-window-manage-views.c
	(nautilus_window_slot_open_location_full):
	Don't unref NULL, which can happen if !do_load_location

2008-10-17  Alexander Larsson  <alexl@redhat.com>

        * src/nautilus-spatial-window.c:
        (nautilus_spatial_window_save_scroll_position):
        (nautilus_spatial_window_save_show_hidden_files_mode):
        (real_window_close):
	Don't access NULL slot->viewed_file if its not been set yet.

2008-10-13  Nelson Benítez León  <nbenitez@svn.gnome.org>

	* libnautilus-private/nautilus-file-operations.c
	(copy_move_file)
	(copy_move_directory)
	(copy_files):
	Pass G_FILE_COPY_TARGET_DEFAULT_PERMS flag to copy
	operations when the source file is in a readonly
	filesystem (eg. CDROM). Fixes #550816.

2008-10-13  Christian Persch  <chpe@gnome.org>

	* src/nautilus-image-properties-page.c: Plug a mem leak. Bug #552691.

2008-10-13  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-mime-application-chooser.c:
	Allow resetting file associations (#545356)
	Patch from Matthias Clasen 

2008-10-13  Alexander Larsson  <alexl@redhat.com>

        * configure.in:
	Require glib 2.19.0
	
        * libnautilus-private/nautilus-open-with-dialog.c:
	Allow removal of custom applications (#545354)
	Patch from Matthias Clasen

2008-10-13  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-open-with-dialog.c:
        (add_or_find_application):
	Don't set default when opening with other app, just
	add to open with list.

2008-10-12  Nelson Benítez León  <nbenitez@svn.gnome.org>

	* libnautilus-private/nautilus-dnd.c
	(nautilus_drag_default_drop_action_for_icons):
	Add new function source_is_deletable.
	When DnD'ing, change the drop action to COPY instead of MOVE, when
	the source is not deletable. Fixes #314139.

2008-10-12  Nelson Benítez León  <nbenitez@svn.gnome.org>

	* src/file-manager/fm-icon-view.c
	(set_sort_criterion_by_sort_type)
	(action_reversed_order_callback):
	Reveal the selection after the user sorts by some type or clicks the
	"reverse order" sort action. Fixes #45588.

2008-10-11  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-file-operations.c
	(make_file_name_valid_for_dest_fs):
	Chop trailing space characters when moving to FAT file system. Fixes #555813.

2008-10-09  Alexander Larsson  <alexl@redhat.com>

        * src/nautilus-spatial-window.c:
        (real_window_close):
        (nautilus_spatial_window_class_init):
	Save spatial geometry on window close, not slot close.
	Slot close is to late in the close by window destry case,
	as the windows have then been unrealized.

2008-10-09  Alexander Larsson  <alexl@redhat.com>

	* src/nautilus-main.c (main):
	Make sure uri list is NULL terminated

2008-10-09  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-horizontal-splitter.c:
        (nautilus_horizontal_splitter_button_press):
        (nautilus_horizontal_splitter_button_release):
	Don't toggle the splitter when dragging (#555619)
	Patch from Christoph Reiter
	
2008-10-09  Alexander Larsson  <alexl@redhat.com>

        * cut-n-paste-code/libegg/eggdesktopfile.c:
        * cut-n-paste-code/libegg/eggdesktopfile.h:
        * cut-n-paste-code/libegg/eggsmclient-xsmp.c:
        * cut-n-paste-code/libegg/eggsmclient.c:
	Update EggSMClient from libegg

2008-10-09  Alexander Larsson  <alexl@redhat.com>

        * src/nautilus-property-browser.c:
        (nautilus_property_browser_drag_data_get):
	Don't use eel_gdk_color_parse anymore. We don't have any colors
	left not supported by gdk_color_parse.
	
2008-10-08  Christian Persch  <chpe@gnome.org>

	* libnautilus-private/nautilus-mime-application-chooser.c:
	(create_tree_view), (refresh_model): Put the GIcon in the tree model
	and make the cell renderer display it directly instead of manually
	resolving the GIcon to a pixbuf and putting that into the model. Bug
	#552682.

2008-10-07  Alexander Larsson  <alexl@redhat.com>

        * configure.in:
	Require trunk eel.
	Drop libgnome* and librsvg deps.
	
        * libnautilus-private/nautilus-customization-data.c:
        (nautilus_customization_data_get_next_element_for_display):
        * libnautilus-private/nautilus-icon-canvas-item.c:
        (real_map_pixbuf):
        * src/nautilus-property-browser.c:
        (make_drag_image):
	Use librsvg indirectly via gdk-pixbuf loader.
	
        * libnautilus-private/nautilus-thumbnails.c:
	Use thumbnail factory from gnome-desktop.
	
        * libnautilus-private/nautilus-undo.c:
        (nautilus_undo_get_undo_manager):
	Kill references to gnome canvas.
	
        * libnautilus-private/nautilus-vfs-file.c:
	Don't include removed eel-mount-operation.h header

        * src/file-manager/fm-properties-window.c:
        (update_preview_callback):
	Use thumbnail utils from gnome-desktop.

        * src/Makefile.am:
        * src/nautilus-bookmarks-window.c:
        * src/nautilus-bookmarks-window.glade: Removed.
        * src/nautilus-bookmarks-window.ui: Added.
        * src/nautilus-file-management-properties.c:
        * src/nautilus-file-management-properties.glade: Removed.
        * src/nautilus-file-management-properties.ui: Added.
	Switch from libglade to gtkbuilder.

        * libnautilus-private/nautilus-file-operations.c:
        * src/nautilus-emblem-sidebar.c:
        * src/nautilus-navigation-window.h:
        * test/test-nautilus-wrap-table.c:
        * test/test.c:
        * test/test.h:
	Drop old unused libgnome/librsvg includes

2008-10-07  Alexander Larsson  <alexl@redhat.com>

        * src/nautilus-property-browser.c:
	Don't use eel_gnome_icon_selector_new()
	Instead just use file selector with preview.

2008-10-06  Alexander Larsson  <alexl@redhat.com>

        * src/file-manager/fm-ditem-page.c:
	Replace GnomeDesktopItem use with GKeyFile

2008-10-06  Matthias Clasen  <mclasen@redhat.com>

	* libnautilus-private/nautilus-open-with-dialog.c (set_uri_and_type):
	Fix the build

2008-10-06  Matthias Clasen  <mclasen@redhat.com>

	Bug 553084 – leaks content type description

	* libnautilus-private/nautilus-open-with-dialog.c (set_uri_and_type):
	Don't leak the content type description.

2008-10-06  Matthias Clasen  <mclasen@redhat.com>

	Bug 553073 – invalid strcmp

	* libnautilus-private/nautilus-file.c (update_info_internal):
	Use eel_ref_str_peek where appropriate.

2008-10-06  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-link.[ch]:
        * src/file-manager/fm-properties-window.c:
	Use GKeyFile instead of GnomeDesktopItemp

2008-10-06  Alexander Larsson  <alexl@redhat.com>

        * src/nautilus-main.c:
	Don't set application name twice (avoids warning)

2008-10-06  Cosimo Cecchi  <cosimoc@gnome.org>

        * libnautilus-private/nautilus-file-operations.c:
        * libnautilus-private/nautilus-mime-actions.c:
        * src/file-manager/fm-directory-view.c:
        * src/nautilus-connect-server-dialog-main.c:
        * src/nautilus-window-manage-views.c:
	use GtkMountOperation instead of EelMountOperation

2008-10-06  Cosimo Cecchi  <cosimoc@gnome.org>

        * libnautilus-private/nautilus-customization-data.c:
        * libnautilus-private/nautilus-dnd.c:
        * libnautilus-private/nautilus-file-utilities.c:
        * libnautilus-private/nautilus-file.c:
        * libnautilus-private/nautilus-global-preferences.c:
        * libnautilus-private/nautilus-icon-dnd.c:
        * libnautilus-private/nautilus-icon-private.h:
        * libnautilus-private/nautilus-monitor.c:
        * src/file-manager/fm-desktop-icon-view.c:
        * src/file-manager/fm-ditem-page.c:
        * src/file-manager/fm-error-reporting.h:
        * src/file-manager/fm-list-view.c:
        * src/file-manager/fm-properties-window.c:
        * src/nautilus-history-sidebar.c:
        * src/nautilus-image-properties-page.c:
        * src/nautilus-information-panel.c:
        * src/nautilus-location-bar.c:
        * src/nautilus-location-entry.c:
        * src/nautilus-main.c:
        * src/nautilus-navigation-window-menus.c:
        * src/nautilus-navigation-window.c:
        * src/nautilus-places-sidebar.c:
        * src/nautilus-window-manage-views.c:
        * src/nautilus-window-toolbars.c:
	Remove unnecessary includes of libgnome

2008-10-06  Cosimo Cecchi  <cosimoc@gnome.org>

        * src/nautilus-property-browser.c:
	Don't use gnome_icon_entry

2008-10-06  Alexander Larsson  <alexl@redhat.com>

	Based on patch from  Cosimo Cecchi
	
        * src/file-manager/fm-tree-view.c:
        * src/nautilus-emblem-sidebar.c:
	Use gtk_menu_popup instead of gnome_popup_menu_do_popup_modal
	Don't use GNOME_PAD

2008-10-06  Cosimo Cecchi  <cosimoc@gnome.org>

        * libnautilus-private/nautilus-bookmark.c:
        * libnautilus-private/nautilus-desktop-directory.c:
        * libnautilus-private/nautilus-icon-container.c:
        * libnautilus-private/nautilus-merged-directory.c:
        * libnautilus-private/nautilus-module.c:
        * libnautilus-private/nautilus-module.h:
        * libnautilus-private/nautilus-search-directory.c:
        * libnautilus-private/nautilus-signaller.c:
        * libnautilus-private/nautilus-tree-view-drag-dest.c:
        * src/file-manager/fm-icon-container.c:
        * src/nautilus-application.c:
        * src/nautilus-desktop-window.c:
        * src/nautilus-file-management-properties-main.c:
        * src/nautilus-zoom-control.c:
	Use G_DEFINE_TYPE instead of libgnome macros.

2008-10-06  Cosimo Cecchi  <cosimoc@gnome.org>

        * src/file-manager/fm-directory-view.c:
        * src/file-manager/fm-properties-window.c:
        * src/nautilus-bookmarks-window.c:
        * src/nautilus-connect-server-dialog.c:
        * src/nautilus-file-management-properties.c:
        * src/nautilus-location-dialog.c:
	Use gtk_show_uri instead of gnome_help

2008-10-06  Cosimo Cecchi  <cosimoc@gnome.org>

        * src/nautilus-application.c:
        (initialize_kde_trash_hack):
	Replace GnomeConfig use with GKeyFile

2008-10-06  Cosimo Cecchi  <cosimoc@gnome.org>

        * src/nautilus-window-menus.c:
        (action_nautilus_manual_callback):
	Use gtk_show_uri instead of gnome_help
	
        * src/nautilus-file-management-properties-main.c:
        * src/nautilus-connect-server-dialog-main.c:
        * src/nautilus-autorun-software.c:
        * test/test-nautilus-mime-actions-set.c:
        * test/test-nautilus-mime-actions.c:
	Use GOption instead of GnomeProgram
	
        * src/nautilus-property-browser.c:
	Use GtkColorButton instead of GnomeColorPicker
	Use gtk_show_uri instead of gnome_help

2008-10-02  Alexander Larsson  <alexl@redhat.com>

        * Makefile.am:
        * nautilus-browser.desktop.in.in:
        * nautilus.desktop.in.in:
	Renamed nautilus.desktop to nautilus-browser.desktop
	(this is what it does, launch a browser window with no desktop)
	Created new NoDisplay nautilus.desktop file that is used
	for autostarting nautilus from gnome-session.
	
        * configure.in:
	Pull in the right cflags/libs for libegg
	Add nautilus-browser.desktop.in to output
	
        * cut-n-paste-code/libegg/Makefile.am:
        * cut-n-paste-code/libegg/eggdesktopfile.[ch]: Added.
        * cut-n-paste-code/libegg/eggsmclient-private.h: Added.
        * cut-n-paste-code/libegg/eggsmclient-xsmp.c: Added.
        * cut-n-paste-code/libegg/eggsmclient.[ch]: Added.
	Import eggsmclient from libegg.
	Save data in desktop file instead of a separate file as per the
	new gnome-session.
	
        * cut-n-paste-code/libegg/eggtreemultidnd.c:
	Minor update from libegg
	
        * src/nautilus-application.[ch]:
	Use eggsmclient for session handling instead of gnome-client.
	
        * src/nautilus-main.c:
	Don't use gnome_program, instead use eggsmsession and
	g_option_context_parse directly.
	This removes support for some internal commandline arguments
	that are not used anymore.

2008-10-02  Cosimo Cecchi  <cosimoc@gnome.org>

	* libnautilus-extension/libnautilus-extension-uninstalled.pc.in:
	Remove gnome-vfs from the required libs.

2008-10-01  Alexander Larsson  <alexl@redhat.com>

        * configure.in:
	Remove direct deps on bonobo, bonobo-activation, orbit2, startup-notification
	Add dependency on libunique
	
        * src/Makefile.am:
        * src/nautilus-shell-interface.idl:
        * src/nautilus-shell.[ch]:
	Remove NautilusShell
	
        * src/nautilus-application.[ch]:
	Make NautilusApplication a normal GObject
	Remove NautilusShell use.
	Implement unique application functionallity using libunique
	Remove manual startup notification handling (mostly handled by libunique)
	
        * src/nautilus-main.c:
	Remove bonobo initialization
	Remove manual startup notification handling
	Move command line arg to uri parsing here
	Remove weird idle handling now that we don't use bonobo anymore

        * libnautilus-private/nautilus-undo-manager.c:
        * libnautilus-private/nautilus-undo-manager.h:
        * libnautilus-private/nautilus-undo.c:
        * src/nautilus-window-private.h:
	Remove all leftover spurious use of bonobo
	
        * src/nautilus-window-slot.h:
        * src/nautilus-desktop-window.c:
        * src/nautilus-location-dialog.c:
        * src/nautilus-window-bookmarks.c:
	Add required includes of gi18n.h
	
2008-10-01  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Bump version to 2.25.1.
	Stable version lives on the gnome-2-24 branch.
	
2008-09-28  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-icon-container.c
	(nautilus_icon_container_set_zoom_level):
	Invalidate label, rather than its allocated size. Fixes zoom level
	changes not being applied to label sizes.

2008-09-27  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-directory-async.c
	(link_info_got_data):
	Pass link info's URI to
	nautilus_link_get_link_info_given_file_contents().

	* libnautilus-private/nautilus-link.c
	(nautilus_link_get_link_uri_from_desktop),
	(nautilus_link_get_link_info_given_file_contents):
	* libnautilus-private/nautilus-link.h:
	Add an input parameter for the link info's URI to
	nautilus_link_get_link_info_given_file_contents().
	In nautilus_link_get_link_uri_from_desktop(), when
	a desktop icon has an "URI=filename" entry resolve
	it like a symbolic link name relative to the link
	info parent. Ideally, we'd have
	g_file_parse_name_relative() which could do that for us,
	but it would mangle URI's fragments and queries anyway.

2008-09-24  Christian Neumair  <cneumair@gnome.org>

	* src/nautilus-application.c (count_slots_of_windows),
	(get_first_navigation_slot), (mount_removed_callback):
	* src/nautilus-navigation-window-slot.c
	(nautilus_navigation_window_slot_should_close_with_mount):
	* src/nautilus-navigation-window-slot.h:
	When unmounting, close all slots that only displayed locations on the
	mount. Never close all open slots, though. 

2008-09-24  Cosimo Cecchi  <cosimoc@gnome.org>

	* configure.in:
	* libnautilus-private/nautilus-file-operations.c:
	(copy_move_directory), (copy_move_file), (copy_files),
	(move_files):
	Revert latest commit, as we can't depend on GLib 2.19.0 before
	branching.

2008-09-22  Nelson Benítez León  <nbenitez@svn.gnome.org>

	* libnautilus-private/nautilus-file-operations.c
	(copy_move_file)
	(copy_move_directory)
	(copy_files):
	Pass G_FILE_COPY_TARGET_DEFAULT_PERMS flag to copy
	operations when the source file is in a readonly
	filesystem (eg. CDROM). Fixes #550816.

	* configure.in: Bump required glib version to 2.19.0
	to make use of aforementioned GFileCopyFlag.

2008-09-22  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-file.c
	(nautilus_file_get_emblem_icons):
	* libnautilus-private/nautilus-icon-info.c:
	* libnautilus-private/nautilus-icon-info.h:
	Support emblem file names that do not start with “emblem-”. Fixes
	#350643.

2008-09-22  Christian Neumair  <cneumair@gnome.org>

	* src/nautilus-window-slot.c
	(nautilus_window_slot_update_query_editor):
	Add weak ref for query editor pointer.

2008-09-22  Christian Neumair  <cneumair@gnome.org>

	* configure.in: post-release bump to 2.24.1.

=== nautilus 2.24.0 ===

2008-09-22  Christian Neumair  <cneumair@gnome.org>

	* NEWS:
	Update for release.

2008-09-22  Christian Neumair  <cneumair@gnome.org>

	* src/nautilus-window-manage-views.c:
	* src/nautilus-window-manage-views.h:
	* src/nautilus-window.c (nautilus_window_destroy),
	(nautilus_window_close_slot), (nautilus_window_slot_close):
	Remove nautilus_window_manage_views_destroy(), since everything it
	does is achieved by nautilus_window_close_slot(). Also ensure that
	slots are removed from the active slot history as they are closed.
	Fixes #553081.

2008-09-18  Cosimo Cecchi  <cosimoc@gnome.org>

	* libnautilus-private/nautilus-file.c: (finalize),
	(nautilus_file_invalidate_extension_info_internal):
	Don't leak the list of pending info providers (#552310).

2008-09-17  Christian Neumair  <cneumair@gnome.org>

	* src/file-manager/fm-list-model.c
	(fm_list_model_multi_drag_data_get),
	(fm_list_model_get_drag_target_list):
	* src/file-manager/fm-list-model.h:
	* src/file-manager/fm-list-view.c (motion_notify_callback):
	Enable text drag target for list view. Fixes #552474.

2008-09-17  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-file.c (nautilus_file_rename):
	When deciding whether name actually changed, compare target
	filename with display name for desktop files, and desktop icon
	files, instead of comparing it with the filename.
	Fixes #552112.

2008-09-16  Christian Neumair  <cneumair@gnome.org>

	* src/nautilus-application.c (mount_removed_callback):
	Let navigation slot go home, instead of its window. Properly
	initialize window variable.

2008-09-16  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-file.c
	(nautilus_file_compare_for_sort_internal),
	(nautilus_file_compare_for_sort),
	(nautilus_file_compare_for_sort_by_attribute_q):
	Also sort folders before files when the sort criterion is reversed.
	Fixes #310919.

2008-09-16  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-autorun.c
	(do_autorun_for_content_type):
	Center autorun dialog on screen.

2008-09-13  Christian Neumair  <cneumair@gnome.org>

	* src/file-manager/fm-properties-window.c (file_has_prefix),
	(directory_contents_value_field_update):
	Don't count file size twice if a folder and a nested file is selected
	at once. Fixes #552015.

2008-09-12  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-icon-canvas-item.c
	(nautilus_icon_canvas_item_set_is_visible),
	(nautilus_icon_canvas_item_invalidate_label):
	* libnautilus-private/nautilus-icon-canvas-item.h:
	* libnautilus-private/nautilus-icon-container.c
	(invalidate_labels), (nautilus_icon_container_set_layout_mode),
	(nautilus_icon_container_set_label_position),
	(nautilus_icon_container_set_font),
	(nautilus_icon_container_set_font_size_table),
	(nautilus_icon_container_set_all_columns_same_width):
	Add nautilus_icon_canvas_item_invalidate_label(), which removes the
	associated PangoLayout - used when resetting attributes, e.g. when the
	zoom level changes or when switching from “text below” to “text
	besides” mode. Fixes #551862.

2008-09-12  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-directory.c
	(nautilus_directory_is_local):
	Always assume that directories in trash are local. Fixes #546353.
	Thanks to lvaro Vilanova Vidal.

2008-09-10  Christian Neumair  <cneumair@gnome.org>

	* src/file-manager/fm-icon-container.c
	(fm_icon_container_get_icon_text_attributes_from_preferences):
	Use eel_preferences_add_auto_string_array_as_quarks(), instead of
	registering a custom callback function - which is not guaranteed to be
	run before other (instance) callbacks. Thanks to Cosimo Cecchi for the
	problem analysis. Fixes #551576.

	* configure.in:
	Depend on eel 2.24.0.

2008-09-08  Christian Neumair  <cneumair@gnome.org>

	* configure.in: post-release bump to 2.24.0.

=== nautilus 2.23.92 ===

2008-09-08  Christian Neumair  <cneumair@gnome.org>

	* NEWS:
	Update for release.

2008-09-08  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-icon-container.c (select_range),
	(keyboard_move_to), (handle_icon_button_press):
	Allow to select range additively when pressing ctrl and shift, i.e.
	don't unselect the old selection. Fixes #410497, at least for icon
	view.

2008-09-06  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-file.c
	(nautilus_file_is_date_sort_attribute_q):
	* libnautilus-private/nautilus-file.h:
	Add nautilus_file_is_date_sort_attribute_q().

	* src/file-manager/fm-list-view.c
	(sort_criterion_changes_due_to_user),
	(sort_column_changed_callback):
	When manually switching to a date column, or to the default column
	with “default_sort_in_reverse_order” active, auto-reverse sort order.
	Fixes #533189.

2008-09-05  Matthias Clasen  <mclasen@redhat.com>

	Bug 550009 – small leaks

	* libnautilus-private/nautilus-directory-background.c: Plug 
	three small memory leaks.

2008-09-04  Cosimo Cecchi  <cosimoc@gnome.org>

	* configure.in: Bump GTK+ required version to 2.13.0.
	* libnautilus-private/nautilus-program-choosing.c:
	(nautilus_launch_application), (nautilus_launch_desktop_file):
	* src/nautilus-connect-server-dialog-main.c: (show_uri):
	Use GdkAppLaunchContext instead of EelAppLaunchContext.
	This also fixes bug #550864.

2008-09-04  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-icon-container.c
	(finish_adding_new_icons):
	Set layout timestamp when fixating semi-positioned icons. Fixes
	#550807.

2008-09-04  Robert-André Mauchin  <zebob.m@pengzone.org>

	* po/LINGUAS:
	* po/ps.po: Added Pashto translations by Zabeeh Khan.

2008-09-04  Gilles Dartiguelongue  <gdartigu@svn.gnome.org>

	* configure.in:
	* docs/reference/Makefile.am:
	* docs/reference/libnautilus-extension/Makefile.am:
	* docs/reference/libnautilus-extension/libnautilus-extension-docs.x
	ml:
	* libnautilus-extension/nautilus-column.c:
	* libnautilus-extension/nautilus-menu-item.c:
	* libnautilus-extension/nautilus-property-page.c:
	(nautilus_property_page_get_type):
	* libnautilus-extension/nautilus-property-page.h:
	include some documentation, bug #396929.

2008-09-03  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-file-operations.c (create_job):
	Use file name duplication helper, unless we create directories. Also
	consider maximal file name length. Fixes #240116.

2008-09-03  Christian Neumair  <cneumair@gnome.org>

	* src/nautilus-navigation-window-menus.c
	(forget_history_if_confirmed):
	Remove scary secondary dialog message. Fixes #550567.
	Also remove easter egg, which isn't translatable.

2008-09-01  Christian Neumair  <cneumair@gnome.org>

	* configure.in: post-release bump to 2.23.92.

=== nautilus 2.23.91 ===

2008-09-01  Christian Neumair  <cneumair@gnome.org>

	* NEWS:
	Update for release.

2008-09-01  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-icon-container.c
	(nautilus_icon_container_update_scroll_region),
	(nautilus_icon_container_get_first_visible_icon),
	(nautilus_icon_container_scroll_to_icon):
	Adapt manual layout borders to auto layout borders, improve horizontal
	RTL scrolling to items. Unfortunately, programmatical scrolling is
	still somewhat broken due to subsequent relayouts as the horizontal
	scroll bar is shown/hidden.

2008-09-01  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-icon-container.c
	(rightmost_in_top_row), (keyboard_right), (keyboard_left),
	(keyboard_down), (keyboard_up):
	In LTR mode, always jump to the top-left icon if no icon is selected.
	In RTL mode, always jump to the top-right icon if no icon is selected.

2008-09-01  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-icon-container.c
	(nautilus_icon_container_scroll_to_icon):
	Also reveal entire rows/columns, and ensure a nice padding around icons.

2008-09-01  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-icon-container.c
	(nautilus_icon_container_update_scroll_region):
	Fix RTL scroll region calculation.

2008-09-01  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-icon-container.c (key_press_event):
	Reset event window before freeing event.

2008-09-01  Bastien Nocera  <hadess@hadess.net>

	* src/file-manager/nautilus-audio-mime-types.h: Update with
	latest changes from Totem, we can preview midi, XM, speex
	and FLAC files

2008-09-01  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-icon-container.c
	(item_get_canvas_bounds), (icon_get_row_and_column_bounds),
	(reveal_icon), (nautilus_icon_container_update_scroll_region),
	(lay_down_icons_horizontal):
	Improve icon view and compact view appearance:

	Always reveal entire rows and columns, i.e. ensure that all items
	are displayed, and a little safety padding around them is displayed.

	Increase vertical top and bottom container space for vertical layout,
	and horizontal bottom container space for horizontal layout.

2008-09-01  Christian Neumair  <cneumair@gnome.org>

	* src/nautilus-application.c (volume_added_callback):
	Make autorun work for blank CDs. Fixes #548221. Thanks to Jerry Yu
	<jijun.yu@sun.com>.

2008-09-01  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-file-operations.c
	(confirm_empty_trash), (prompt_empty_trash):
	Use "Empty Trash" buttons in empty trash dialogs. Fixes #524020.

2008-09-01  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-customization-data.c
	(format_name_for_display), (load_name_map_hash_table):
	* src/file-manager/fm-directory-view.c
	(add_template_to_templates_menus):
	* src/nautilus-property-browser.c
	(nautilus_property_browser_drag_data_get),
	(make_properties_from_directories):
	* test/test-nautilus-wrap-table.c (main):
	Strip extensions using eel_filename_strip_extension(). Fixes #309510.
	Thanks to Paolo Borelli <pborelli@katamail.com> and Jared Moore
	<jaredm@gmx.com>.

2008-09-01  Christian Neumair  <cneumair@gnome.org>

	* configure.in:
	Require eel 2.23.91.

	* libnautilus-private/nautilus-icon-info.c
	(nautilus_icon_info_lookup):
	Use eel_gdk_pixbuf_load_from_stream_at_size() for loading SVG icons at
	the desired size. Fixes #529371.

2008-09-01  Christian Neumair  <cneumair@gnome.org>

	* src/file-manager/fm-directory-view.c (done_loading):
	Only report that loading is complete and schedule selection 
	if all files are seen. Fixes #421759.

2008-08-31  Cosimo Cecchi  <cosimoc@gnome.org>

	* libnautilus-private/nautilus-icon-container.c: (key_press_event):
	Don't leak a GdkEvent.
	Thanks to Huang Peng (#548448).

2008-08-31  Christian Neumair  <cneumair@gnome.org>

	* src/nautilus-file-management-properties.glade:
	Modify "Behavior" category on "Behavior" tab: Use 12 pixels of
	vertical padding between click and window preferences. Fixes #158802.

2008-08-31  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-icon-names.h:
	* src/file-manager/fm-directory-view.c (real_update_location_menu),
	(real_update_menus):
	* src/file-manager/fm-tree-view.c (create_popup_menu):
	Use "edit-delete" icon for delete actions, and "user-trash-full" icon
	for trash actions. Partially fixes #325945.
	Also make some mnemonics consistent.

2008-08-31  Christian Neumair  <cneumair@gnome.org>

	* src/nautilus-main.c (main):
	Detect restart requests by the session manager (i.e. after crashes),
	only show default window if no desktop window is shown. Fixes #99221.

2008-08-31  Christian Neumair  <cneumair@gnome.org>

	* src/file-manager/fm-directory-view.c
	(get_file_names_as_parameter_array), (run_script_callback):
	Get script file name as script parameter relative to current
	view directory. Fixes #320215.

2008-08-30  Christian Neumair  <cneumair@gnome.org>

	* src/file-manager/fm-icon-view.c (fm_icon_view_set_property):
	Set icon layout to T_B_R_L iff widget's text direction is RTL.

2008-08-30  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-icon-canvas-item.c:
	Add T_B_R_L to IS_COMPACT_VIEW() macro.

	* libnautilus-private/nautilus-icon-container.c
	(lay_down_one_column), (compare_icons_horizontal),
	(compare_icons_vertical), (previous_column_highest),
	(previous_column_lowest), (keyboard_right), (keyboard_left),
	(keyboard_down), (keyboard_up):
	Support vertical icon container RTL layout. Make RTL keynav useful.
	For wrap-around on pressing the down button in RTL mode
	compare_icons_horizontal() and compare_icons_vertical() had to be
	added for not breaking previous_column_highest(). I.e. consider both
	coordinates separately. There is probably a sort algorithm bug involved
	that only occurs in this situation.

2008-08-30  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-icon-container.c (get_cmp_point_x),
	(compare_with_start_row), (compare_with_start_column),
	(next_row_rightmost), (next_column_bottommost),
	(same_column_below_highest), (keyboard_home), (keyboard_end),
	(record_arrow_key_start), (keyboard_arrow_key), (keyboard_right),
	(keyboard_left), (keyboard_down), (keyboard_up),
	(button_press_event):
	Split out fallback function that determine the rightmost icon on the
	bottom row, which used to be inside same_column_below_highest().
	Add a similar concept for the vertical layout.

	Vertical layout: Move to the last item when pressing the right arrow
			 key in the penultimate column, below the last item.
				next_row_rightmost().

	Horizontal layout: Move to the last item when pressing the down arrow
			   key in the penultimate row, right to the last item.
				next_column_bottommost().

	Remove arrow_key_start, and use arrow_key_axis_x/_y, for
	horizontal/vertical position constraints in
	compare_with_start_column() and compare_with_start_row().

	Fixes #549686, at least for LTR.

	* libnautilus-private/nautilus-icon-private.h:
	Remove unused arrow_key_axis and arrow_key_start variables.

2008-08-28  Cosimo Cecchi  <cosimoc@gnome.org>

	* src/file-manager/fm-directory-view.c:
	(update_restore_from_trash_action):
	Fix a typo in a plural string.
	Patch by Petr Kovar (#549662).

2008-08-25  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-icon-container.c
	(icon_set_position):
	Fix icon container size calculation (consider margins),
	use unified container clamping code for RTL and LTR, that considers
	the entire item dimensions, instead of measuring just the icon
	rectangle.

2008-08-24  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-directory.c
	(nautilus_directory_schedule_position_set):
	* libnautilus-private/nautilus-file.c (get_time_from_time_string),
	(nautilus_file_get_time_metadata),
	(nautilus_file_set_time_metadata):
	* libnautilus-private/nautilus-file.h:
	* libnautilus-private/nautilus-icon-container.c
	(lay_down_icons_vertical_desktop),
	(nautilus_icon_container_class_init),
	(nautilus_icon_container_instance_init),
	(nautilus_icon_container_clear), (finish_adding_new_icons),
	(is_old_or_unknown_icon_data), (nautilus_icon_container_add),
	(nautilus_icon_container_begin_loading),
	(store_layout_timestamps_now),
	(nautilus_icon_container_end_loading),
	(nautilus_icon_container_get_store_layout_timestamps),
	(nautilus_icon_container_set_store_layout_timestamps):
	* libnautilus-private/nautilus-icon-container.h:
	* libnautilus-private/nautilus-icon-dnd.c (handle_local_move):
	* libnautilus-private/nautilus-icon-private.h:
	* libnautilus-private/nautilus-metadata.h:
	* src/file-manager/fm-desktop-icon-view.c
	(fm_desktop_icon_view_init):
	* src/file-manager/fm-directory-view.c (done_loading),
	(display_pending_files), (fm_directory_view_end_loading),
	(fm_directory_view_stop), (fm_directory_view_class_init):
	* src/file-manager/fm-directory-view.h:
	* src/file-manager/fm-icon-view.c (fm_icon_view_add_file),
	(fm_icon_view_begin_loading), (fm_icon_view_end_loading),
	(fm_icon_view_screen_changed), (get_stored_layout_timestamp),
	(store_layout_timestamp), (create_icon_container):
	No more overlapping desktop icons.

	Implement a layout timestamp concept where each file on the desktop
	and the desktop directory itself is timestamped when a full layout
	happened. Iff files were not part of the last layout (or added more
	recently, through DND), they are treated as being “semi-positioned“
	(cf. 2005-11-07).
	This means that they may be freely shifted around, starting from their
	last position, until they don't overlap and fully laid out items.
	Should inter alia fix #330298.

2008-08-24  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-icon-container.c
	(find_empty_location), (lay_down_icons_vertical_desktop):
	Only use relative item measures for bounds check until absolute item
	positions are figured out.

2008-08-22  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-icon-canvas-item.c
	(prepare_pango_layout_for_draw), (draw_label_text):
	Always clear text background and display entire text
	if an icon is prelit or has the keyboard focus.

2008-08-22  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-icon-canvas-item.c
	(nautilus_icon_canvas_item_invalidate_label_size),
	(nautilus_icon_canvas_item_set_property), (compute_text_rectangle),
	(nautilus_icon_canvas_item_update_bounds), (layout_get_full_size),
	(layout_get_size_for_layout), (prepare_pango_layout_width),
	(prepare_pango_layout_for_measure_entire_text),
	(prepare_pango_layout_for_draw), (measure_label_text),
	(draw_label_text), (create_label_layout),
	(nautilus_icon_canvas_item_get_bounds_for_entire_item),
	(nautilus_icon_canvas_item_ensure_bounds_up_to_date),
	(nautilus_icon_canvas_item_get_text_rectangle),
	(nautilus_icon_canvas_item_accessible_get_offset_at_point):
	* libnautilus-private/nautilus-icon-canvas-item.h:
	* libnautilus-private/nautilus-icon-container.c
	(icon_get_bounding_box), (get_icon_bounds_for_canvas_bounds),
	(get_all_icon_bounds),
	(nautilus_icon_container_update_scroll_region),
	(compare_icons_by_position), (placement_grid_mark_icon),
	(find_empty_location), (lay_down_icons_vertical_desktop),
	(finish_adding_new_icons):
	Rework large chunks of canvas item text handling. Split text drawing
	and measuring function.

	Always calculate the size required to render the entire layout, then
	limit the number of lines to the allowed maximum.

	Introduce new bound calculation semantics. Introduce three item and
	text size usage and calculation contexts:
		layout: used for grid layout algorithms (ex. horizontal auto
		layout)

		entire text: for displaying the entire text (ex. canvas bound
		calculation for scroll area)

		display: actually used size (ex. text drawing)

2008-08-21  Cosimo Cecchi  <cosimoc@gnome.org>

	* src/file-manager/fm-directory-view.c: (real_update_menus):
	Don't show "Browse Folders" in spatial mode if no folders are
	selected.
	Patch by Paweł Paprota (#351431).

2008-08-21  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-icon-canvas-item.c
	(layout_get_full_size), (draw_or_measure_label_text):
	* libnautilus-private/nautilus-icon-container.c
	(nautilus_icon_container_constructor),
	(nautilus_icon_container_get_max_layout_lines_for_pango),
	(nautilus_icon_container_get_max_layout_lines):
	* libnautilus-private/nautilus-icon-container.h:
	Add helper for getting max. number of layout lines, which does not use
	the negative PangoLayout height convention. Use it in
	layout_get_full_size() instead of hardcoding three lines.
	Only connect GConf text ellipsis preferences container callbacks while
	the containers are alive.

2008-08-21  Cosimo Cecchi  <cosimoc@gnome.org>

	* src/file-manager/fm-properties-window.c:
	(value_field_update_internal):
	Add context for translators.
	Thanks to Bob Mauchin (#548446).

2008-08-21  Cosimo Cecchi  <cosimoc@gnome.org>

	* libnautilus-private/apps_nautilus_preferences.schemas.in:
	Fix typo in the schemas type description.
	Patch by F. Steinel (#548740).

2008-08-20  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-icon-canvas-item.c
	(draw_or_measure_label_text):
	Clear underlying items if text overlaps them when displaying full
	PangoLayout.

2008-08-20  Christian Neumair  <cneumair@gnome.org>

	* configure.in:
	Post release version bump.

=== nautilus 2.23.90 ===

2008-08-20  Christian Neumair  <cneumair@gnome.org>

	* NEWS:
	Update for release.

2008-08-20  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-program-choosing.c
	(nautilus_launch_application_from_command),
	(nautilus_launch_application_from_command_array):
	* libnautilus-private/nautilus-program-choosing.h:
	Use vararg list for nautilus_launch_application_from_command().
	Add nautilus_launch_application_from_command_array() which takes a
	parameter string array. Quote each parameter separately.

	* libnautilus-private/nautilus-mime-actions.c (activate_files):
	* src/file-manager/fm-desktop-icon-view.c
	(action_new_launcher_callback),
	(action_change_background_callback):
	* src/file-manager/fm-directory-view.c
	(action_new_launcher_callback),
	(get_file_names_as_parameter_array), (run_script_callback):
	* src/file-manager/fm-tree-view.c (got_activation_uri_callback):
	Pass each parameter separately to
	nautilus_launch_application_from_command(_array)().
	The _array() variant is used for running scripts, where the file names
	of the selection are passed separately.

	Fixes #341657. Thanks to Cosimo Cecchi.

2008-08-20  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-search-engine-simple.c
	(visit_directory):
	Make content type search criterion useful, by fixing typo from GIO
	migration. Fixes #548645.

2008-08-19  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-icon-canvas-item.c
	(draw_or_measure_label_text),
	(nautilus_icon_canvas_item_set_entire_text):
	* libnautilus-private/nautilus-icon-canvas-item.h:
	* libnautilus-private/nautilus-icon-container.c
	(lay_down_one_line), (lay_down_icons_horizontal):
	Never ellipsise text in last line of a line-wise layout.

2008-08-18  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/apps_nautilus_preferences.schemas.in:
	* libnautilus-private/nautilus-global-preferences.c:
	* libnautilus-private/nautilus-global-preferences.h:
	Add "icon_view/text_ellipsis_limit" and "desktop/text_ellipsis_limit".
	They specify the maximum number of lines to display before the file
	names should be ellipsized.

	* libnautilus-private/nautilus-icon-canvas-item.c
	(draw_or_measure_label_text):
	* libnautilus-private/nautilus-icon-container.c
	(text_ellipsis_limit_changed_container_callback),
	(nautilus_icon_container_constructor),
	(nautilus_icon_container_class_init),
	(get_text_ellipsis_limit_for_zoom),
	(text_ellipsis_limit_changed_callback),
	(desktop_text_ellipsis_limit_changed_callback),
	(nautilus_icon_container_instance_init),
	(nautilus_icon_container_get_layout_height):
	* libnautilus-private/nautilus-icon-container.h:
	* libnautilus-private/nautilus-icon-info.h:
	Connect icon container to text ellipsis limit preferences.

2008-08-18  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-icon-canvas-item.c
	(nautilus_icon_canvas_item_event):
	Raise icon when hovering with the mouse over it.

2008-08-17  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-icon-canvas-item.c
	(draw_or_measure_label_text):
	Obey one-line constraint in compact mode.

2008-08-16  Christian Neumair  <cneumair@gnome.org>

	* src/nautilus-navigation-window.c (real_sync_zoom_widgets):
	* src/nautilus-window.c (real_sync_zoom_widgets):
	Properly calculate zoom level. Issue was imported from old
	"zoom-parameters-change" cruft. Fixes #548036.

2008-08-16  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-icon-canvas-item.c
	(draw_or_measure_label_text), (nautilus_icon_canvas_item_event):
	Also display whole icon text when hovering with the mouse over the
	icon.

2008-08-16  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-icon-canvas-item.c
	(nautilus_icon_canvas_item_invalidate_label_size),
	(nautilus_icon_canvas_item_set_property), (compute_text_rectangle),
	(nautilus_icon_canvas_item_update_bounds), (layout_get_full_size),
	(draw_or_measure_label_text), (create_label_layout),
	(nautilus_icon_canvas_item_get_bounds_for_layout),
	(nautilus_icon_canvas_item_bounds),
	(nautilus_icon_canvas_item_ensure_bounds_up_to_date),
	(nautilus_icon_canvas_item_get_text_rectangle):
	* libnautilus-private/nautilus-icon-canvas-item.h:
	* libnautilus-private/nautilus-icon-container.c
	(icon_get_bounding_box_for_layout), (lay_down_icons_horizontal),
	(get_max_icon_dimensions), (lay_down_icons_vertical),
	(placement_grid_mark_icon), (find_empty_location),
	(lay_down_icons_vertical_desktop), (reload_icon_positions),
	(nautilus_icon_container_start_renaming_selected_item):
	Truncate icon label to three lines if it is not selected. Fixes
	#84390, at least in text-below-icon mode. 

2008-08-16  Christian Neumair  <cneumair@gnome.org>

	* src/file-manager/fm-directory-view.c
	(update_restore_from_trash_action):
	Ensure that hash table is not NULL before getting keys if the
	selection does not contain exactly one item.

2008-08-16  Christian Neumair  <cneumair@gnome.org>

	* src/file-manager/fm-directory-view.c
	(action_restore_from_trash_callback), (locations_from_file_list),
	(restore_from_trash),
	(action_location_restore_from_trash_callback),
	(get_original_directories), (files_are_all_directories),
	(files_is_none_directory), (update_restore_from_trash_action),
	(real_update_location_menu), (real_update_menus):
	* src/nautilus-window-manage-views.c (begin_location_change),
	(got_file_info_for_view_selection_callback),
	(free_location_change):
	Support restoring of multiple items from trash at once. Group them by
	original directory, and start a file operation for each original
	directory. Display appropriate tooltips. Fixes #547977.

2008-08-16  Christian Neumair  <cneumair@gnome.org>

	* src/nautilus-pathbar.c (slider_timeout),
	(nautilus_path_bar_init), (nautilus_path_bar_class_init),
	(nautilus_path_bar_scroll), (nautilus_path_bar_scroll_down),
	(nautilus_path_bar_scroll_up), (nautilus_path_bar_scroll_timeout),
	(nautilus_path_bar_slider_button_press):
	Handle scroll events. Fixes #547990.

2008-08-13  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-icon-info.h:
	* src/file-manager/fm-directory-view.c (file_should_show_foreach),
	(file_should_show_self), (real_update_menus_volumes):
	* src/file-manager/fm-tree-view.c (button_pressed_callback),
	(fm_tree_view_unmount_cb), (fm_tree_view_eject_cb),
	(create_popup_menu):
	Make eject and unmount labels consistent between tree side pane and
	places side pane, display both eject and unmount for volumes supporting
	both. Partially fixes #547275.

2008-08-13  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-dnd.c
	(nautilus_drag_default_drop_action_for_icons):
	Use correct target file for same filesystem check when dropping to
	desktop. Fixes #547282.

2008-08-11  A. Walton  <awalton@gnome.org>

	* libnautilus-private/nautilus-file-operations.c
	(nautilus_file_operations_copy_move):
	Use g_file_has_uri_scheme() instead of rolling our own.
	Fixes bug #539780.

2008-08-07  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-file.c (nautilus_file_is_archive):
	Add more supported MIME types, since file-roller trunk can handle them
	for remote locations. Thanks to Nelson Benítez León.

2008-08-06  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-view.c (nautilus_view_base_init):
	* libnautilus-private/nautilus-view.h:
	Remove unused "zoom-parameters-changed" signal.

2008-08-06  Christian Neumair  <cneumair@gnome.org>

	* src/nautilus-navigation-window.c (real_sync_zoom_widgets),
	(nautilus_navigation_window_class_init):
	* src/nautilus-window-manage-views.c (create_content_view),
	(location_has_really_changed), (update_for_new_location),
	(free_location_change), (nautilus_window_report_view_failed),
	(nautilus_window_manage_views_destroy),
	(nautilus_window_manage_views_close_slot):
	* src/nautilus-window-private.h:
	* src/nautilus-window-slot.c (real_active),
	(title_changed_callback),
	(nautilus_window_slot_connect_content_view),
	(nautilus_window_slot_disconnect_content_view),
	(nautilus_window_slot_set_content_view_widget):
	* src/nautilus-window-slot.h:
	* src/nautilus-window.c (nautilus_window_set_active_slot),
	(real_sync_zoom_widgets), (nautilus_window_sync_zoom_widgets),
	(zoom_level_changed_callback),
	(nautilus_window_connect_content_view),
	(nautilus_window_disconnect_content_view),
	(nautilus_window_class_init):
	* src/nautilus-window.h:
	Consolidate zoom handling. Add nautilus_window_sync_zoom_level(),
	and sync_zoom_level() method to NautilusWindow. Use it to sync both
	the menu state, and the toolbar state. Remove NautilusWindow's
	(dis)connect_content_view(), and use unified code in
	nautilus_window_(dis)connect_content_view(), wrapped by
	nautilus_window_slot_(dis)connect_content_view(), which also handles
	the (notebook) title sync. Fixes #546333.

2008-08-06  Cosimo Cecchi  <cosimoc@gnome.org>

	* src/nautilus-bookmarks-window.c: (on_selection_changed),
	(update_bookmark_from_text):
	Show the parse name instead of the URI in the bookmark editor
	location entry (#546267).

2008-08-05  Jens Granseuer  <jensgr@gmx.net>

	* src/nautilus-window.h: fix "parameter has incomplete type"
	warning by moving the type declarations before the functions that
	use them (#546310)

2008-08-05  Cosimo Cecchi  <cosimoc@gnome.org>

	* src/file-manager/fm-list-view.c: (create_column_editor):
	HIG improvements for the "Visible Columns" dialog.	
	Initial patch by Vincent Geddes (#457451).

2008-08-03  Christian Neumair  <cneumair@gnome.org>

	* configure.in:
	Post release version bump.

=== nautilus 2.23.6.1 ===

2008-08-04  Christian Neumair  <cneumair@gnome.org>

	* NEWS:
	Update for release.

	* configure.in:
	Change version to 2.23.6.1.

2008-08-04  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-file.c (update_info_internal):
	When changing the file name, only clear the display name if the new
	file info has a NULL display name, i.e. it hasn't been set before with
	nautilus_file_set_display_name(). Fixes icon names of computer:/// items.

2008-08-03  Christian Neumair  <cneumair@gnome.org>

	* configure.in:
	Post release version bump.

=== nautilus 2.23.6 ===

2008-08-03  Christian Neumair  <cneumair@gnome.org>

	* NEWS:
	Update for release.

2008-08-03  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-file-operations.c (str_replace),
	(make_file_name_valid_for_dest_fs), (get_unique_target_file),
	(get_target_file_for_link), (get_target_file), (create_dest_dir),
	(copy_move_directory), (query_fs_type), (copy_move_file),
	(copy_files), (move_file_prepare), (move_files_prepare),
	(move_files), (move_job), (link_file), (link_job), (create_job):
	Support transfer of files with reserved characters to FAT. Auto-escape
	them to the unreserved underscore character. Fixes #448148.

2008-08-02  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-icon-container.c (keyboard_move_to):
	Never use linear selection in manual layout.

2008-08-02  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-icon-container.c (get_cmp_point_x),
	(same_column_below_highest), (keyboard_move_to),
	(keyboard_arrow_key), (is_rectangle_selection_event),
	(keyboard_right), (keyboard_left), (keyboard_down), (keyboard_up):
	Use linear selection instead of rectangular when pressing shift, use
	rectangular selection using shift and control at the same time.
	Do not wrap around vertically in horizontal layout mode, do not wrap
	around horzontally in vertical layout mode, never wrap around during
	rectangle selection. Fixes #338298 and #545493.

2008-08-02  Christian Neumair  <cneumair@gnome.org>

	* src/nautilus-pathbar.c (update_button_types),
	(button_data_file_changed), (nautilus_path_bar_check_parent_path),
	(nautilus_path_bar_update_path), (nautilus_path_bar_set_path):
	* src/nautilus-pathbar.h:
	Handle moves in the path bar hierarchy. Fixes #545941.
	Thanks to Diego Escalante Urrelo.

2008-08-02  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-icon-container.c
	(rubberband_timeout_callback), (realize),
	(nautilus_icon_container_get_first_visible_icon),
	(nautilus_icon_container_scroll_to_icon),
	(nautilus_icon_container_update_visible_icons),
	(handle_vadjustment_changed), (handle_hadjustment_changed):
	* libnautilus-private/nautilus-icon-private.h:
	Implement visible icon handling for horizontal scrolling, i.e.
	vertical icon layout. This will properly scroll to the last displayed
	icons when reloading a directory in vertical layout.

2008-07-31  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-autorun.c
	(remove_elem_from_str_array), (add_elem_to_str_array),
	(nautilus_autorun_set_preferences), (combo_box_changed),
	(nautilus_autorun_prepare_combo_box):
	Handle NULL string arrays, and fix combo box model reference counting.
	Fixes #545658.

2008-07-31  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-tree-view-drag-dest.c
	(set_widget_highlight):
	Only queue a redraw if widget state actually changed. Fixes massive
	flickering issues when dragging over list view. Fixes #524282.

2008-07-30  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-search-directory-file.c
	(nautilus_search_directory_file_update_display_name),
	(nautilus_search_directory_file_init):
	Correctly claim that the display name for the search directory is a
	custom one.

2008-07-30  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-file.c
	(nautilus_file_clear_display_name), (nautilus_file_clear_info),
	(update_info_internal), (update_name_internal):
	When changing the file name, clear display name if it is not a custom
	one. Custom means “not provided by GFileInfo”.

2008-07-30  Christian Neumair  <cneumair@gnome.org>

	* src/nautilus-navigation-window-slot.c
	* src/nautilus-window-slot.c (real_update_query_editor),
	(nautilus_window_slot_update_query_editor):
	Use weak pointer for being notified about query editor destruction.

2008-07-30  Christian Neumair  <cneumair@gnome.org>

	* src/nautilus-navigation-window.c
	(path_bar_button_pressed_callback),
	(path_bar_button_released_callback),
	(path_bar_button_drag_begin_callback),
	(path_bar_path_set_callback):
	Open new window when control-clicking on a path bar button, open new
	tab when middle-clicking on a path bar button. Fixes #545397.

2008-07-30  Christian Neumair  <cneumair@gnome.org>

	* nautilus.desktop.in.in:
	Identify to GNOME session as file manager, and not as generic desktop
	application. Fixes #525056. Matthias Clasen.

2008-07-29  David Zeuthen  <davidz@redhat.com>

	* configure.in:
	Require gio 2.17.5 for g_mount_guess_content_type().

	* data/nautilus.xml.in:
	Delete x-content/* definitions; these are in shared-mime-info 0.50
	and greater.

	* libnautilus-private/nautilus-global-preferences.c:
	* libnautilus-private/nautilus-global-preferences.h:
	* libnautilus-private/apps_nautilus_preferences.schemas.in:
	Remove /apps/nautilus/preferences/media_autorun_x_content_ask
	and add /apps/nautilus/preferences/media_autorun_x_content_start_app
	instead since we're inverting the logic. Now, by default (except
	for x-content/software for which we're shipping an app ourselves)
	we default to asking the user what action to take.

	* libnautilus-private/nautilus-autorun.c:
	* libnautilus-private/nautilus-autorun.h:
	Use g_mount_guess_content_type() instead of using our own
	sniffing code. Also provide an option for the user to select
	an application to use (#532474).

	* src/nautilus-file-management-properties.c:
	Catch up with API changes to nautilus_autorun_prepare_combo_box()

2008-07-28  Cosimo Cecchi  <cosimoc@gnome.org>

	* src/nautilus-file-management-properties.c:
	(nautilus_file_management_properties_dialog_setup):
	* src/nautilus-navigation-window.c: (real_get_icon):
	Use standard icon name, as gnome-icon-theme no longer ships
	the "file-manager" icon.
	Patch by Matthias Clasen (#545062).

2008-07-24  Cosimo Cecchi  <cosimoc@gnome.org>

	* src/nautilus-pathbar.c: (setup_button_drag_source):
	Enable middle-click dragging a path bar button (#532475).

2008-07-24  Cosimo Cecchi  <cosimoc@gnome.org>

	* src/file-manager/fm-icon-view.c:
	(get_stored_icon_position_callback),
	(icon_position_changed_callback):
	Don't use setlocale () just to printf a float, but use
	g_ascii_dtostr () instead.
	Initial patch by Christian Persch (#461804).

2008-07-24  Cosimo Cecchi  <cosimoc@gnome.org>

	* libnautilus-private/nautilus-file-operations.c:
	(is_all_button_text), (do_run_simple_dialog),
	(run_simple_dialog_va), (run_error), (run_warning), (run_question),
	(confirm_delete_from_trash), (confirm_empty_trash),
	(confirm_delete_directly), (delete_dir), (delete_file),
	(trash_files), (scan_dir), (scan_file), (verify_destination),
	(create_dest_dir), (copy_move_directory),
	(remove_target_recursively), (copy_move_file), (move_file_prepare),
	(move_files_prepare), (link_file), (link_job), (create_job):
	Show "All" buttons in the file operations dialogs only if more than one
	file is involved in the process.
	Initial patch by Christian Neumair (#518616).

2008-07-21  Christian Neumair  <cneumair@gnome.org>

	* configure.in:
	Post release version bump.

=== nautilus 2.23.5.1 ===

2008-07-22  Christian Neumair  <cneumair@gnome.org>

	* NEWS:
	Update for release.

2008-07-21  Christian Neumair  <cneumair@gnome.org>

	* configure.in:
	* src/file-manager/fm-properties-window.c
	(value_field_update_internal):
	Revert Q_() -> C_() migration due to an intltool bug.
	Do not require intltool 0.36.3 (#542658).

2008-07-22  Christian Neumair  <cneumair@gnome.org>

	* NEWS:
	Update for release.

	* configure.in:
	Change version to 2.23.5.1.

2008-07-22  Christian Neumair  <cneumair@gnome.org>

	* src/file-manager/fm-directory-view.c (reset_open_with_menu):
	Display submenu for more than two associated applications when all
	files are folders.

2008-07-22  Christian Neumair  <cneumair@gnome.org>

	* src/file-manager/fm-directory-view.c
	(action_save_search_as_callback):
	Make save button the default widget, and proxy entry activation to the
	default widget.

2008-07-22  Christian Neumair  <cneumair@gnome.org>

	* src/nautilus-spatial-window.c (save_window_geometry_timeout),
	(nautilus_spatial_window_unrealize),
	(nautilus_spatial_window_save_geometry),
	(nautilus_spatial_window_save_scroll_position),
	(nautilus_spatial_window_save_show_hidden_files_mode),
	(real_close_slot), (nautilus_spatial_window_class_init):
	* src/nautilus-spatial-window.h:
	Make geomtry save methods per slot, rather than per window. The active
	slot is set to NULL before they are closed. Fixes #542656.
	Thanks to Frederic Peters.

2008-07-21  Christian Neumair  <cneumair@gnome.org>

	* src/nautilus-places-sidebar.c (enable_tabs_changed_callback),
	(bookmarks_check_popup_sensitivity), (bookmarks_build_popup_menu),
	(nautilus_places_sidebar_init):
	Add separator after "Open in ..." popup menu items.

	Only show "Open in New Tab" menu item if the preference is enabled.
	Update popup menu sensitivity when tabs preference changes.

2008-07-21  Christian Neumair  <cneumair@gnome.org>

	* src/nautilus-places-sidebar.c (clicked_eject_button),
	(nautilus_places_sidebar_init):
	Fix eject icon click detection, also make it work in RTL locales.
	Ellipsize sidebar text. Slightly reduce eject icon xpad. 

2008-07-21  Christian Neumair  <cneumair@gnome.org>

	* configure.in:
	Post release version bump.

=== nautilus 2.23.5 ===

2008-07-21  Christian Neumair  <cneumair@gnome.org>

	* src/nautilus-query-editor.h:
	Fix NautilusWindowInfo header inclusion.

2008-07-21  Christian Neumair  <cneumair@gnome.org>

	* src/file-manager/fm-actions.h:
	* src/file-manager/fm-directory-view.c
	(action_location_open_alternate_callback),
	(action_location_open_in_new_tab_callback),
	(real_update_location_menu), (real_update_menus):
	* src/file-manager/nautilus-directory-view-ui.xml:
	Add "Open in New Tab" item to location popup, and consolidate labels in
	case both spatial and browser mode are available.

2008-07-21  Christian Neumair  <cneumair@gnome.org>

	* NEWS:
	Update for release.

2008-07-21  Christian Neumair  <cneumair@gnome.org>

	* configure.in:
	* src/file-manager/fm-properties-window.c
	(value_field_update_internal):
	Use C_() instead of Q_(). Require intltool 0.36.3.

2008-07-21  Christian Neumair  <cneumair@gnome.org>

	* configure.in:
	Allow to disable XMP support. Thanks to Mikel Olasagasti and Gilles
	Dartiguelongue.

2008-07-21  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-file-private.h:
	* libnautilus-private/nautilus-file.c (update_info_internal),
	(nautilus_file_get_trash_original_file):
	* libnautilus-private/nautilus-file.h:
	* src/file-manager/fm-actions.h:
	* src/file-manager/fm-directory-view.c
	(action_restore_from_trash_callback), (restore_from_trash),
	(action_location_restore_from_trash_callback),
	(update_restore_from_trash_action), (real_update_location_menu),
	(real_update_menus):
	* src/file-manager/nautilus-directory-view-ui.xml:
	Support restoring from trash (one item at a time).

2008-07-21  Christian Neumair  <cneumair@gnome.org>

	* src/nautilus-window-menus.c:
	* src/nautilus-zoom-control.c
	(nautilus_zoom_control_instance_init):
	Add tooltips to the zoom controls, make menu tooltips consistent with
	and a11y description consistent with Epiphany. Related to #543935.
	Thanks to Diego Escalante Urrelo.

2008-07-21  Christian Neumair  <cneumair@gnome.org>

	* src/file-manager/fm-icon-view.c (fm_icon_view_register),
	(fm_compact_view_register):
	* src/file-manager/fm-icon-view.h:
	* src/nautilus-application.c (nautilus_application_instance_init):
	* src/nautilus-file-management-properties.c:
	* src/nautilus-file-management-properties.glade:
	Display compact view after list view, rather than before it. Fixes
	keybindings, and #543934. Thanks to Diego Escalante Urrelo.

2008-07-21  Christian Neumair  <cneumair@gnome.org>

	* src/nautilus-location-bar.c (editable_activate_callback),
	(nautilus_location_bar_init):
	Do not emit "location-changed" if the entry is empty. Fixes #527552.
	Thanks to Pedro Villavicencio, Cosimo Cechi and others.

2008-07-20  David Zeuthen  <davidz@redhat.com>

	* libnautilus-private/nautilus-file-operations.c
	(unmount_mount_callback):
	Call the correct finish function.

2008-07-20  Christian Neumair  <cneumair@gnome.org>

	* src/nautilus-pathbar.c (nautilus_path_bar_check_parent_path),
	(nautilus_path_bar_update_path):
	Do not treat top-level mounts (i.e. sftp://server/) as fake roots, and
	consequently do not display up slider.

2008-07-20  Christian Neumair  <cneumair@gnome.org>

	* src/nautilus-pathbar.c (get_type_icon_info):
	Use NautilusFile icon for normal buttons, rather than forcing folder
	icon. Fixes special location icons like network:///, computer:/// etc.

2008-07-20  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-file.c (update_info_internal):
	Only update referenced MIME type if it actually changed.

2008-07-20  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-dnd.c (check_same_fs),
	(nautilus_drag_default_drop_action_for_icons):
	* libnautilus-private/nautilus-file-private.h:
	* libnautilus-private/nautilus-file.c (nautilus_file_clear_info),
	(finalize), (update_info_internal),
	(nautilus_file_get_filesystem_id):
	* libnautilus-private/nautilus-file.h:
	Query filesystem ID, as referenced string. Use it to determine whether
	two files are on the same FS during DND. Gets rid of synchronous I/O.

2008-07-20  Christian Neumair  <cneumair@gnome.org>

	* src/nautilus-notebook.c (nautilus_notebook_sync_tab_label):
	Use full location name as tab tooltip.

2008-07-19  Christian Neumair  <cneumair@gnome.org>

	* src/nautilus-places-sidebar.c (add_place),
	(nautilus_places_sidebar_init):
	Only align eject icons with ejectable rows, instead of aligning them
	with all icons above the seperator.

2008-07-19  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-file-operations.c
	(mount_callback_data_notify), (volume_mount_cb),
	(nautilus_file_operations_mount_volume),
	(nautilus_file_operations_mount_volume_full):
	* libnautilus-private/nautilus-file-operations.h:
	Add nautilus_file_operations_mount_volume_full(), which
	will issue a callback with an optional user data object,
	if the object is still alive after mounting.

	* src/nautilus-places-sidebar.c (add_place),
	(clicked_eject_button), (volume_mounted_cb),
	(open_selected_bookmark), (nautilus_places_sidebar_init),
	(nautilus_places_sidebar_dispose):
	Open files after mounting them.

2008-07-17  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-program-choosing.c
	(nautilus_launch_application):
	Pass textual URIs instead of GFiles to GAppInfo for remote files,
	similar to nautilus_launch_desktop_file(). Fixes #543448.
	Discovered by Kamil Páral.

2008-07-16  A. Walton  <awalton@gnome.org>

	* src/file-manager/fm-properties-window.c (create_basic_page):
	Small touchup to r14351 (bug #542658) caught by Claude Paroz.

2008-07-16  Christian Neumair  <cneumair@gnome.org>

	* src/nautilus-pathbar.c (desktop_location_changed_callback),
	(nautilus_path_bar_finalize), (reload_icons),
	(get_custom_user_icon_info), (get_type_icon_info),
	(nautilus_path_bar_update_button_appearance),
	(nautilus_path_bar_update_button_state),
	(button_data_file_changed), (make_directory_button),
	(nautilus_path_bar_check_parent_path):
	* src/nautilus-pathbar.h:
	Dynamically update buttons on file changes instead of hard-coding them
	once, both labels and icons. Refactor icon code.
	Add TODO notice about reaction to XDG directory changes.
	Comment out usage of custom icons for path bar buttons, due to
	GDK pixbuf issues when scaling down large images #80925.

2008-07-15  Christian Neumair  <cneumair@gnome.org>

	* src/nautilus-pathbar.c (button_data_free),
	(button_data_file_changed), (make_directory_button),
	(nautilus_path_bar_update_path):
	Use NautilusFile instead of GFile for obtaining display name. Gets rid
	of sync I/O.

2008-07-15  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-icon-container.c
	(button_press_event), (nautilus_icon_container_did_not_drag),
	(handle_icon_double_click), (handle_icon_button_press):
	Only use double click for left mouse button. The middle mouse button
	opens a new tab or window on one click. Fixes #543136.

2008-07-15  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-icon-info.c
	(nautilus_icon_get_emblem_size_for_icon_size):
	* src/file-manager/fm-list-model.c (fm_list_model_get_value):
	Display emblems for small icon sizes, down to 16 pixels.

2008-07-15  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-dnd.c (slot_proxy_drag_motion),
	(nautilus_drag_slot_proxy_init):
	Also support a mode where the target URI is NULL, and the target slot is
	set.

	* src/nautilus-notebook.c (build_tab_label):
	Set up notebook labels as slot drag proxy, replace old DND code.

2008-07-14  A. Walton  <awalton@gnome.org>

	* libnautilus-private/nautilus-emblem-utils.c
	(nautilus_emblem_install_custom_emblem),
	(nautilus_emblem_can_remove_emblem):
	Use the GLib gstdio functions here, suggested in bug 542819
	by Thadeu Lima de Souza Cascardo.

2008-07-13  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-file.c:
	* libnautilus-private/nautilus-emblem-utils.c:
	Include sys/stat.h for struct stat and S_ISUID and other macros.
	Thanks to Thadeu Lima de Souza Cascardo  <cascardo@minaslivre.org>.

2008-07-13  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-dnd.c
	(nautilus_drag_uri_array_from_selection_list),
	(nautilus_drag_uri_list_from_selection_list),
	(nautilus_drag_uri_array_from_list),
	(nautilus_drag_uri_list_from_array), (slot_proxy_drag_motion),
	(drag_info_clear), (slot_proxy_drag_leave), (slot_proxy_drag_drop),
	(slot_proxy_handle_drop), (slot_proxy_drag_data_received),
	(nautilus_drag_slot_proxy_init):
	* libnautilus-private/nautilus-dnd.h:
	Add simple slot drop proxy API to libnautilus-private, centered
	around nautilus_drag_slot_proxy_init().
	The notebook tab label drop targets will later be ported to this API.

	Add API for converting URI lists to URI arrays, and for constructing
	URI lists and arrays from selection lists.

	* src/nautilus-notebook.c (notebook_tab_drag_data_received):
	Use nautilus_drag_uri_array_from_selection_list().

	* src/nautilus-pathbar.c (slider_timeout),
	(nautilus_path_bar_slider_drag_motion),
	(nautilus_path_bar_slider_drag_leave), (nautilus_path_bar_init),
	(nautilus_path_bar_finalize), (button_data_free),
	(button_drag_data_get_cb), (setup_button_drag_source),
	(make_directory_button):
	* src/nautilus-pathbar.h:
	Add path bar drop targets, use nautilus_drag_slot_proxy_init() for
	setup.
	Also offer GNOME icon lists as drag target.
	Reveal hidden paths when hovering over the up/down sliders for some
	time. Fixes #309842.

2008-07-13  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-view.c
	(nautilus_view_drop_proxy_received_netscape_url):
	* libnautilus-private/nautilus-view.h:
	* src/file-manager/fm-directory-view.c
	(fm_directory_view_init_view_iface),
	(fm_directory_view_drop_proxy_received_uris),
	(fm_directory_view_drop_proxy_received_netscape_url):
	Add function for receiving netscape URLs, clear colliding clipboard
	contents when receiving dropped URIs.

2008-07-13  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-window-slot-info.c
	(nautilus_window_slot_info_get_current_view):
	* libnautilus-private/nautilus-window-slot-info.h:
	* src/nautilus-window-slot.c (real_slot_info_get_current_view),
	(nautilus_window_slot_info_iface_init):
	Add nautilus_window_slot_info_get_window()
	for getting current NautilusView (one ref count added).

2008-07-12  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-icon-container.c
	(handle_icon_double_click):
	Fix typo.

2008-07-12  Christian Neumair  <cneumair@gnome.org>

	* src/file-manager/fm-properties-window.c (create_basic_page),
	(create_simple_permissions), (create_advanced_permissions),
	(create_permissions_page):
	Use UTF-8 dash instead of "--". Fixes #542658. Thanks to Claude Paroz.

2008-07-12  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-icon-container.c
	(button_press_event):
	* libnautilus-private/nautilus-icon-private.h:
	Completely rewrite button press detection. Finally fixes #542269
	without any side effects.

2008-07-12  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-icon-container.c
	(handle_icon_button_press):
	Fix activation of previously selected icons (introduced when fixing
	bug #347423). Fixes #542269. Thanks to Tomasz Sałaciński.

2008-07-10  Christian Neumair  <cneumair@gnome.org>

	* src/file-manager/fm-directory-view.c:
	Do not bind CTRL+T to "Move to Trash".

2008-07-09  Christian Neumair  <cneumair@gnome.org>

	* src/nautilus-navigation-window-menus.c (action_forward_callback):
	Fix typo. Go forward instead of going back.

2008-07-09  Christian Neumair  <cneumair@gnome.org>

	* src/nautilus-places-sidebar.c (compute_drop_position),
	(drag_motion_callback), (reorder_bookmarks),
	(drag_data_received_callback), (nautilus_places_sidebar_init):
	Bookmark DND fix galore. Properly handle reordering when non-existing
	bookmarks are present. They are ignored by the view, but not by the
	Nautilus bookmark list. Make DND indication consistent with the GTK+
	file chooser.

2008-07-09  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-window-slot-info.h:
	Actually add it.

	* src/nautilus-navigation-window-slot.h:
	* src/nautilus-notebook.h:
	* src/nautilus-window-slot.h:
	Contents was added twice. Remove it once.

2008-07-08  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/*.c:
	* src/*.c:
	Merge "multiview" tab branch. Fixes #48034.

2008-07-07  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-ui-utilities.c
	(nautilus_toolbar_action_from_menu_item):
	Use GTK_ICON_SIZE_LARGE_TOOLBAR instead of hard coding the icon size
	to 48. Fixes #541527. Thanks to Gilles Dartiguelongue.

2008-07-06  Christian Neumair  <cneumair@gnome.org>

	* src/nautilus-navigation-window.c (unset_focus_widget),
	(is_in_temporary_navigation_bar), (is_in_temporary_search_bar),
	(remember_focus_widget), (restore_focus_widget),
	(hide_temporary_bars), (navigation_bar_cancel_callback),
	(navigation_bar_location_changed_callback),
	(nautilus_navigation_window_destroy), (real_prompt_for_location),
	(search_bar_cancel_callback),
	(nautilus_navigation_window_show_search), (real_set_search_mode):
	* src/nautilus-window-manage-views.c (location_has_really_changed):
	* src/nautilus-window-private.h:
	* src/nautilus-window.c (nautilus_window_set_content_view_widget):
	Always grab view focus on location change, even if it the old view is
	re-used. Remember last focus widget when temporarily showing a bar,
	and re-focus it when hiding it. Fixes #500946. Thanks to Nelson
	Benítez León.

2008-07-04  Christian Neumair  <cneumair@gnome.org>

	* src/nautilus-places-sidebar.c (add_place),
	(clicked_eject_button), (check_unmount_and_eject),
	(check_visibility), (rename_selected_bookmark), (do_unmount),
	(do_unmount_selection), (unmount_shortcut_cb), (do_eject),
	(eject_shortcut_cb), (eject_or_unmount_bookmark),
	(eject_or_unmount_selection), (bookmarks_key_press_event_cb),
	(bookmarks_button_press_event_cb), (nautilus_places_sidebar_init):
	Add eject button to places sidebar. Use multiple cell renderers for
	aligning the button with the items above the separator, but not below
	it. Thanks to Stefano Teso, Cosimo Cecchi, Juan Dapena Paz and Ignacio
	Casal Quinteiro. Fixes #343839.

2008-07-04  Cosimo Cecchi  <cosimoc@gnome.org>

	* libnautilus-private/nautilus-file-utilities.c:
	(nautilus_get_user_directory), (nautilus_get_desktop_directory),
	(nautilus_create_templates_directory),
	(nautilus_get_searches_directory):
	* libnautilus-private/nautilus-metafile.c:
	(construct_private_metafile_uri):
	* libnautilus-private/nautilus-mime-actions.c: (activate_files):
	* src/file-manager/fm-directory-view.c: (change_to_view_directory),
	(run_script_callback):
	Use g_mkdir() and g_chdir() instead of mkdir() and chdir() to fix
	some warnings under GCC 4.3.1.

2008-07-03  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* libnautilus-private/nautilus-emblem-utils.c:
	Include <glib/gstdio.h> to fix the build. Some cleanup
	in header imports to improve code legibility.

	* libnautilus-private/nautilus-file.c:
	Include <glib/gstdio.h> here as well.

2008-07-03  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* configure.in: Don't reference
	cut-n-paste-code/widgets/ directory since it was removed
	in revision 14306.

2008-06-30  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-directory-async.c (thumbnail_done),
	(thumbnail_loader_size_prepared), (get_pixbuf_for_content),
	(thumbnail_start):
	* libnautilus-private/nautilus-file.h:
	Scale down huge pixbufs when loading. Massively speed up loading of
	directories where the original image is used as thumbnail.
	Also try to write the whole file at once rather than writing in chunks.

	* libnautilus-private/nautilus-file-private.h:
	* libnautilus-private/nautilus-file.c (nautilus_file_get_icon):
	Rewrite some flaky parts of thumbnailing.

	Never scale any thumbnails up.
	Always compose thumbnail on the fly instead storing it once and
	scaling it up and down.
	Add flag to force that thumbnail size matches
	the output icon size for tree view.

	* src/file-manager/fm-list-model.c (fm_list_model_get_value):
	Use this flag.

2008-06-29  Cosimo Cecchi  <cosimoc@gnome.org>

	* README: Remove reference to the need of a GNOME 2.4 environment
	to build Nautilus.

2008-06-29  Cosimo Cecchi  <cosimoc@gnome.org>

	* cut-n-paste-code/README: Update outdated information
	and mailing list address.

2008-06-29  Cosimo Cecchi  <cosimoc@gnome.org>

	* cut-n-paste-code/Makefile.am:
	* cut-n-paste-code/widgets/Makefile.am:
	Remove useless empty widgets directory.

2008-06-29  Cosimo Cecchi  <cosimoc@gnome.org>

	* src/nautilus-window.c: (nautilus_window_set_status):
	Fix a huge leak as messages were pushed in the statusbar but almost
	never popped. Patch by Vincent Untz. (#536968).

2008-06-29  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-icon-container.c
	(clicked_within_double_click_interval), (handle_icon_button_press):
	* libnautilus-private/nautilus-icon-private.h:
	Use customized double click detection, for supporting double clicks
	on half shown items, where the first click triggers a scroll event.
	Thanks to Nelson Benítez León. Fixes #347423.

2008-06-28  A. Walton  <awalton@gnome.org>

	* libnautilus-private/nautilus-icon-container.c
	(keyboard_arrow_key):
	Move keyboard focus correctly after a file has been
	removed. Patch thanks to Nelson Benitez. Closes bug #540107.

2008-06-28  Christian Neumair  <cneumair@gnome.org>

	* src/nautilus-window-manage-views.c
	(nautilus_window_report_selection_changed),
	(nautilus_window_report_load_underway),
	(nautilus_window_report_load_complete), (free_location_change),
	(nautilus_window_report_view_failed),
	(nautilus_window_stop_loading):
	* src/nautilus-window-private.h:
	Stop loading of new view instead of just unreffing it when freeing a
	location change.
	Ignore view signals of new view when stopping it. Otherwise we'd have
	infinite recursion.

2008-06-28  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-icon-container.c (keyboard_move_to),
	(keyboard_space):
	If no icon is selected, but an icon has the keyboard focus, select it
	when pressing space. Thanks to Nelson Benítez León, A. Walton and Amir
	Reza Khosroshahi. Fixes #378202.

2008-06-23  Rodney Dawes  <dobey.pwns@gmail.com>

	* libnautilus-private/nautilus-emblem-utils.c:
	(is_reserved_keyword, nautilus_emblem_should_show_in_list):
	* libnautilus-private/nautilus-file.h:
	Add the emblem-shared icon to be hidden in the emblems dialog and
	to be used as a reserved keyword as well

2008-06-23  Cosimo Cecchi  <cosimoc@gnome.org>

	* configure.in: require libbeagle >= 0.2.4. (#351288).

2008-06-19  Christian Persch  <chpe@gnome.org>

	* src/file-manager/fm-directory-view.c:
	(convert_file_list_to_string), (get_clipboard_callback),
	(clear_clipboard_callback), (convert_file_list_to_uris),
	(copy_or_cut_files), (clipboard_targets_received),
	(real_update_paste_menu), (fm_directory_view_class_init):
	* src/file-manager/fm-tree-view.c: (get_clipboard_callback),
	(clear_clipboard_callback), (convert_file_to_uri),
	(copy_or_cut_files): Store the clipboard selection also in
	text/uri-list format. Part of bug #314120.

2008-06-16  Christian Neumair  <cneumair@gnome.org>

	* configure.in: post-release bump to 2.23.5.

==================== 2.23.4 ====================

2008-06-16  Christian Neumair  <cneumair@gnome.org>

	* NEWS:
	Update for release.

2008-06-16  A. Walton  <awalton@gnome.org>

	* libnautilus-private/nautilus-file.c
	(nautilus_file_get_permissions_as_string):
	Correct a typo in the permissions code: 
	suid should test for S_ISUID instead of G_ISGID.
	Closes bug #538468.
	Patch by Marcel Stimberg.

2008-06-16  A. Walton  <awalton@gnome.org>

	* libnautilus-private/nautilus-emblem-utils.c
	(is_reserved_keyword), (nautilus_emblem_should_show_in_list):
	* libnautilus-private/nautilus-file.c (prepend_automatic_keywords):
	Remove the emblem-desktop from Nautilus, as GIO now returns the
	user-desktop icon for the user's Desktop directory.
	Closes bug #538152.

2008-06-16  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-file-operations.c (copy_move_file):
	Use G_FILE_COPY_ALL_METADATA (#515777). Thanks to Alex Rostovtsev.

2008-06-15  Cosimo Cecchi  <cosimoc@gnome.org>

	reviewed by: David Zeuthen <david@fubar.dk>

	* libnautilus-private/nautilus-autorun.c:
	Always open folder if the corresponding action is selected
	in the autorun preferences.
	Patch by Matthias Clasen. (#528675).

2008-06-12  Cosimo Cecchi  <cosimoc@gnome.org>

	* libnautilus-private/nautilus-dnd.c:
	(nautilus_drag_default_drop_action_for_icons):
	Don't use g_free () on a GFile.
	Patch by Sebastien Bacher. (#537995).

2008-06-11  A. Walton  <awalton@gnome.org>

	* libnautilus-private/nautilus-file.c (nautilus_file_should_show):
	Never hide hidden or backup files in the trash. Fixes bug #153545.

2008-06-11  Christian Neumair  <cneumair@gnome.org>

	* src/nautilus-file-management-properties.glade:
	* src/nautilus-zoom-control.c (nautilus_zoom_control_redraw):
	Slightly change zoom level algorithm to display "66%" instead of
	"67%". This looks more consistent with the "33%" label for a .3 zoom
	level. Also change preferences dialog accordingly: rename "75%" to
	"66%", and "25%" to "33%". Fixes #485965.

2008-06-11  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-file.c (update_info_internal),
	(nautilus_file_get_icon):
	* libnautilus-private/nautilus-thumbnails.c
	(nautilus_has_valid_failed_thumbnail):
	* libnautilus-private/nautilus-thumbnails.h:
	Fix thumbnail handling. Always request thumbnailing if a file without
	any thumbnail changes its mtime, or if a failed thumbnail is not up to
	date (i.e. its mtime differs from the file's mtime).

2008-06-08  German Poo-Caamano  <gpoo@gnome.org>

	* src/nautilus-window-menus.c:
	(add_extension_menu_items): New function to fill submenus from
	extensions using NautilusMenuProvider::get_background_items.
	(nautilus_window_load_extension_menus): Fixed submenu support
	for extensions using NautilusMenuProvider::get_background_items.
	* src/file-manager/fm-directory-view.c:
	(search_in_menu_items): Fix typo. Submenus provided by
	extensions were not activated (#508878).
	(reset_extension_actions_menu): Code cleanup, using g_list_foreach
	instead for.

2008-06-05  Cosimo Cecchi  <cosimoc@gnome.org>

	* src/file-manager/fm-icon-view.c:
	(fm_icon_view_real_set_directory_sort_reversed):
	Don't return anything for void function.
	Patch by Damien Carbery. (#536787).

2008-06-03  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.23.4

==================== 2.23.3 ====================

2008-06-03  Christian Neumair  <cneumair@gnome.org>

	* NEWS:
	Update for release.

	* configure.in:
	Require eel 2.23.2.

Sun Jun  1 19:30:58 2008  Søren Sandmann  <sandmann@redhat.com>

	* libnautilus-private/nautilus-directory-background.c
	(background_changed_callback): Make use of new
	eel_background_save_to_gconf().

2008-05-31  Cosimo Cecchi  <cosimoc@gnome.org>

	* libnautilus-private/nautilus-file-operations.c:
	(nautilus_file_operations_empty_trash):
	Call setup_autos() to have the confirmation preference var
	always initializated properly. Patch by Kai Willadsen (#535812).

Sat May 31 03:20:11 2008  Søren Sandmann  <sandmann@redhat.com>

	* libnautilus-private/nautilus-directory-background.c
	(nautilus_file_background_read_desktop_settings): If the placement
	is "none", then set image to NULL.

Fri May 30 23:33:17 2008  Søren Sandmann  <sandmann@redhat.com>

	* Revert last commit as we do still need to deal with uris.

Fri May 30 22:16:51 2008  Søren Sandmann  <sandmann@redhat.com>

	* libnautilus-private/nautilus-directory-background.c
	(initialize_background_from_settings): 
	* src/nautilus-information-panel.c
	(nautilus_information_panel_update_appearance): Update for new eel
	API
	* configure.in: Require SVN version of eel

Fri May 30 21:25:59 2008  Søren Sandmann  <sandmann@redhat.com>

	* libnautilus-private/nautilus-directory-background.c
	(initialize_background_from_settings): Don't call
	eel_background_set_image_uri_sync() since it has been exactly
	identical to eel_background_set_image_uri() for a while.

2008-05-29  Christian Neumair  <cneumair@gnome.org>

	* src/nautilus-bookmark-list.c (nautilus_bookmark_list_save_file):
	Convert g_warning() about inability to write to ~/.gtk-bookmarks to
	g_message().

2008-05-29  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-dnd.c
	(nautilus_drag_default_drop_action_for_icons):
	* libnautilus-private/nautilus-file-dnd.c
	(nautilus_drag_can_accept_files):
	* libnautilus-private/nautilus-file-utilities.c
	(nautilus_is_file_roller_installed):
	* libnautilus-private/nautilus-file-utilities.h:
	* libnautilus-private/nautilus-file.c (nautilus_file_is_archive):
	* libnautilus-private/nautilus-file.h:
	* src/file-manager/fm-directory-view.c
	(fm_directory_view_move_copy_items):
	Support adding files to archives via file-roller.
	Thanks to Nelson Benítez. Fixes #377157.

2008-05-28  Christian Neumair  <cneumair@gnome.org>

	* src/file-manager/fm-ditem-page.c (build_table), (create_page),
	(fm_ditem_page_create_begin), (fm_ditem_page_make_box),
	(fm_ditem_page_should_show):
	* src/file-manager/fm-ditem-page.h:
	* src/file-manager/fm-properties-window.c (create_basic_page):
	* src/nautilus-application.c (finish_startup):
	Display launcher editables on "Basic" page. Get rid of "Launcher" page.

2008-05-27  A. Walton  <awalton@gnome.org>

	* libnautilus-private/nautilus-icon-dnd.c: (drag_begin_callback):
	Don't try to create a Cairo context for a NULL pixmap.
	Fixes bug #534226.

2008-05-27  Cosimo Cecchi  <cosimoc@gnome.org>

	* libnautilus-private/nautilus-dnd.c:
	(nautilus_drag_default_drop_action_for_uri_list):
	* libnautilus-private/nautilus-dnd.h:
	* libnautilus-private/nautilus-icon-dnd.c:
	(nautilus_icon_container_get_drop_action):
	Select GDK_ACTION_MOVE as default action when DnD-ing a uri list
	into the trash. (#534769).	

2008-05-24  Christian Neumair  <cneumair@gnome.org>

	* src/nautilus-property-browser.c (nautilus_property_browser_init),
	(nautilus_property_browser_update_contents):
	Set window role to dialog, do not use custom hacks to pack images into
	window buttons. Fixes #78907.

2008-05-24  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/apps_nautilus_preferences.schemas.in:
	* libnautilus-private/nautilus-autorun.c:
	* src/nautilus-autorun-software.c
	(present_autorun_for_software_dialog):
	Use medium as singular of media. Fixes #522986.

2008-05-23  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-directory-async.c (seen_inode),
	(mark_inode_as_seen), (deep_count_one), (deep_count_state_free),
	(deep_count_load), (deep_count_start):
	Do not count the same inode twice when calculating size. Fixes
	#313668.

2008-05-23  Christian Neumair  <cneumair@gnome.org>

	* src/file-manager/fm-properties-window.c (set_name_field),
	(update_name_field), (value_field_update_internal),
	(attach_title_field), (create_page_with_hbox), (append_blank_row),
	(is_merged_trash_directory), (is_computer_directory),
	(is_network_directory), (is_burn_directory),
	(should_show_file_type), (should_show_location_info),
	(should_show_accessed_date), (should_show_free_space),
	(create_basic_page), (create_properties_window), (real_response),
	(fm_properties_window_class_init), (fm_properties_window_init):
	* src/file-manager/fm-properties-window.h:
	Remove useless properties for computer, trash, burn and network
	locations. Add spacing, make properties dialog HIG compliant.
	Derive dialog from GtkDialog, instead of GtkWindow.
	Fixes #325024.

2008-05-22  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-file.c (nautilus_file_get_icon):
	Fix frame size calculation.

2008-05-22  Christian Neumair  <cneumair@gnome.org>

	* src/nautilus-main.c (main):
	Initialize autostart to FALSE.

2008-05-21  A. Walton  <awalton@gnome.org>

	* */*.[ch]:
	Move all of Nautilus to single Gtk+ includes, because Mitch says so.
	Closes Bug #530315.

2008-05-20  Cosimo Cecchi  <cosimoc@gnome.org>

	* libnautilus-private/nautilus-clipboard.c:
	(convert_lines_to_str_list),
	(nautilus_clipboard_get_uri_list_from_selection_data),
	(nautilus_clipboard_get),
	(nautilus_clipboard_clear_if_colliding_uris):
	* libnautilus-private/nautilus-clipboard.h:
	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_get_copied_files_atom), (copy_or_cut_files),
	(paste_clipboard_data), (action_paste_files_callback),
	(paste_into), (real_update_paste_menu):
	* src/file-manager/fm-directory-view.h:
	* src/file-manager/fm-icon-view.c: (icon_view_move_copy_items):
	* src/file-manager/fm-list-view.c: (move_copy_items_callback):
	* src/file-manager/fm-tree-view.c: (move_copy_items_callback),
	(button_pressed_callback), (copy_or_cut_files),
	(paste_clipboard_data), (fm_tree_view_paste_cb):
	Empty the clipboard when copying/moving with DnD a file contained
	in it. Also, refactor some clipboard code from fm-directory-view.c and
	fm-tree-view.c into nautilus-clipboard.c. (#532850).

2008-05-19  Cosimo Cecchi  <cosimoc@gnome.org>

	* docs/Makefile.am:
	* docs/nautilus-connect-server.1:
	* docs/nautilus-file-management-properties.1:
	* docs/nautilus.1:
	Adds manpages taken from the Debian package. Many thanks to the
	Debian doc authors for these and for making them available
	under the GPL license. (#310473 and #501698).

2008-05-19  Cosimo Cecchi  <cosimoc@gnome.org>

	* src/nautilus-property-browser.c: (make_drag_image):
	Fix a typo that was breaking the image when doing DnD of
	emblems from the property browser.

2008-05-19  Padraig O'Briain  <padraig.obriain@sun.com>

	* src/nautilus-application.c (mount_removed_callback): Ensure that
	window no longer shows CD contents after CD is ejected. (#531678)

2008-05-19  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-file.c (nautilus_file_get_icon):
	* libnautilus-private/nautilus-icon-info.c
	(nautilus_icon_info_lookup),
	(nautilus_icon_info_get_pixbuf_nodefault_at_size),
	(nautilus_icon_info_get_pixbuf_at_size):
	Use bilinear interpolation instead of hyperbolic. Massively speeds up
	loading of directories with previously generated thumbnails.

2008-05-19  Christian Neumair  <cneumair@gnome.org>

	* src/nautilus-shell.c (corba_open_windows),
	(corba_open_default_window):
	Treat "" CORBA strings as NULL.

2008-05-19  Christian Neumair  <cneumair@gnome.org>

	* src/nautilus-shell.c (open_window):
	Never maximize windows opened from shell if a custom geometry has been
	specified. Fixes #92566.

2008-05-19  Cosimo Cecchi  <cosimoc@gnome.org>

	* src/file-manager/fm-icon-view.c:
	Fix a conflicting accelerator.
	Patch from Sebastien Bacher. (#442056)

2008-05-17  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-directory-background.c
	(nautilus_file_background_read_desktop_settings):
	Fix possibly uninitialized variable.

Fri May 16 23:56:37 2008  Søren Sandmann  <sandmann@redhat.com>

	* libnautilus-private/nautilus-directory-background.c
	(nautilus_file_background_read_desktop_settings):
	Rewrite this function using gconf directly instead of relying on
	libbackground.

	* libnautilus-private/nautilus-directory-background.c
	(nautilus_file_background_write_desktop_settings): 
	Rewrite to use gconf directly

	* libbackground: 
	Remove.

2008-05-14  Christian Neumair  <cneumair@gnome.org>

	* src/file-manager/fm-actions.h:
	* src/file-manager/fm-directory-view.c
	(paste_into_clipboard_received_callback), (paste_into),
	(action_paste_files_into_callback),
	(action_location_paste_files_into_callback),
	(clipboard_targets_received), (real_update_location_menu):
	* src/file-manager/nautilus-directory-view-ui.xml:
	Implement "Paste Into" for location context menu. Always request
	clipboard contents in real_update_paste_menu().

2008-05-13  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-file-operations.c
	(nautilus_file_operations_copy_move):
	Never move to "burn:///". Fixes #531750.

	* src/file-manager/fm-properties-window.c (real_destroy):
	Free permission_combos list.

2008-05-13  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-view.c
	(nautilus_view_pop_up_location_context_menu):
	* libnautilus-private/nautilus-view.h:
	* src/file-manager/fm-actions.h:
	* src/file-manager/fm-directory-view.c
	(action_self_properties_callback),
	(action_location_properties_callback),
	(fm_directory_view_finalize),
	(action_location_mount_volume_callback),
	(action_location_unmount_volume_callback),
	(action_location_eject_volume_callback),
	(action_location_format_volume_callback),
	(action_location_open_folder_window_callback),
	(action_location_cut_callback), (action_location_copy_callback),
	(action_location_trash_callback),
	(action_location_delete_callback),
	(real_update_location_menu_volumes), (real_update_location_menu),
	(fm_directory_view_pop_up_background_context_menu),
	(real_pop_up_location_context_menu),
	(location_popup_file_attributes_ready),
	(unschedule_pop_up_location_context_menu),
	(schedule_pop_up_location_context_menu),
	(fm_directory_view_pop_up_location_context_menu), (load_directory):
	* src/file-manager/fm-directory-view.h:
	* src/file-manager/nautilus-directory-view-ui.xml:
	* src/nautilus-location-bar.c (label_button_pressed_callback):
	* src/nautilus-navigation-window.c
	(nautilus_navigation_window_init),
	(path_bar_button_pressed_callback), (path_bar_path_set_callback):
	* src/nautilus-pathbar.c (nautilus_path_bar_class_init),
	(nautilus_path_bar_update_path),
	(nautilus_path_bar_get_path_for_button):
	* src/nautilus-pathbar.h:
	* src/nautilus-spatial-window.c (location_button_pressed_callback):
	Allow to open location popup menu for any location, and not just for
	currently open folder. Enable location popup menu for all path bar
	buttons. Add volume operations to location context menu. Fix
	separators in location context menu. Fixes #309844.
	Do not unref file when opening properties dialog from background
	context menu.

2008-05-13  Martin Wehner  <martin.wehner@gmail.com>

	* configure.in:
	Post release version bump.

=== nautilus 2.23.2 ===

2008-05-13  Martin Wehner  <martin.wehner@gmail.com>

	* NEWS:
	Update for release.

2008-05-09  Cosimo Cecchi  <cosimoc@gnome.org>

	* src/file-manager/fm-directory-view.c: (select_pattern):
	* src/file-manager/fm-icon-view.c:
	* src/nautilus-navigation-window-menus.c:
	* src/nautilus-spatial-window.c:
	Ellipsize and HIG-ify some menu items. (#335112).

2008-05-09  Cosimo Cecchi  <cosimoc@gnome.org>

	* libnautilus-private/apps_nautilus_preferences.schemas.in:
	Use the right type for all_columns_have_same_width key in the
	schemas description file. (#532363).

2008-05-09  Cosimo Cecchi  <cosimoc@gnome.org>

	* libnautilus-private/nautilus-dnd.c:
	(nautilus_drag_file_local_internal), (nautilus_drag_drag_data_get):
	* libnautilus-private/nautilus-open-with-dialog.c:
	(add_or_find_application):
	* libnautilus-private/nautilus-program-choosing.c:
	(nautilus_launch_application):
	* src/nautilus-sidebar-title.c: (update_icon):
	* src/nautilus-spatial-window.c:
	(got_file_info_for_location_menu_callback):
	* libnautilus-private/nautilus-file.c: (get_custom_icon):
	Plugged some leaks around.
	* libnautilus-private/nautilus-file.c: (is_uri_relative):
	Cleaned up this bit of code.

	Bug #532126.

2008-05-08  Federico Mena Quintero  <federico@novell.com>

	http://bugzilla.gnome.org/show_bug.cgi?id=364843

	Keep the generated names for "reallylongfilename (copy).txt" from
	overflowing the maximum allowed length for path names.

	Original patch by Dave Camp <campd@campd.org>

	* libnautilus-private/nautilus-file-operations.c
	(shorten_utf8_string): New function; takes an UTF8 string and
	hygienically truncates it to a given number of bytes.
	(get_link_name): Ensure the final name doesn't exceed a maximum length.
	(make_next_duplicate_name): Likewise.
	(get_max_name_length): Wrapper around pathconf() for basename lengths.
	(get_unique_target_file): Use a maximum length for the target name.
	(get_target_file_for_link): Likewise.

2008-05-07  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-icon-canvas-item.c:
	Use text width of 150 pixels in vertical layout mode, instead of 300.

2008-05-06  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-icon-container.c
	(next_row_leftmost), (previous_row_rightmost),
	(next_column_highest), (previous_column_lowest),
	(last_column_lowest), (keyboard_end), (keyboard_arrow_key),
	(keyboard_right), (keyboard_left), (keyboard_down), (keyboard_up):
	Wrap to next row/column when pressing arrow key, except if a11y is
	used. Fixes #526802.
	For vertical layout, make the "End" key select bottom item in last
	column, instead of the last item in the bottom row.

2008-05-05  A. Walton  <awalton@gnome.org>

	* libnautilus-private/nautilus-global-preferences.h:
	Fixup broken GConf key define. Patch from Stephane Demurget.

2008-05-05  A. Walton  <awalton@gnome.org>

	reviewed by: Cosimo Cecchi

	* libnautilus-private/nautilus-module.c (nautilus_module_load):
	* src/file-manager/fm-ditem-page.c (save_entry):
	* src/nautilus-autorun-software.c (autorun):
	Fixes build on toolchains with -Wformat enabled. 
	Closes bug #531562.

2008-05-05  A. Walton  <awalton@gnome.org>

	* src/nautilus-window-menus.c (action_about_nautilus_callback):
	Update FSF address, bump the copyright year to 2008, and remove
	a unnecessary version test macro (we require a later Gtk+ now, 
	making this test unnecessary). Closes bug #409038.

2008-05-05  A. Walton  <awalton@gnome.org>

	* configure.in:
	Use -Wstrict-aliasing=0 instead of -Wno-strict-aliasing, known to be
	broken on GCC 4.3.x < r130902 (GCC Bug #34973). Closes GNOME 
	bug #528081.

2008-05-05  Cosimo Cecchi  <cosimoc@gnome.org>

	* src/nautilus-window.c: (nautilus_window_key_press_event):
	Revert the patch for bug #314431 as it seems to break cut and paste.

2008-05-05  Paolo Borelli  <pborelli@katamail.com>

	* src/nautilus-connect-server-dialog-main.c:
	Do not error out if the remote share is already mounted.
	Fixes #531508.

2008-05-05  Tomas Bzatek  <tbzatek@redhat.com>

	* libnautilus-private/nautilus-file-operations.c:
	Don't allow recursive move/copy into itself. Fixes #530720.

2008-05-03  Hans Petter Jansson  <hpj@novell.com>

	* src/nautilus-image-properties-page.c (append_exifdata_string):
	If we get a NULL exifdata, don't try to dereference it. Fixes
	BGO #530851.

2008-05-03  Christian Neumair  <cneumair@gnome.org>

	* src/nautilus-file-management-properties.glade:
	Use 12 pixels of list column page indentation. Fixes #514415. Thanks
	to Marcin Galazka.

2008-05-01  Claude Paroz  <claude@2xlibre.net>

	* libnautilus-private/apps_nautilus_preferences.schemas.in: Removed
	duplicate "and" in description. Fixes #516906.

2008-04-30  Cosimo Cecchi  <cosimoc@gnome.org>

	* src/nautilus-property-browser.c: (ensure_file_is_image):
	Do not unref the file info before checking the mime type,
	otherwise the mime_type string will be invalidated. (#530549).

2008-04-30  A. Walton  <awalton@gnome.org>

	* configure.in:
	* src/file-manager/fm-icon-view.c:
	Remove false dependency for ESound. Closes bug #311445.

2008-04-30  A. Walton  <awalton@gnome.org>

	* libnautilus-private/nautilus-clipboard.c:
	* libnautilus-private/nautilus-directory-async.c:
	* libnautilus-private/nautilus-directory.c:
	* libnautilus-private/nautilus-entry.c:
	* libnautilus-private/nautilus-file.c:
	* libnautilus-private/nautilus-horizontal-splitter.c:
	* libnautilus-private/nautilus-icon-canvas-item.c:
	* libnautilus-private/nautilus-icon-container.c:
	* libnautilus-private/nautilus-metafile.c:
	* libnautilus-private/nautilus-users-groups-cache.c:
	* libnautilus-private/nautilus-vfs-directory.c:
	* src/nautilus-emblem-sidebar.c:
	* src/nautilus-file-management-properties.c:
	* src/nautilus-window-manage-views.c:
	* src/nautilus-window.c:
	* src/nautilus-zoom-control.c:
	Replace g_return_*() with g_assert() in private, internal
	functions. Closes #530321.

2008-04-29  David Zeuthen  <davidz@redhat.com>

	* libnautilus-private/nautilus-autorun.c:
	* libnautilus-private/nautilus-autorun.h:
	* libnautilus-private/nautilus-file-operations.c:
	(volume_mount_cb), (nautilus_file_operations_mount_volume):
	* libnautilus-private/nautilus-file-operations.h:
	* libnautilus-private/nautilus-mime-actions.c:
	(activation_mount_not_mounted_callback):
	* libnautilus-private/nautilus-vfs-file.c:
	(vfs_file_mount_callback):
	* src/nautilus-application.c: (startup_volume_mount_cb),
	(volume_added_callback):
	* src/nautilus-places-sidebar.c: (open_selected_bookmark),
	(mount_shortcut_cb):
	* src/nautilus-window-manage-views.c: (mount_not_mounted_callback):
	Fix how autorunning works. Instead of inhibiting autorunning
	every time we run something, we turn things around and instead
	allow automounting only in the instance where Nautilus automounted
	something itself. So in essence this patch is s/inhibit/allow/.
	This fixes an annoying problem where Nautilus would do autorun
	everytime something was mounted even from the command line. A
	consequence of this are windows popping up and other annoyances.
	This patch fixes that problem.

	* src/nautilus-x-content-bar.c: (nautilus_x_content_bar_init):
	Make sure the label is ellipsized.

2008-04-27  Cosimo Cecchi  <cosimoc@gnome.org>

	* libnautilus-private/nautilus-file-operations.c: (delete_files),
	(trash_files), (delete_job):
	Report user cancel when all the files we're about to trash or delete
	are skipped in the operation. This allows to use the same selection for
	requesting another deletion from the view. (#519746).

2008-04-27  Christian Neumair  <cneumair@gnome.org>

	* src/nautilus-window-manage-views.c
	(display_view_selection_failure):
	Quote schema. Fixes #522029.

2008-04-27  Cosimo Cecchi  <cosimoc@gnome.org>

	* src/nautilus-places-sidebar.c: (nautilus_places_sidebar_init):
	Always use single click policy in the Places sidebar. (#355760).

2008-04-27  Cosimo Cecchi  <cosimoc@gnome.org>

	* src/nautilus-navigation-window.c:
	(nautilus_navigation_window_save_geometry):
	Always properly remember window size, also in the case the window is
	closed being maximized. (#385176).

2008-04-27  Cosimo Cecchi  <cosimoc@gnome.org>

	* src/nautilus-window.c: (nautilus_window_key_press_event):
	Reverse the order in which the keybindings are processed by the
	NautilusWindow, and use the same approach as GEdit.
	This fixes some bugs where the GtkWindow accelerators were executed
	before the focused widget one. (#314431).

2008-04-27  Christian Neumair  <cneumair@gnome.org>

	* src/file-manager/fm-list-view.c (button_press_callback):
	Do not activate twice if the activated paths are already selected.
	Always expand when an expander is clicked, even when the activation
	paths are already selected. Add 4 to the GtkTreeView's claimed
	expander size, which accounts for hard coded internal GtkTreeView
	expander padding. Fixes #448562. Thanks to Paweł Paprota.

2008-04-26  A. Walton  <awalton@gnome.org>

	reviewed by: Christian Neumair

	* libnautilus-private/nautilus-file-private.h:
	* libnautilus-private/nautilus-file-utilities.c
	(nautilus_compute_title_for_location):
	* libnautilus-private/nautilus-file.c (update_info_internal),
	(nautilus_file_get_description):
	* libnautilus-private/nautilus-file.h:
	Use standard::description in the window title when it's available.
	Closes bug #516007.

2008-04-27  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-icon-container.c
	(emit_atk_focus_tracker_notify), (set_keyboard_focus),
	(select_range), (select_one_unselect_others), (rubberband_select),
	(keyboard_move_to):
	Properly handle selection changes when using keyboard navigation. We
	did not emit a "selection-change" signal when keyboard rubberbanding
	was used, and all except one icon were deselected. Fixes #509432.
	Thanks to Paweł Paprota.

2008-04-24  Cosimo Cecchi  <cosimoc@gnome.org>

	* src/file-manager/fm-list-view.c: (key_press_callback):
	Properly handle Ctrl+F10 keybinding in List View.
	Patch by Paweł Paprota. (#385896).

2008-04-23  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libnautilus-private/apps_nautilus_preferences.schemas.in:
	* libnautilus-private/nautilus-global-preferences.c:
	Bump default thumbnailing size limit from 5 MB to 10 MB (#421342).

2008-04-21  Christian Neumair  <cneumair@gnome.org>

	* configure.in:
	Post release version bump.

=== nautilus 2.23.1 ===

2008-04-21  Christian Neumair  <cneumair@gnome.org>

	* Makefile.am:
	* configure.in:
	Entirely move DISTCHECK_CONFIGURE_FLAGS to Makefile.am to fix
	distcheck.

2008-04-21  Christian Neumair  <cneumair@gnome.org>

	* NEWS:
	Update for release.

2008-04-21  Christian Neumair  <cneumair@gnome.org>

	* nautilus.desktop.in.in:
	* src/nautilus-main.c (main):
	Support new gnome-session autostart semantics (#525056). Thanks to
	Lucas Rocha.

2008-04-15  Cosimo Cecchi  <cosimoc@gnome.org>

	* libnautilus-private/nautilus-file.c: (compare_by_time):
	Initialize two vars to get rid of a warning with gcc 4.3.
	Patch by Paweł Paprota. (#528081).

2008-04-10  A. Walton  <awalton@svn.gnome.org>

	Remove GSequence directory and files (for real this time).

2008-04-10  A. Walton  <awalton@svn.gnome.org>

	* configure.in:
	* cut-n-paste-code/Makefile.am:
	* cut-n-paste-code/gsequence/Makefile.am:
	* cut-n-paste-code/gsequence/gsequence.c:
	* cut-n-paste-code/gsequence/gsequence.h:
	* src/Makefile.am:
	* src/file-manager/fm-list-model.c:
	Remove GSequence hack as it is no longer necessary;
	we require a newer GLib in order to support GIO.
	More work towards bug #520773.

2008-04-10  A. Walton  <awalton@svn.gnome.org>

	* src/Makefile.am:
	* src/nautilus-application.c: (nautilus_application_startup):
	* src/nautilus-application.h:
	* src/nautilus-first-time-druid.c:
	* src/nautilus-first-time-druid.h:
	* src/nautilus-main.c: (main):
	Remove the first-time-druid dead code (#520773).

2008-04-10  Cosimo Cecchi  <cosimoc@gnome.org>

	* configure.in: Add a missing comma to fix build with
	Autoconf 2.62. (#527315).

2008-04-08  Martin Wehner  <martin.wehner@gmail.com>

	* src/file-manager/fm-list-view.c: (fm_list_view_finalize):
	Destroy column editor dialog with its parent list view. (#439097) 

2008-04-07  Christian Neumair  <cneumair@gnome.org>

	* src/nautilus-application.c (nautilus_application_destroy),
	(automount_all_volumes_idle_cb), (finish_startup):
	* src/nautilus-application.h:
	Automount volumes in idle callback rather than during startup
	(#526471).

2008-04-07  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-column-chooser.c (update_buttons),
	(add_buttons):
	Remove show/hide buttons. The entries can be toggled directly using
	mouse or keyboard. Do not remove buttons to move entries, since
	list DND may not be obvious for some users (#514394). Thanks to Marcin
	Galazka.

2008-04-05  Cosimo Cecchi  <cosimoc@gnome.org>

	* libnautilus-private/nautilus-autorun.c:
	(_g_mount_guess_content_type):
	Disable autorun when detecting autorun.exe and autorun.inf,
	as we do not support those yet (part of bug #524270).
	* src/nautilus-autorun-software.c: (autorun), (main):
	Plug some minor leaks.

2008-04-04  A. Walton  <awalton@svn.gnome.org>

	* configure.in:
	* docs/Makefile.am:
	* docs/reference/Makefile.am:
	* docs/reference/libnautilus-extension/Makefile.am:
	* docs/reference/libnautilus-extension/libnautilus-extension-docs.xml:
	* docs/reference/libnautilus-extension/libnautilus-extension.types:
	* docs/reference/libnautilus-extension/version.xml.in:

	Adds initial Gtk-doc support infrastructure for libnautilus-extension.
	(Progress towards bug #526193).

2008-04-04  Christian Neumair  <cneumair@gnome.org>

	* src/nautilus-places-sidebar.c (nautilus_places_sidebar_init),
	(nautilus_places_sidebar_dispose),
	(nautilus_places_sidebar_class_init):

	Move finalize to dispose, unset pointers to window/tree_view, use
	eel_preferences_add_callback_while_alive().

2008-04-04  Cosimo Cecchi  <cosimoc@gnome.org>

	* libnautilus-extension/nautilus-file-info.c:
	(nautilus_file_info_get_parent_info),
	(nautilus_file_info_get_mount), (nautilus_file_info_can_write):
	* libnautilus-extension/nautilus-file-info.h:
	* libnautilus-private/nautilus-file.c:
	(nautilus_file_info_iface_init):
	Add new APIs for extensions to NautilusFileInfo (can_write, get_mount
	and get_parent_info). (#521612).

2008-04-04  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-file-operations.c (volume_mount_cb),
	(nautilus_file_operations_mount_volume):
	* libnautilus-private/nautilus-file-operations.h:
	* libnautilus-private/nautilus-mime-actions.c
	(activation_mount_not_mounted_callback),
	(activation_mount_not_mounted):
	* src/nautilus-application.c (startup_volume_mount_cb),
	(automount_all_volumes), (volume_added_callback):
	* src/nautilus-places-sidebar.c (open_selected_bookmark),
	(mount_shortcut_cb):
	* src/nautilus-window-manage-views.c (mount_not_mounted_callback),
	(got_file_info_for_view_selection_callback):
	Inhibit autorun in mount callbacks after finishing mounts rather than
	before mounting.

	It is neccessary because the mount may take a very long time (floppy,
	password prompt), which may take longer than the inhibition timeout.

	This approach works because with the current HAL volume monitor
	implementation, GVolumeMonitor signal emission is scheduled, while the
	mount callbacks are invoked synchronously.

	This should also fix the not working inhibition on startup, which
	could happen because parallel mounts in the background and the rest of
	the startup process eat resources, so the mounts may also take longer
	than the inhibition timeout.

2008-04-03  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-bookmark.c
	(nautilus_bookmark_icon_is_different):
	Fix icon comparison if icon has not yet been set.

	* libnautilus-private/nautilus-bookmark.c
	(nautilus_bookmark_update_icon):
	Never update icon if a file has not yet been confirmed.

2008-04-03  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-icon-container.c
	(nautilus_icon_container_update_scroll_region):
	Do not make x2/y2 smaller than x1/y2. Fixes flashing scrollbar
	for empty container.

2008-04-03  Tomas Bzatek  <tbzatek@redhat.com>

	* libnautilus-private/nautilus-file.c: (update_info_internal):
	Fix SELinux:context attribute display issue

2008-04-02  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-icon-container.c
	(nautilus_icon_container_update_scroll_region),
	(lay_down_icons_horizontal), (get_max_icon_dimensions),
	(lay_down_icons_vertical),
	(nautilus_icon_container_start_renaming_selected_item),
	(nautilus_icon_container_is_layout_vertical):
	* libnautilus-private/nautilus-icon-container.h:
	* src/nautilus-window.c
	(nautilus_window_set_initial_window_geometry):
	Subtract 1 from icon rectangle's x2/y2 positions before setting scroll
	area since the entire canvas codes requests 1 px more than it needs.
	Wrap when the icon hits the canvas, rather than wrapping to late.
	Fixes most of the "text besides icons" glitches.

	Add container padding on the RHS for vertical layout, and consider
	max. emblem rectangles when deciding whether to wrap. This may wrap
	slightly to early in some (high zoom level) situations, but we will
	never get scroll glitches.

2008-04-01  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-view-factory.h:
	* src/file-manager/fm-desktop-icon-view.c
	(fm_desktop_icon_view_register):
	* src/file-manager/fm-icon-view.c:
	* src/file-manager/fm-list-view.c (fm_list_view_register):
	* src/nautilus-navigation-window.c (load_view_as_menu):
	* src/nautilus-window-manage-views.c:
	* src/nautilus-window-manage-views.h:
	* src/nautilus-window.c (add_view_as_menu_item):
	Remove unused "label" field of NautilusViewInfo and
	nautilus_window_get_view_label().
	Rename two other fields of NautilusViewInfo and make their use
	more explicit. Remove redundand "View" from view menu label.

2008-04-01  Michael J. Chudobiak  <mjc@svn.gnome.org>

	* libnautilus-private/nautilus-file.c: (nautilus_file_get_icon):
	Skip the thumbnailing of unreadable files. This is more efficient
	than relying on failed thumbnails. (#525594).

2008-04-01  A. Walton  <awalton@svn.gnome.org>

	reviewed by: Cosimo Cecchi
	* HACKING:
	Add advice about patches adding strings to Nautilus.

2008-04-01  Cosimo Cecchi  <cosimoc@gnome.org>

	* libnautilus-private/nautilus-file-operations.c: (delete_dir),
	(prompt_empty_trash), (verify_destination), (copy_move_directory),
	(remove_target_recursively), (copy_move_file):
	* libnautilus-private/nautilus-mime-actions.c:
	(report_broken_symbolic_link), (activate_files):
	* libnautilus-private/nautilus-program-choosing.c:
	(application_cannot_open_location), (nautilus_launch_application),
	(nautilus_launch_desktop_file):
	* src/file-manager/fm-error-reporting.c:
	(fm_report_error_loading_directory),
	(fm_report_error_renaming_file), (fm_report_error_setting_group),
	(fm_report_error_setting_owner),
	(fm_report_error_setting_permissions):
	* src/file-manager/fm-properties-window.c:
	(fm_properties_window_drag_data_received),
	(create_permissions_page):
	* src/nautilus-application.c: (nautilus_application_startup):
	* src/nautilus-connect-server-dialog-main.c:
	(display_error_dialog):
	* src/nautilus-connect-server-dialog.c: (connect_to_server):
	* src/nautilus-emblem-sidebar.c:
	(nautilus_emblem_sidebar_delete_cb), (rename_dialog_response_cb):
	* src/nautilus-information-panel.c: (receive_dropped_uri_list):
	* src/nautilus-property-browser.c: (remove_pattern),
	(remove_emblem), (add_pattern_to_browser):
	* src/nautilus-window-manage-views.c:
	(display_view_selection_failure):
	Do not use contractions in strings. (#145356).

2008-04-01  Cosimo Cecchi  <cosimoc@gnome.org>

	* libnautilus-private/nautilus-file-operations.c:
	(nautilus_file_operations_unmount_mount), (empty_trash_job),
	(nautilus_file_operations_empty_trash):
	Do not ask twice if we want to empty the trash when unmounting
	a volume. (#525269).

2008-03-31  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-autorun.c
	(should_skip_native_mount_root), (should_autorun_mount):
	Do not automount mount points inside hidden hierarchies (#524075).

2008-03-31  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-icon-container.c
	(lay_down_icons_vertical):
	Reduce vertical space between icons, do not request space at the
	bottom of a column.

2008-03-31  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-icon-canvas-item.c
	(create_label_layout),
	(nautilus_icon_canvas_item_get_max_text_width):
	* libnautilus-private/nautilus-icon-container.c
	(nautilus_icon_container_start_renaming_selected_item):
	For column layout, do not limit text width if each columns determines
	its own width.

2008-03-30  Christian Neumair  <cneumair@gnome.org>

	* src/file-manager/fm-icon-view.c
	(fm_icon_view_real_get_directory_tighter_layout):
	Return FALSE if view does not support tighter layout.

2008-03-30  Christian Neumair  <cneumair@gnome.org>

	* src/file-manager/fm-desktop-icon-view.c
	(fm_desktop_icon_view_register):
	Do not translate unused desktop icon view labels.

	* src/file-manager/fm-icon-view.c:
	* src/file-manager/fm-list-view.c:
	Use "... View" instead of "View as ..." for view menu and dropdown.
	This makes the labels consistent with the preference dialog and with
	the compact view.

2008-03-30  Christian Neumair  <cneumair@gnome.org>

	* src/file-manager/fm-properties-window.c
	(get_image_for_properties_window), (update_properties_window_icon),
	(create_image_widget):
	Use icon name for window instead of pixbuf, if available (#519041).

2008-03-29  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/apps_nautilus_preferences.schemas.in:
	* libnautilus-private/nautilus-global-preferences.c
	(nautilus_global_preferences_get_default_folder_viewer_preference_a
	s_iid):
	* libnautilus-private/nautilus-global-preferences.h:
	* libnautilus-private/nautilus-icon-canvas-item.c
	(create_label_layout),
	(nautilus_icon_canvas_item_get_max_text_width):
	* libnautilus-private/nautilus-icon-container.c
	(lay_down_one_column), (get_max_icon_dimensions),
	(lay_down_icons_vertical), (lay_down_icons_vertical_desktop),
	(lay_down_icons), (size_allocate),
	(nautilus_icon_container_update_icon),
	(nautilus_icon_container_set_layout_mode),
	(nautilus_icon_container_start_renaming_selected_item),
	(nautilus_icon_container_set_forced_icon_size),
	(nautilus_icon_container_set_all_columns_same_width):
	* libnautilus-private/nautilus-icon-container.h:
	* libnautilus-private/nautilus-icon-private.h:
	* libnautilus-private/nautilus-metadata.h:
	* src/file-manager/fm-icon-container.c
	(fm_icon_container_get_icon_images),
	(fm_icon_container_get_icon_text):
	* src/file-manager/fm-icon-view.c
	(get_stored_icon_position_callback),
	(fm_icon_view_supports_manual_layout),
	(fm_icon_view_supports_tighter_layout), (update_layout_menus),
	(fm_icon_view_real_set_directory_sort_reversed),
	(fm_icon_view_get_directory_auto_layout),
	(fm_icon_view_real_get_directory_auto_layout),
	(fm_icon_view_set_directory_auto_layout),
	(fm_icon_view_real_set_directory_auto_layout),
	(fm_icon_view_real_set_directory_tighter_layout),
	(real_supports_manual_layout), (get_default_zoom_level),
	(set_labels_beside_icons), (set_columns_same_width),
	(fm_icon_view_begin_loading), (fm_icon_view_set_zoom_level),
	(fm_icon_view_zoom_to_level),
	(fm_icon_view_restore_default_zoom_level),
	(default_zoom_level_changed_callback),
	(all_columns_same_width_changed_callback),
	(fm_icon_view_set_property), (fm_icon_view_class_init),
	(fm_icon_view_get_id), (fm_icon_view_init), (fm_icon_view_create),
	(fm_compact_view_create), (fm_icon_view_is_compact),
	(fm_icon_view_register):
	* src/file-manager/fm-icon-view.h:
	* src/nautilus-file-management-properties.c
	(nautilus_file_management_properties_dialog_setup):
	* src/nautilus-file-management-properties.glade:
	Added compact view.

2008-03-29  Cosimo Cecchi  <cosimoc@gnome.org>

	* src/nautilus-window-manage-views.c:
	(display_view_selection_failure):
	Fix a typo in a string. (#521199).

2008-03-29  Cosimo Cecchi  <cosimoc@gnome.org>

	* libnautilus-private/nautilus-progress-info.c:
	(get_progress_window):
	Use title capitalization for the File Operations dialog. (#516353).

2008-03-29  Cosimo Cecchi  <cosimoc@gnome.org>

	* src/nautilus-places-sidebar.c: (update_places):
	Show network servers in Places sidebar. Patch by Vincent Untz.
	(#350974).

2008-03-29  Cosimo Cecchi  <cosimoc@gnome.org>

	* libnautilus-private/nautilus-icon-container.c:
	(nautilus_icon_container_invert_selection):
	* libnautilus-private/nautilus-icon-container.h:
	* libnautilus-private/nautilus-view.c:
	(nautilus_view_invert_selection):
	* libnautilus-private/nautilus-view.h:
	* src/file-manager/fm-actions.h:
	* src/file-manager/fm-directory-view.c:
	(action_invert_selection_callback),
	(fm_directory_view_invert_selection), (real_update_menus),
	(fm_directory_view_class_init):
	* src/file-manager/fm-directory-view.h:
	* src/file-manager/fm-icon-view.c: (fm_icon_view_invert_selection),
	(fm_icon_view_class_init):
	* src/file-manager/fm-list-view.c: (fm_list_view_invert_selection),
	(fm_list_view_class_init):
	* src/file-manager/nautilus-directory-view-ui.xml:
	Add support for "Invert Selection". Patch by Amos Brocco
	<amos.brocco@unifr.ch>. (#305295).

2008-03-29  Christian Neumair  <cneumair@gnome.org>

	* src/nautilus-application.c
	(nautilus_application_save_session_to_file), (save_session):
	* src/nautilus-application.h:
	* src/nautilus-main.c (main):
	* src/nautilus-shell.c (open_windows_at_idle), (restart_at_idle):
	When restarting with "nautilus --restart", use XML file session
	save / load mechanism, instead of writing to / reading from GConf.

2008-03-29  Christian Neumair  <cneumair@gnome.org>

	* src/nautilus-bookmarks-window.c (create_bookmarks_window),
	(on_button_pressed), (on_key_pressed), (repopulate):
	Write back changes to selected bookmark before changing
	selection (#318278).

2008-03-28  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Bump version to 2.23.1
	Gnome 2.22 work continues on gnome-2-22 branch

2008-03-28  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

=== nautilus 2.22.1 ===

2008-03-28  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

2008-03-28  A. Walton  <awalton@svn.gnome.org>

	* libnautilus-private/nautilus-progress-info.c:
	(get_progress_window):
	Fix annoying behavior of the file progress info dialog jumping
	to the center of the screen when new file operations begin.
	Closes #524241.

2008-03-28  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
        (copy_move_file):
	Make sure to queue a move even if the op was a move,
	not just an added event.

2008-03-28  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
	(move_job): 
	Don't leak dest_fs_id by requesting it twice.
	
2008-03-28  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
        (copy_move_file):
	During the merge part of a recursive move/copy always
	disable same_fs to make sure we transcode filenames
	correctly, as the target directory may be on another
	filesystem.

2008-03-28  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
	When prepare move fails and we didn't select overwrite
	do not silently overwrite. Instead we remember for each
	file if overwrite was already specified or not.

2008-03-28  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
        (move_file_prepare):
	Actually handle the move-file-over-directory case.

2008-03-26  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-monitor.c:
        (nautilus_monitor_directory):
	Avoid constantly trying to create directory monitors
	if it fails once by returning an "empty"
	NautilusMonitor instead of NULL.

2008-03-24  Christian Neumair  <cneumair@gnome.org>

	* src/file-manager/fm-directory-view.c
	(delayed_rename_file_hack_callback),
	(delayed_rename_file_hack_removed), (rename_file):
	Ensure that the rename file callback data is destroyed. We leaked it
	in case of cancellation.

2008-03-23  Christian Neumair  <cneumair@gnome.org>

	* src/file-manager/fm-directory-view.c
	(directory_list_lookup_file), (fm_directory_view_new_folder),
	(paste_clipboard_received_callback),
	(paste_into_clipboard_received_callback),
	(action_paste_files_callback), (action_paste_files_into_callback):
	Ref/unref view before/after receiving clipboard data, and check
	whether it has been disposed. Should fix most of the clipboard crashers.

	* src/file-manager/fm-tree-view.c
	(clipboard_contents_received_callback), (button_pressed_callback),
	(create_popup_menu), (fm_tree_view_init), (fm_tree_view_dispose),
	(fm_tree_view_finalize):
	Cancel activation and destroy popup in dispose() and not in finalize().
	Create popup menu on demand.
	Unref popup file in dispose() instead of leaking a reference.
	Use eel_preferences_add_callback_while_alive() for preferences
	callbacks.
	Also ref/unref before/after requesting clipboard data, and check for
	previous disposal in callback. Should fix rest of clipboard crashers.

2008-03-23  Christian Neumair  <cneumair@gnome.org>

	* src/file-manager/fm-icon-view.c (play_file):
	Use playbin for playback, but keep video playback disabled. (#523959).

2008-03-23  Paolo Borelli  <pborelli@katamail.com>

	* src/nautilus-location-entry.c: do not leak the
	location string when autocompleting.

2008-03-23  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-directory-async.c
	(directory_count_start), (deep_count_load):
	Do not follow symlinks. (#504980).

2008-03-23  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-file-operations.c
	(custom_full_name_skip), (custom_basename_skip),
	(custom_size_skip), (custom_time_skip), (custom_mount_skip):
	Fix compiler warnings about unused value by casting va_arg calls with
	unused return values to void. (#523908).

2008-03-22  Christian Neumair  <cneumair@gnome.org>

	* src/file-manager/fm-directory-view.c
	(delayed_rename_file_hack_callback):
	Only start renaming if we have not yet been destroyed.

2008-03-20  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-program-choosing.c:
	Use GDesktopAppInfos for launching desktop files. (#342084)
	Patch from Cosimo Cecchi.
	
        * src/file-manager/fm-directory-view.c:
        (paste_clipboard_data):
	Fix leak 

2008-03-19  Frederic Crozat  <fcrozat@mandriva.com>

	* libnautilus-private/nautilus-link.c:
	Only strip icon name when it ends with a know
	icon extension.

2008-03-19  Alexander Larsson  <alexl@redhat.com>

	* MAINTAINERS:
	Add Christian Neumair as new maintainer

2008-03-19  Sebastian Dröge  <slomo@circular-chaos.org>

	* libnautilus-private/nautilus-search-engine-tracker.c:
	(nautilus_search_engine_tracker_new): Check that tracker is
	actually running before using it (#386512).
	Patch by Josselin Mouette.

2008-03-19  Sebastian Dröge  <slomo@circular-chaos.org>

	* src/file-manager/fm-directory-view.c:
	(action_show_hidden_files_callback): Show backup files too if the
	option for it is set. Showing hidden files and backup files is
	handled exactly the same in nautilus nowadays (#327361).
	Patch by Stephen Cook.

2008-03-19  Sebastian Dröge  <slomo@circular-chaos.org>

	* src/file-manager/fm-directory-view.c: (file_should_show_foreach):
	Allow "Connect to server" for sftp and ssh shares too (#385608).
	Patch from Mike Hommey.

2008-03-18  Cosimo Cecchi  <cosimoc@gnome.org>

	* libnautilus-private/nautilus-file.c:
	(nautilus_file_should_show_thumbnail):
	* libnautilus-private/nautilus-thumbnails.c: (get_types_table),
	(nautilus_thumbnail_is_mimetype_limited_by_size):
	* libnautilus-private/nautilus-thumbnails.h:
	Always use the thumbnails regardless of the original file size if
	it has been already generated (#501268).
	Also, reimplement image	mimetypes table to determine if we have
	to check for file size limit.


2008-03-17  A. Walton  <awalton@svn.gnome.org>

	* libnautilus-private/nautilus-icon-info.h:
	Trivial build fix for users with Gtk+ SVN trunk (#522835), 
	caused by recent changes in Gtk+'s file includes.
	Patch from Marc-Andre Lureau.
	
2008-03-17  Alexander Larsson  <alexl@redhat.com>

        * src/nautilus-connect-server-dialog-main.c:
        * src/nautilus-connect-server-dialog-nonmain.c:
        * src/nautilus-connect-server-dialog.c:
	Mount location when using the external connect
	to server dialog app. (#520390)
	Patch from Cosimo Cecchi <anarki@lilik.it>

2008-03-14  A. Walton  <awalton@svn.gnome.org>

	* src/nautilus-connect-server-dialog.c
	(bookmark_checkmark_toggled),
	(nautilus_connect_server_dialog_init):
	Set the bookmark name widget in the connect server dialog insensitive
	if the user doesn't check the add bookmark check button.

2008-03-14  A. Walton  <awalton@svn.gnome.org>

	* libnautilus-private/nautilus-bookmark.c
	(nautilus_bookmark_compare_with):
	Fixes crash if the user doesn't set a name for the bookmark (#522446).

2008-03-14  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-column-chooser.c:
        (button_new_with_mnemonic):
	respect gtk-button-images property for buttons (#514130)
	Patch from Marcin Galazka

2008-03-13  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-mime-application-chooser.c:
        (set_extension_and_description):
	Don't create application/x-ext-<extension> types for known mimetypes

2008-03-12  Cosimo Cecchi  <cosimoc@gnome.org>

	* src/nautilus-property-browser.c:
	(make_properties_from_directories):
	Use the correct string to lookup the icons for the emblems.
	(#505111).

2008-03-12  Tomas Bzatek  <tbzatek@redhat.com>

	* src/file-manager/fm-properties-window.c:
	Fix a crash while changing owner

2008-03-11  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

=== nautilus 2.22.0 ===

2008-03-11  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Bump to 2.22.0

        * AUTHORS:
        * NEWS:
        * THANKS:
        * check-THANKS.pl:
	Update for release.

2008-03-07  Cosimo Cecchi  <cosimoc@gnome.org>

	* libnautilus-private/nautilus-file-operations.c:
	(callback_for_move_to_trash):
	Fix a crash due to a missing NULL check (#520947).

2008-03-06  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-bookmark.c:
        (nautilus_bookmark_uri_known_not_to_exist):
	Fix this check to actually only access local
	files, not fuse-based gvfs paths.

2008-03-06  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-icon-container.c:
        (nautilus_icon_container_update_icon):
	Remove dead code
	
        * libnautilus-private/nautilus-icon-info.c:
        (nautilus_icon_info_lookup):
	Resize custom icons (#513102)

2008-03-06  Alexander Larsson  <alexl@redhat.com>

	* src/file-manager/fm-directory-view.c (add_template_to_templates_menus): 
	Avoid crashing if no pixbuf for menu icon. (#513719)
	
2008-03-06  Alexander Larsson  <alexl@redhat.com>

	* src/nautilus-file-management-properties.c:
	Avoid showing broken icons for the media type list (#519880)

2008-03-06  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
        (trash_files):
	Fix delete all button (#518616)
	Patch from Rached Ben Mustapha

2008-03-06  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file.c:
        (nautilus_file_can_set_permissions):
	Try to set permissions on remote shares. (#520572)

2008-03-06  Alexander Larsson  <alexl@redhat.com>

	* libnautilus-private/nautilus-autorun.c (_g_mount_guess_content_type):
	Only look for autorun stuff for local files.
	We can't generally exec stuff for non-local files anyway,
	and is a performance hit to do the check.

2008-03-05  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-autorun.[ch]:
	Add async x-content type getter, change sync one
	to only read the cached value
	
        * src/file-manager/fm-directory-view.c:
        * src/nautilus-window-manage-views.c:
	Get x-content type async

2008-03-04  Alexander Larsson  <alexl@redhat.com>

	* libnautilus-private/nautilus-file.c (nautilus_file_set_display_name):
	Handle the case of empty display name as if it wasn't specified.

2008-02-29  Cosimo Cecchi  <cosimoc@gnome.org>

	* nautilus-computer.desktop.in.in:
	* nautilus-folder-handler.desktop.in.in:
	* nautilus-home.desktop.in.in:
	Computer, Home and Open Folder .desktop files should only show in
	GNOME. Patch from Federico Mena Quintero. (#350947)

2008-02-29  Cosimo Cecchi  <cosimoc@gnome.org>

	* src/nautilus-file-management-properties.c:
	(update_icon_captions_from_gconf):
	Fix a crasher when reading NULL values from GConf. (#518974)

2008-02-28  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-file.c: (nautilus_file_get_gicon):
	Handle NULL file.
	* src/nautilus-bookmark-list.c: (nautilus_bookmark_list_load_file):
	Ignore lines beginning with a space (#512593).

2008-02-28  Alexander Larsson  <alexl@redhat.com>

        * src/file-manager/fm-directory-view.c:
        (file_should_show_foreach):
	Add mount entry for mountables, not unmount (#519056)
	
2008-02-28  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-progress-info.c:
	Use better icon for system tray. (#518644)
	Patch from Michael Monreal

2008-02-07  Christian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-metafile.c: (metafile_read_state_free):
	Handle NULL state (#512042).
	* src/nautilus-pathbar.c: (nautilus_path_bar_finalize): Disconnect
	trash monitor signal (#519050).

2008-02-26  Alexander Larsson  <alexl@redhat.com>

	* src/nautilus-autorun-software.c (autorun):
	Fix typo in string

2008-02-25  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

=== nautilus 2.21.92 ===

2008-02-25  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Require glib 2.15.6

	* NEWS:
	Update for release
	
2008-02-25  Alexander Larsson  <alexl@redhat.com>

        * src/nautilus-autorun-software.c:
	Show dialog on autorun errors

2008-02-25  Alexander Larsson  <alexl@redhat.com>

        * src/file-manager/fm-properties-window.c:
	Don't show permissions for computer.
	Make "open with tab" consistent for computer and trash.
	Patch from Cosimo Cecchi (#518131)

2008-02-25  Alexander Larsson  <alexl@redhat.com>

        * src/nautilus-window-manage-views.c:
        (got_file_info_for_view_selection_callback):
	Fix NautilusFile leak.
	Patch from Christian Neumair

2008-02-25  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-icon-container.[ch]:
        * src/file-manager/fm-directory-view.[ch]:
        * src/file-manager/fm-icon-view.c:
	Fixes the icon position when creating a new folder,
	and the view is zoomed.
	Patch from Christian Neumair

2008-02-25  Alexander Larsson  <alexl@redhat.com>

	* libnautilus-private/nautilus-icon-info.c (nautilus_icon_info_new_for_icon_info):
	Fix s/display_name/filename/ typo (#515903)
	Fixes blurry window icons
	Patch from Christian Neumair

2008-02-25  Alexander Larsson  <alexl@redhat.com>

        * src/file-manager/fm-properties-window.c:
	Allow theming of chart colors (#478471)
	Patch from Baris Cicek

2008-02-25  Alexander Larsson  <alexl@redhat.com>

	* libnautilus-private/nautilus-file.c (is_uri_relative):
	g_uri_get_scheme -> g_uri_parse_scheme

2008-02-25  Alexander Larsson  <alexl@redhat.com>

	* libnautilus-private/nautilus-mime-actions.c (activation_mountable_mounted):
	Don't display error on G_IO_ERROR_FAILED_HANDLED.

2008-02-22  David Zeuthen  <davidz@redhat.com>

	* libnautilus-private/nautilus-autorun.c:
	(autorun_dialog_response), (do_autorun_for_content_type):
	Actually handle when the user presses the Eject or Unmount button.

	* src/nautilus-window-manage-views.c: (found_mount_cb),
	(update_for_new_location):
	* src/nautilus-window-private.h:
	* src/nautilus-window.c: (nautilus_window_finalize):
	Find the mount for the window, used for determining if a x-content
	clue bar should be shown, async.

2008-02-22  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-mime-actions.c:
        (activation_mount_not_mounted):
	Don't crash if all files were removed due to error
	when activating.

2008-02-22  Chrustian Neumair  <cneumair@gnome.org>

	* libnautilus-private/nautilus-icon-container.c:
	(nautilus_icon_container_get_selected_icons),
	(nautilus_icon_container_get_selected_icon_locations),
	(stop_rubberbanding): Add
	nautilus_icon_container_get_selected_icons(). Use icon as range
	selection base if it has been rubberbanded. Fixes #512894.

2008-02-21  Vincent Untz  <vuntz@gnome.org>

	Bring back the Connect to dialog. It still needs some work, but it's
	better than nothing.

	* libnautilus-private/nautilus-bookmark.c: (nautilus_bookmark_new):
	Actually save the name in the bookmark, instead of forgetting it.

	* src/Makefile.am: Updated to build the connect dialog stuff.
	* src/nautilus-connect-server-dialog-main.c: (show_uri),
	(nautilus_connect_server_dialog_present_uri), (main):
	Port to gio. We use g_app_info_launch_default_for_uri() to open the
	URI, but it will need some more work because it doesn't automount the
	URI.
	* src/nautilus-connect-server-dialog-nonmain.c:
	(nautilus_connect_server_dialog_present_uri): Trivial update.
	* src/nautilus-connect-server-dialog.[ch]: (get_method_description),
	(nautilus_connect_server_dialog_finalize), (connect_to_server),
	(response_callback), (setup_for_type), (display_server_location),
	(nautilus_connect_server_dialog_init),
	(nautilus_connect_server_dialog_new): Port to gio. Add bookmark saving
	feature, to replace the old gnome-vfs network volumes. Remove the
	Browse button, which isn't really needed there. Needs some more polish.
	* src/nautilus-shell-ui.xml: Uncomment the "Connect to" action
	* src/nautilus-window-menus.c: (action_connect_to_server_callback):
	Uncomment code to make use of the dialog

2008-02-21  David Zeuthen  <davidz@redhat.com>

	* libnautilus-private/nautilus-autorun.c: (should_autorun_mount):
	Use g_volume_should_automount() to determine if we should autorun
	programs on a mount.

	* libnautilus-private/nautilus-directory-async.c:
	(nautilus_directory_set_up_request),
	(nautilus_async_destroying_file), (lacks_filesystem_info),
	(wants_filesystem_info), (request_is_satisfied),
	(directory_count_start), (mime_list_start),
	(filesystem_info_cancel), (filesystem_info_stop),
	(filesystem_info_state_free), (got_filesystem_info),
	(query_filesystem_info_callback), (filesystem_info_start),
	(start_or_stop_io), (nautilus_directory_cancel),
	(cancel_filesystem_info_for_file), (cancel_loading_attributes),
	(nautilus_directory_cancel_loading_file_attributes):
	* libnautilus-private/nautilus-directory-private.h:
	* libnautilus-private/nautilus-file-attributes.h: Add new
	filesystem info attribute; right now two bits in NautilusFile's
	private structure are set; the filesystem::use-preview and
	filesystem:readonly.

	* libnautilus-private/nautilus-file-operations.c:
	(nautilus_file_operations_mount_volume):
	* src/nautilus-places-sidebar.c: (open_selected_bookmark),
	(mount_shortcut_cb): Don't inhibit automount from
	nautilus_file_operations_mount_volume() because then everything
	will be inhibited as the mount_added callback use it as
	well. Rather, move the call to inhibit out to the proper call
	sites.

	* libnautilus-private/nautilus-file-private.h:
	* libnautilus-private/nautilus-file.c:
	(nautilus_file_get_filesystem_use_preview),
	(nautilus_file_should_show_thumbnail),
	(get_speed_tradeoff_preference_for_file),
	(nautilus_file_get_mount):
	* libnautilus-private/nautilus-file.h:
	* src/file-manager/fm-directory-view.c: (load_directory):
	* src/file-manager/fm-icon-view.c: (should_preview_sound):
	* src/nautilus-window-manage-views.c: (update_for_new_location):
	Use the new filesystem::use-preview hint to determine if we should
	preview non-native files (such as gphoto2:// and cdda://
	mounts). 

2008-02-21  Cosimo Cecchi  <cosimoc@gnome.org>

	* src/nautilus-application.c: (find_parent_spatial_window):
	Stop closing parent windows at Desktop in spatial mode only if it's
	not explicitly opened in a spatial window. (#515180).

2008-02-21  Cosimo Cecchi  <cosimoc@gnome.org>

	* src/nautilus-pathbar.c: (trash_state_changed_cb),
	(nautilus_path_bar_init):
	Update the trash icon on the pathbar according to the trash state.
	(#332162).

2008-02-20  Cosimo Cecchi  <cosimoc@gnome.org>

	* libnautilus-private/nautilus-mime-application-chooser.c:
	(get_extension_from_file), (set_uri_and_type_for_multiple_files):
	Finish work on open with tab with multiple files selected. (#343930).

2008-02-20  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-mime-application-chooser.[ch]:
        * libnautilus-private/nautilus-open-with-dialog.[ch]:
        * src/file-manager/fm-directory-view.c:
        * src/file-manager/fm-properties-window.c:
	Initial work on open with tab with multple selected
	files. (#343930)
	Patch from Cosimo Cecchi

2008-02-20  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
	Duplicate if src and dest dirs are the same (#512392)

2008-02-20  Alexander Larsson  <alexl@redhat.com>

        * src/nautilus-main.c:
	Call eel_debug_shut_down() after freeing
	NautilusApplications (fixes warning about
	bookmark leaks).
	Pointed out by Christian Neumair
	
2008-02-20  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-icon-info.c:
        (nautilus_icon_info_get_pixbuf_nodefault_at_size):
        (nautilus_icon_info_get_pixbuf_at_size):
	Don't scale icons if not needed (#515903)
	Patch from Christian Neumair

2008-02-19  Alexander Larsson  <alexl@redhat.com>

        * src/file-manager/fm-tree-model.[ch]:
        Add fm_tree_model_iter_compare_roots to compare roots
        Report dummy rows added before reporting has_child_toggled.
	
        * src/file-manager/fm-tree-view.c:
        (compare_rows):
	Use fm_tree_model_iter_compare_roots when comparing roots
	to force a stable sort, because GtkTreeModelSort isn't stable.

2008-02-19  Cosimo Cecchi  <cosimoc@gnome.org>

	* libnautilus-private/nautilus-file-operations.c:
	(delete_job_done), (delete_job), (trash_or_delete_internal),
	(callback_for_move_to_trash), (nautilus_file_operations_copy_move):
	* libnautilus-private/nautilus-file-operations.h:
	* src/file-manager/fm-directory-view.c:
	(trash_or_delete_selected_files), (trash_or_delete_done_cb),
	(trash_or_delete_files), (action_location_trash_callback):
	Reset selection_was_removed in FMDirectoryView if the user
	cancels the deletion from trash (#337937).

2008-02-19  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-clipboard.c:
        * src/file-manager/fm-directory-view.c:
        * src/file-manager/fm-icon-view.c:
        * src/file-manager/fm-list-view.c:
        * src/nautilus-navigation-window-menus.c:
        * src/nautilus-spatial-window.c:
        * src/nautilus-window-menus.c:
	Move comments around to help translators (#463616)
	Patch from Yann Simon

2008-02-19  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/Makefile.am:
        * libnautilus-private/nautilus-file-operations-progress-icons.h:
        * libnautilus-private/nautilus-file-operations-progress.[ch]:
	Removed unused files. (#515259)
	
        * libnautilus-private/nautilus-file-operations.c:
	Don't include removed file

2008-02-18  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-directory-async.c:
        (link_info_nautilus_link_read_callback):
	Avoid free of random memory if desktop file reading
	failed.

2008-02-15  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-dnd.c:
        (nautilus_drag_build_selection_list):
	Don't build selection list in wrong order. (#330357)

2008-02-15  Cosimo Cecchi  <cosimoc@gnome.org>

	* src/file-manager/fm-properties-window.c:
	(should_show_custom_icon_buttons):
	Fix typo, now you can set custom icons again. (#512795)

2008-02-15  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-mime-actions.c:
        * libnautilus-private/nautilus-vfs-file.c:
	Fix checking when to display errors (#514135)

2008-02-14  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
        (report_copy_progress):
	Only change progress status string as needed when
	copying. This avoids a lot of I/O ops to get the
	name.

2008-02-14  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
	ask before emptying the trash or deleting files (#509877)
	Patch from Cosimo Cecchi and Luca Ferretti

2008-02-14  Alexander Larsson  <alexl@redhat.com>

        * src/file-manager/fm-properties-window.[ch]:
	Close properties dialog on escape (#515620)
	Patch from Cosimo Cecchi

2008-02-14  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
	Don't ref parent window during operation, as this
	could lead to some crash when the gtkuimanager is updated
	but the child widgets were destroyed. Instead use
	a weak ref.

2008-02-13  Alexander Larsson  <alexl@redhat.com>

        * configure.in:
	Handle beagle >= 0.3.0

2008-02-13  Alexander Larsson  <alexl@redhat.com>

	* libnautilus-private/nautilus-bookmark.c (nautilus_bookmark_compare_with):
	Fix bookmark comparison (#516214)
	Patch from Cosimo Cecchi

2008-02-13  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-progress-info.c:
	Allow minimize of progress window (#512778)
	Patch from Cosimo Cecchi

2008-02-13  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-progress-info.[ch]:
        * libnautilus-private/nautilus-file-operations.c:
	Add paused status to progress infos and use it
	to avoid poping up the progress dialog while dialogs
	are up. (#512406)
	Patch from Cosimo Cecchi
	
2008-02-13  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-icon-dnd.c:
	If using composite, make dnd icons partially transparent.
	
2008-02-13  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-icon-canvas-item.[ch]:
        * libnautilus-private/nautilus-icon-dnd.c:
	Support alpha icons during DnD on composited screens. (#500084)
	Patch from Alexander "weej" Jones

2008-02-13  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-link.c:
        (nautilus_link_get_link_icon_from_desktop):
	Strip extension from non-absolute-filename icons.
	This fixes icons for some old-school desktop files.

2008-02-13  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file.[ch]:
        * libnautilus-private/nautilus-file-private.h:
	Add nautilus_file_is_launcher()
	
        * libnautilus-private/nautilus-directory-async.c:
        * libnautilus-private/nautilus-dnd.c:
        * libnautilus-private/nautilus-link.[ch]
        * libnautilus-private/nautilus-mime-actions.c:
        * libnautilus-private/nautilus-program-choosing.[ch]:
        * src/file-manager/fm-directory-view.c:
        * src/file-manager/fm-tree-view.c:
	Remove weird desktop-file: and command: hacks, and
	replace with usage and implementation of
	nautilus_file_is_launcher().
	This fixes some problems where the old desktop-file uri
	was interpreted as an actual file.

2008-02-13  Alexander Larsson  <alexl@redhat.com>

	* libnautilus-private/nautilus-file-operations.c (verify_destination):
	Don't free NULL GError.

2008-02-12  Cosimo Cecchi  <cosimoc@gnome.org>

	* libnautilus-private/nautilus-file-operations.c:
	Remove unneeded gnome-vfs includes.

2008-02-12  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-mime-actions.c:
        (mime_application_hash):
	Fix 64bit build (#515896)

2008-02-11  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post-release version bump

=== nautilus 2.21.91 ===

2008-02-11  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Require glib 2.15.5

	* NEWS:
	Update for release

2008-02-11  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-progress-info.[ch]:
        * libnautilus-private/nautilus-file-operations.c:
	Make progress setting be ratio based and not
	percent based and then ensure we handle division
	by zero correctly in all cases.

2008-02-11  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
        * libnautilus-private/nautilus-mime-actions.c:
        * libnautilus-private/nautilus-vfs-file.c:
        * src/nautilus-application.c:
        * src/nautilus-window-manage-views.c:
	Update for new gio mount flags argument

2008-02-11  Alexander Larsson  <alexl@redhat.com>

	* src/nautilus-places-sidebar.c (update_places):
	Fix leak of volumes list.
	Pointed out by Vincent Untz

2008-02-08  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-autorun.c:
	C89 fix. (#515093)

2008-02-08  Alexander Larsson  <alexl@redhat.com>

        * src/nautilus-application.c:
	Use the new g_volume_should_automount()

2008-02-08  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-desktop-link.c:
	Maks sure we disconnect from the changed
	signal on the mount.

2008-02-08  Olav Vitters  <olav@bkor.dhs.org>

	* HACKING: Change CVS things into SVN.

2008-02-08  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-desktop-link.c:
        (mount_changed_callback):
        (nautilus_desktop_link_new_from_mount):
	Handle changes of GMount objects

2008-02-08  Alexander Larsson  <alexl@redhat.com>

        * src/file-manager/fm-directory-view.c:
	Fix open and open with menu display in
	always-use-browser mode.
	
2008-02-08  Alexander Larsson  <alexl@redhat.com>

        * src/file-manager/fm-directory-view.c:
	Make sure delete-from-trash is correctly sensitive.
	(#514039)

2008-02-08  Alexander Larsson  <alexl@redhat.com>

        * test/test-nautilus-search-engine.c:
        (main):
	Initialize threads (#515031)

2008-02-07  Luca Ferretti  <elle.uca@libero.it>

	* configure.in:
	libbackground is now using LIBBACKGROUND_{CFLAGS,...}, unbreak
	the build.

2008-02-07  A. Walton <awalton@svn.gnome.org>
	* configure.in:
	* libnautilus-private/nautilus-emblem-utils.c:
	(is_reserved_keyword):
	* libnautilus-private/nautilus-file.c:
	(nautilus_file_fit_date_as_string):
	* src/file-manager/fm-list-model.c: (fm_list_model_get_value):
	Remove deprecated GLib symbols and build with -DG_DISABLE_DEPRECATED.

2008-02-07  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-icon-dnd.c:
	Rewrite the desktop uri to the real uri on
	uri-list drops (i.e. from other apps) (#511764)

2008-02-06  Alexander Larsson  <alexl@redhat.com>

	* libnautilus-private/nautilus-file-utilities.c (nautilus_find_file_insensitive_next):
	Don't crash if parent doesn't exist (#512636)
	Move exact change before key generation to avoid leak.

2008-02-06  Alexander Larsson  <alexl@redhat.com>

        * src/nautilus-window-manage-views.c:
        (nautilus_window_reload):
	Selection is already GFiles now, no need to
	convert from uris (#514458)
	Patch from John Millikin

2008-02-06  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-directory-async.c:
        (directory_load_one):
	Avoid crashing if gvfs backend gives NULL as name for
	a new file. (#511601)

2008-02-06  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-directory-async.c:
        * libnautilus-private/nautilus-directory-private.h:
	Change how we handle cancellation of the directory count
	and mime list for files in a directory. We now make sure
	that the callback for the cancelled operation is run before
	starting a new one.
	
	This was causing problems when viewing a directory that had
	a subdirectory getting a lot of new files added, as for each
	new file added the directory count would be cancelled and
	re-started, leading to lots of outstanding (cancelled)
	operations. Each of these was using a file descriptor for
	the readdir operation, which wasn't really leaking (it was
	eventually freed) but could cause temporary out-of-fd errors.

	Perhaps we should do something similar for all kinds of
	operations, but its worst for dir count and mime list due to
	nautilus_directory_invalidate_count_and_mime_list() which is
	called on file creation.

2008-02-05  Alexander Larsson  <alexl@redhat.com>

	* libnautilus-private/nautilus-file-operations.c (custom_basename_to_string):
	Escape characters that won't work in GMarkup.

2008-02-04  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-autorun.c:
	Don't autorun non-local mounts.

2008-02-04  Alexander Larsson  <alexl@redhat.com>

	* libnautilus-private/nautilus-dnd.c ()
	(nautilus_drag_default_drop_action_for_icons):
	Default to move when dragging from trash.

2008-02-04  Alexander Larsson  <alexl@redhat.com>

	* src/file-manager/fm-properties-window.c (create_permissions_page):
	Only show selinux context if HAVE_SELINUX.
	
2008-02-04  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
	Don't follow symlinks when emptying trash (#513912)

2008-02-01  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-mime-actions.c:
	Handle GAppInfos having NULL id

2008-01-30  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-autorun.[ch]:
	Add functions to inhibit autorun for a volume
	or for the volume of a file.
	
        * src/nautilus-application.c:
	Convert automount code to new way to inhibit autorun.
	
        * libnautilus-private/nautilus-file-operations.c:
        * libnautilus-private/nautilus-mime-actions.c:
        * libnautilus-private/nautilus-vfs-file.c:
        * src/nautilus-window-manage-views.c:
	Inhibit autorun if we manually mount stuff.

2008-01-29  Alexander Larsson  <alexl@redhat.com>

	* libnautilus-private/nautilus-file-operations.c (report_link_progress):
	Fix string wrt plural

2008-01-28  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

=== nautilus 2.21.90 ===

2008-01-28  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

	* configure.in:
	Update version to 2.21.90

2008-01-28  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-autorun.c:
	Better finding of case insensitive files. (#511450)
	
        * libnautilus-private/nautilus-file-utilities.[ch]:
        Add nautilus_find_file_insensitive

	Based on patch from John Millikin

2008-01-28  Alexander Larsson  <alexl@redhat.com>

        * src/file-manager/fm-directory-view.c:
	Enable paste into folder for volume links (#386800)
	Based on patch from John Millikin

2008-01-28  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-directory-async.c:
        (thumbnail_done):
	Don't reference thumb_mtime_str if its not
	set, fixing a crash on zoom in. (#511406)
	Patch from John Millikin

2008-01-28  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
        (report_count_progress):
	Use ngettext for number of files strings. (#512203)
	Patch from Vasiliy Faronov

2008-01-28  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-metafile.c:
        (escape_slashes):
	Escape slashes in the same way as old versions,
	fixing loss of metadata customization.
	Patch from Rached Ben Mustapha (#511592)

2008-01-25  Soren Sandmann  <sandmann@redhat.com>

	* libnautilus-private/nautilus-directory-background.c
	(nautilus_connect_desktop_background_to_file_metadata): Remove
	call of noop eel_background_set_is_constant()

2008-01-25  Matthias Clasen  <mclasen@redhat.com>

	* libnautilus-private/nautilus-file-operations.c: Update all
	GIOSchedulerJobFunc callbacks to return FALSE.

2008-01-24  Luca Ferretti  <elle.uca@libero.it>

	reviewed by: Alexander Larsson

	* libnautilus-private/Makefile.am:
	* libnautilus-private/nautilus-icon-names.h

	Add a new file to define icon names, like
	  #define NAUTILUS_ICON_HOME "user-home"
	using named icons from fd.o icon naming spec.
	
	* libnautilus-private/nautilus-desktop-link.c:
	(nautilus_desktop_link_new):
	* libnautilus-private/nautilus-link.c:
	(nautilus_link_get_link_icon_from_desktop):
	* libnautilus-private/nautilus-trash-monitor.c: (update_info_cb),
	(nautilus_trash_monitor_init):
	* src/file-manager/fm-directory-view.c:
	* src/file-manager/fm-tree-view.c: (create_popup_menu),
	(create_tree):
	* src/nautilus-bookmark-list.c: (new_bookmark_from_uri):
	* src/nautilus-connect-server-dialog-main.c: (main):
	* src/nautilus-desktop-window.c: (real_get_icon):
	* src/nautilus-main.c: (main):
	* src/nautilus-pathbar.c: (get_icon_for_file_path),
	(get_button_image), (is_file_path_mounted_mount),
	(make_directory_button):
	* src/nautilus-places-sidebar.c: (update_places),
	(bookmarks_drop_uris):
	* src/nautilus-window-menus.c:

	Include nautilus-icon-name.h and use its icons defines.
	This means that now Nautilus is using "user-home",
	"user-desktop", "folder", "user-trash*", "computer", 
	"drive-harddisk", "folder-remote", "network-workgroup",
	and "text-x-generic-template".

	* src/network-scheme.desktop.in:
	* nautilus-computer.desktop.in.in:
	* nautilus-file-management-properties.desktop.in.in:
	* nautilus-folder-handler.desktop.in.in:
	* nautilus-home.desktop.in.in:
	* nautilus.desktop.in.in:

	Use icons from fd.o spec here too. In details, we have
	 Launcher       | New Icon
	----------------+----------------------
	Computer        | computer
	File Browser    | system-file-manager
	Open Folder     | folder-open
	Home Folder     | user-home
	File Management | system-file-manager
	Network		| network-workgroup

	For other details see bug #407130.

2008-01-23  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
	Don't leak enumerators
	
        * libnautilus-private/nautilus-trash-monitor.c:
	Don't leak file info

	Fixes from Matthias Clasen

2008-01-22  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-extension/nautilus-column.c:
	Add attribute_q property that is the Quark
	of the attribute property.
	
        * src/file-manager/fm-icon-container.c:
        * src/file-manager/fm-list-model.[ch]:
        * src/file-manager/fm-list-view.c:
	Use the quark versions of the string attribute
	calls for better performance.

2008-01-22  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file.[ch]:
	Add quark-bases string-attribute accessors.
	Store extension infos as quarks

2008-01-22  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file.c:
        (nautilus_file_invalidate_extension_info_internal):
        (nautilus_file_add_string_attribute):
	Lazily allocate the extension info hashtable.
	Internalize the extension info attribute names.

2008-01-22  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file.c:
        (nautilus_file_get_emblem_pixbufs):
	Don't leak NautilusIconInfo

2008-01-22  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-bookmark.c:
        (nautilus_bookmark_get_pixbuf):
	Don't leak icon
	
        * libnautilus-private/nautilus-cell-renderer-pixbuf-emblem.c:
	Indentation fixups
	
        * libnautilus-private/nautilus-icon-info.c:
        (nautilus_icon_info_get_pixbuf_nodefault):
	Only set toggle ref first time we get a pixbuf request.
	
2008-01-22  Alexander Larsson  <alexl@redhat.com>

        * src/nautilus-main.c:
        (main):
	Clear caches on shutdown to help track leaks.

2008-01-22  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file.c:
        (get_description):
        (update_description_for_link):
	Fix leak of description
	
        * libnautilus-private/nautilus-metafile.c:
        (set_metafile_contents):
	fix leak of xmlName.

2008-01-22  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/apps_nautilus_preferences.schemas.in:
        * libnautilus-private/nautilus-file-operations.c:
        * src/Nautilus_shell.server.in:
        * src/file-manager/fm-directory-view.c:
        * src/file-manager/fm-properties-window.c:
        * src/nautilus-connect-server-dialog-main.c:
        * src/nautilus-file-management-properties.glade:
        * src/nautilus-navigation-window-menus.c:
	Clean up strings for l10n. (#510327)

2008-01-22  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
        * libnautilus-private/nautilus-file.c:
        * libnautilus-private/nautilus-progress-info.c:
        * src/file-manager/fm-directory-view.c:
        * src/file-manager/fm-properties-window.c:
	Use thousands separators (#41455)

2008-01-21  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

=== nautilus 2.21.6 ===

2008-01-21  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

	* configure.in:
	Bump glib requirement to 2.15.3

2008-01-21  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-desktop-icon-file.c:
	Fix up indentation
	
        * libnautilus-private/nautilus-file.c:
	Allow umount and eject for NautilusFiles that have
	a GMount. (e.g. unix mountpoints)

2008-01-18  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-autorun.c:
        * src/nautilus-autorun-software.c:
	Fix coding style

2008-01-18  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-program-choosing.c:
	Just use get_activation_location instead of all
	the unnecessary special casing.
	
        * libnautilus-private/nautilus-autorun.[ch]:
        * src/file-manager/fm-directory-view.c:
        * src/nautilus-window-manage-views.c:
	Use nautilus_file_get_mount() to do the
	x-content type detection.

2008-01-18  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file.[ch]:
        Add nautilus_file_get_activation_location.
	
        * libnautilus-private/nautilus-directory-async.c:
	Get mounts from mountable files too.
	
2008-01-18  Alexander Larsson  <alexl@redhat.com>

        * src/nautilus-x-content-bar.c:
	Don't free result of g_app_info_get_icon ().

2008-01-17  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-desktop-icon-file.c:
        * libnautilus-private/nautilus-directory-async.c:
        * libnautilus-private/nautilus-directory-private.h:
        * libnautilus-private/nautilus-file.c:
	Implement reading the mount attribute
	(not used or tested yet)

2008-01-17  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file.[ch]:
        * libnautilus-private/nautilus-file-attributes.h:
        * libnautilus-private/nautilus-file-private.h:
	Add GMount attribute to NautilusFile.
	(not implemented yet)
	
        * Makefile.am:
        * configure.in:
        * data/nautilus.xml.in:
        * libnautilus-private/apps_nautilus_preferences.schemas.in:
        * libnautilus-private/nautilus-autorun.[ch]:
        * libnautilus-private/nautilus-global-preferences.c:
        * libnautilus-private/nautilus-global-preferences.h:
        * libnautilus-private/nautilus-program-choosing.c:
        * src/Makefile.am:
        * src/file-manager/fm-directory-view.c:
        * src/nautilus-application.c:
        * src/nautilus-autorun-software.c: Added.
        * src/nautilus-file-management-properties.c:
        * src/nautilus-file-management-properties.glade:
        * src/nautilus-window-manage-views.c:
        * src/nautilus-x-content-bar.[ch]: Added.
	More work on autorun and x-content types from David Zeuthen

2008-01-16  Alexander Larsson  <alexl@redhat.com>

        * src/nautilus-application.c:
        (find_parent_spatial_window):
	unref, not free the GFile.
	Fixes crash in close parent windows (#509821)

2008-01-16  Alexander Larsson  <alexl@redhat.com>

        * src/nautilus-file-management-properties.c:
        (nautilus_file_management_properties_dialog_setup):
	Fix help crash by actually owning a ref to 
	xml_dialog. (#509835)

2008-01-15  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-dnd.[ch]:
	Add nautilus_drag_uris_local
	
        * libnautilus-private/nautilus-tree-view-drag-dest.c:
	Don't copy/move files if you dnd within the same
	location (#508216)

2008-01-15  Alexander Larsson  <alexl@redhat.com>

        * src/file-manager/fm-directory-view.c:
	Selection lists are GFiles now, not uris (#505944)

2008-01-15  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-mime-application-chooser.c:
        (nautilus_mime_application_chooser_finalize):
	Disconnect mime changed handler

2008-01-15  Alexander Larsson  <alexl@redhat.com>

        * src/nautilus-file-management-properties.c:
        (nautilus_file_management_properties_dialog_response_cb):
	Don't crash when exiting separate properties app. (#505687)
	
        * src/nautilus-window.c:
        (nautilus_window_update_icon):
	Unref pixbuf inside != NULL block.

2008-01-15  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-directory-async.c:
        * libnautilus-private/nautilus-file-private.h:
        * libnautilus-private/nautilus-file.c:
	Honor mtime specified in thumbnail (#504833)

2008-01-14  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

=== nautilus 2.21.5 ===

2008-01-14  Alexander Larsson  <alexl@redhat.com>

        * src/nautilus-application.c:
	Correct includes

	* NEWS:
	Update for release

	* configure.in:
	Update version to 2.21.5
	Require eel 2.21.5
	
2008-01-14  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Require glib 2.15.2

        * libnautilus-private/nautilus-file-utilities.c:
        * libnautilus-private/nautilus-monitor.c:
        * libnautilus-private/nautilus-trash-monitor.c:
        * src/nautilus-bookmark-list.c:
	Update to new gio API.

2008-01-14  Alexander Larsson  <alexl@redhat.com>

        * src/file-manager/fm-directory-view.c:
        (search_in_menu_items):
        (extension_action_callback):
	Check recursively for valid menu items (#508878)
	Patch from Choe Hwanjin.

2008-01-14  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-ui-utilities.c:
        (extension_action_sensitive_callback):
        (nautilus_toolbar_action_from_menu_item):
	Update toolbar item sensitivity if menu item changes.

2008-01-14  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.[ch]:
	Add check_trash arg to nautilus_file_operations_unmount_mount.
	Add nautilus_file_operations_mount_volume().
	
        * libnautilus-private/nautilus-desktop-icon-file.c:
        * src/nautilus-places-sidebar.c:
        * src/file-manager/fm-tree-view.c:
	Update to API change.
	
        * data/nautilus.xml.in:
        * libnautilus-private/Makefile.am:
        * libnautilus-private/apps_nautilus_preferences.schemas.in:
        * libnautilus-private/nautilus-autorun.[ch]: Added.
        * libnautilus-private/nautilus-global-preferences.[ch]:
        * src/nautilus-application.c:
        * src/nautilus-file-management-properties.c:
        * src/nautilus-file-management-properties.glade:
	Add new autorun setup (by David Zeuthen)

2008-01-11  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file.[ch]:
	Add nautilus_file_has_activation_uri.
	Don't show can't write emblems if you can't
	write in the parent either.
	
        * libnautilus-private/nautilus-mime-actions.c:
	Don't launch mountables that have no activation uri.

2008-01-10  Sven Herzberg  <herzi@gnome-de.org>

	Don't check for unportable functions, fixes #396923

	Reviewed by Alex.

	* configure.in: don't check for unportable functions to modify the
	environment
	* src/nautilus-main.c: don't use putenv(), use g_unsetenv()

2008-01-10  Alexander Larsson  <alexl@redhat.com>

        * src/file-manager/fm-directory-view.c:
	Use nautilus_file_can_delete() to control sensitivity
	of delete menu item.

2008-01-10  Luca Ferretti  <elle.uca@libero.it>

	* icons/colors.png:
	* icons/backgrounds.png:
	* icons/emblems.png:
	New Tango icons from Ulisse Perusin (see bug #374722).

2008-01-10  Luca Ferretti  <elle.uca@libero.it>

	* data/icons/16x16/apps/Makefile.am:
	* data/icons/22x22/apps/Makefile.am:
	* data/icons/24x24/apps/Makefile.am:
	* data/icons/32x32/apps/Makefile.am:
	* data/icons/scalable/apps/Makefile.am:
	Run gtk-update-icon-cache one one when exiting from
	icons directory. Not needed to repeat it 5 times.

2008-01-10  Luca Ferretti  <elle.uca@libero.it>

	* configure.in:
	* data/Makefile.am:
	* data/icons/*:
	* icons/Makefile.am:
	* icons/appicon/*:
	Move "nautilus" named icon from icon/appicon to data/icons
	matching the directory and naming structure of other GNOME
	projects.

	This will also help if we'll need to add custom themeable
	icons.

2008-01-10  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-mime-actions.c:
        (cancel_activate_callback):
	Fix assertion crash on cancel.

2008-01-09  A. Walton  <awalton@svn.gnome.org>

	* libnautilus-private/nautilus-file-operations.c:
	(verify_destination):
	Non-strdup()'d string potentially free()'d.

2008-01-09  A. Walton  <awalton@svn.gnome.org>

	* libnautilus-private/nautilus-file-operations.c:
	(move_file_prepare):
	Remove bad g_error_free()'s causing crashes while 
	merging files.

2008-01-09  Alexander Larsson  <alexl@redhat.com>

        * src/Makefile.am:
	EXTRA_DIST the currently not built
	connect to server dialogs.

2008-01-08  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

=== nautilus 2.21.2 ===

2008-01-08  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

2008-01-08  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-desktop-icon-file.c:
        * libnautilus-private/nautilus-file.[ch]:
        * libnautilus-private/nautilus-vfs-file.c:
        * src/file-manager/fm-directory-view.c:
	Remove unused callbacks in nautilus_file_unmount/eject.
	Patch from Tomas Bzatek <tbzatek@redhat.com>

2008-01-08  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-desktop-icon-file.c:
        * libnautilus-private/nautilus-file-operations.c:
        * libnautilus-private/nautilus-vfs-file.c:
	Implement some missing mount/unmount functionallity.
	Patch from Tomas Bzatek <tbzatek@redhat.com>

2008-01-08  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Bump glib req to 2.15.1

2008-01-08  Alexander Larsson  <alexl@redhat.com>

	* libnautilus-private/nautilus-thumbnails.c (get_file_mtime):
	Fix memleak.

2008-01-07  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-monitor.c:
        * libnautilus-private/nautilus-trash-monitor.c:
	Update to new gio API

2008-01-04  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-extension/libnautilus-extension.pc.in:
	Pull in gio, not gnome-vfs.
	
        * libnautilus-extension/nautilus-file-info.[ch]:
        * libnautilus-private/nautilus-file.c:
	Export some gio specific things like file type and
	location/parent location.
	
        * libnautilus-private/nautilus-desktop-icon-file.c:
	These are G_FILE_TYPE_SHORTCUT files, not REGULAR files.

2008-01-04  Alexander Larsson  <alexl@redhat.com>

        * configure.in:
        * src/nautilus-main.c:
	Set desktop env for GAppInfo
	
        * libnautilus-private/nautilus-open-with-dialog.c:
	Filter out apps that don't take file args from
	open with list.

2008-01-04  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
        (delete_job):
	Remove unnecessary delete_if_all_already_in_trash boolean.
	
2008-01-03  Cosimo Cecchi  <cosimoc@svn.gnome.org>

	* libnautilus-private/apps_nautilus_preferences.schemas.in:
	Fix a typo.

2007-12-24  Brian Pepple  <bpepple@fedoraproject.org>

	* libnautilus-extension/libnautilus-extension.pc.in (extensiondir):
	* libnautilus-extension/libnautilus-extension-uninstalled.pc.in (extensiondir):
	Update to use extensions-2.0 dir.

2007-12-27  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-dnd.c:
        (nautilus_drag_default_drop_action_for_icons):
	Default dnd of desktop icons to move. (#504824)
	Based on patch by Cosimo Cecchi

2007-12-20  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

=== nautilus 2.21.1 ===

2007-12-20  Alexander Larsson  <alexl@redhat.com>

	* libnautilus-private/nautilus-file.c (nautilus_self_check_file):
	Fix old test

	* NEWS: 
	Update for release

	* configure.in:
	Remove gnome-vfs requirement
	Bump glib and eel requirements
	
2007-12-20  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-mime-actions.c:
	Correct check for require_uri.
	Small performance fix

2007-12-20  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-private.h:
	Missed one "std" in the conversion

2007-12-20  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-customization-data.c:
        * libnautilus-private/nautilus-directory-async.c:
        * libnautilus-private/nautilus-dnd.c:
        * libnautilus-private/nautilus-file-operations.c:
        * libnautilus-private/nautilus-file-utilities.c:
        * libnautilus-private/nautilus-file.c:
        * libnautilus-private/nautilus-icon-dnd.c:
        * libnautilus-private/nautilus-link.c:
        * libnautilus-private/nautilus-search-engine-simple.c:
        * libnautilus-private/nautilus-trash-monitor.c:
        * src/file-manager/fm-directory-view.c:
        * src/file-manager/fm-properties-window.c:
        * src/nautilus-pathbar.c:
        * src/nautilus-property-browser.c:
	Update to new gio file attribute names

2007-12-20  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
        * src/nautilus-places-sidebar.c:
	Update to new gio api

2007-12-19  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
        * libnautilus-private/nautilus-file.c:
        * src/file-manager/fm-directory-view.c:
        * src/file-manager/fm-properties-window.c:
	Update for glib API change.

2007-12-19  David Zeuthen  <davidz@redhat.com>

	Don't put up error dialogs if the error code is
	G_IO_ERROR_FAILED_HANDLED.

	* libnautilus-private/nautilus-file-operations.c:
	(unmount_mount_callback):
	* src/nautilus-places-sidebar.c: (volume_mount_cb),
	(drive_eject_cb), (volume_eject_cb), (mount_eject_cb),
	(drive_poll_for_media_cb):

2007-12-17  Alexander Larsson  <alexl@redhat.com>

        * src/nautilus-main.c:
        (setup_debug_log_signals):
	Disable unsafe segv handler by default

2007-12-14  David Zeuthen  <davidz@redhat.com>

	* libnautilus-private/nautilus-desktop-icon-file.c:
	(update_info_from_link):
	* libnautilus-private/nautilus-desktop-link-monitor.c:
	(volume_delete_dialog):
	* src/file-manager/fm-tree-view.c: (button_pressed_callback),
	(fm_tree_view_unmount_cb):
	* src/nautilus-pathbar.c: (nautilus_path_bar_class_init):
	* src/nautilus-places-sidebar.c: (check_visibility),
	(volume_mount_cb), (open_selected_bookmark), (mount_shortcut_cb),
	(drive_eject_cb), (volume_eject_cb), (mount_eject_cb),
	(eject_shortcut_cb):

	Update for API changes in gio trunk.

2007-12-14  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
        * libnautilus-private/nautilus-monitor.c:
        * libnautilus-private/nautilus-open-with-dialog.c:
	Update to new flags API

2007-12-14  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-bookmark.c:
        * libnautilus-private/nautilus-bookmark.h:
        * libnautilus-private/nautilus-desktop-icon-file.c:
        * libnautilus-private/nautilus-desktop-link-monitor.c:
        * libnautilus-private/nautilus-desktop-link.c:
        * libnautilus-private/nautilus-desktop-link.h:
        * libnautilus-private/nautilus-directory-private.h:
        * libnautilus-private/nautilus-directory.h:
        * libnautilus-private/nautilus-emblem-utils.h:
        * libnautilus-private/nautilus-file-changes-queue.h:
        * libnautilus-private/nautilus-file-operations.c:
        * libnautilus-private/nautilus-file-operations.h:
        * libnautilus-private/nautilus-file-utilities.c:
        * libnautilus-private/nautilus-file-utilities.h:
        * libnautilus-private/nautilus-file.c:
        * libnautilus-private/nautilus-file.h:
        * libnautilus-private/nautilus-icon-info.c:
        * libnautilus-private/nautilus-icon-info.h:
        * libnautilus-private/nautilus-link.c:
        * libnautilus-private/nautilus-mime-actions.h:
        * libnautilus-private/nautilus-mime-application-chooser.c:
        * libnautilus-private/nautilus-monitor.c:
        * libnautilus-private/nautilus-monitor.h:
        * libnautilus-private/nautilus-open-with-dialog.c:
        * libnautilus-private/nautilus-open-with-dialog.h:
        * libnautilus-private/nautilus-program-choosing.c:
        * libnautilus-private/nautilus-program-choosing.h:
        * libnautilus-private/nautilus-progress-info.h:
        * libnautilus-private/nautilus-recent.h:
        * libnautilus-private/nautilus-search-directory.c:
        * libnautilus-private/nautilus-search-engine-simple.c:
        * libnautilus-private/nautilus-trash-monitor.c:
        * libnautilus-private/nautilus-trash-monitor.h:
        * libnautilus-private/nautilus-ui-utilities.c:
        * libnautilus-private/nautilus-view-factory.h:
        * src/file-manager/fm-directory-view.c:
        * src/file-manager/fm-directory-view.h:
        * src/file-manager/fm-icon-container.c:
        * src/file-manager/fm-icon-view.c:
        * src/file-manager/fm-tree-model.h:
        * src/file-manager/fm-tree-view.c:
        * src/nautilus-application.c:
        * src/nautilus-application.h:
        * src/nautilus-bookmark-list.c:
        * src/nautilus-bookmark-list.h:
        * src/nautilus-desktop-window.c:
        * src/nautilus-image-properties-page.c:
        * src/nautilus-location-entry.c:
        * src/nautilus-navigation-window.c:
        * src/nautilus-pathbar.c:
        * src/nautilus-pathbar.h:
        * src/nautilus-places-sidebar.c:
        * src/nautilus-property-browser.c:
        * src/nautilus-query-editor.c:
        * src/nautilus-window-menus.c:
	Only use <gio/gio.h> include 

2007-12-14  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
	Update to gioscheduler.h changes

2007-12-13  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-mime-actions.c:
        * src/nautilus-window-manage-views.c:
	Update for g_mount_for_location to g_file_mount_enclosing_volume change.

2007-12-12  Alexander Larsson  <alexl@redhat.com>

        * src/file-manager/fm-directory-view.c:
        (new_folder_done):
	Remove spew
        (add_submenu):
        (add_submenu_to_directory_menus):
	Avoid creating three copies of template menu actions

2007-12-12  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-private.h:
        * libnautilus-private/nautilus-file-utilities.c:
	Update to new gio attribute names

2007-12-12  Andre Klapper  <a9016009@gmx.de>

	* libnautilus-private/apps_nautilus_preferences.schemas.in:
	fix a typo (bug #330324, committing on behalf of Jon Dufresne).

2007-12-12  Andre Klapper  <a9016009@gmx.de>

	* src/file-manager/fm-properties-window.c (create_pie_widget):
	fix a typo (bug #499715, committing on behalf of Bob mauchin); 
	add two translator comments.

2007-12-11  David Zeuthen  <davidz@redhat.com>

	Update for API changes in gio trunk.

	* libnautilus-private/nautilus-desktop-icon-file.c:
	(update_info_from_link):
	* libnautilus-private/nautilus-desktop-link-monitor.c:
	(volume_delete_dialog), (volume_file_name_used),
	(create_mount_link), (mount_added_callback),
	(mount_removed_callback), (mount_changed_callback),
	(desktop_volumes_visible_changed),
	(nautilus_desktop_link_monitor_init),
	(desktop_link_monitor_finalize):
	* libnautilus-private/nautilus-desktop-link.c:
	(nautilus_desktop_link_new),
	(nautilus_desktop_link_new_from_mount),
	(nautilus_desktop_link_get_mount), (desktop_link_finalize):
	* libnautilus-private/nautilus-desktop-link.h:
	* libnautilus-private/nautilus-file-operations.c:
	(custom_mount_to_string), (custom_mount_skip),
	(unmount_mount_callback), (do_unmount), (get_trash_dirs_for_mount),
	(has_trash_files), (nautilus_file_operations_unmount_mount):
	* libnautilus-private/nautilus-file-operations.h:
	* libnautilus-private/nautilus-file.c:
	(nautilus_file_get_volume_name):
	* src/file-manager/fm-icon-container.c: (get_sort_category):
	* src/file-manager/fm-tree-model.c: (fm_tree_model_add_root_uri),
	(fm_tree_model_get_mount_for_root_node_file),
	(fm_tree_model_remove_root_uri):
	* src/file-manager/fm-tree-model.h:
	* src/file-manager/fm-tree-view.c: (add_root_for_mount),
	(mount_added_callback), (mount_removed_callback),
	(button_pressed_callback), (fm_tree_view_unmount_cb),
	(create_tree):
	* src/nautilus-application.c: (nautilus_application_instance_init),
	(mount_added_callback), (mount_removed_callback):
	* src/nautilus-pathbar.c:
	(nautilus_path_bar_update_button_appearance),
	(is_file_path_mounted_mount), (find_button_type),
	(make_directory_button):
	* src/nautilus-places-sidebar.c: (add_place), (update_places),
	(mount_added_callback), (mount_removed_callback),
	(mount_changed_callback), (volume_added_callback),
	(volume_removed_callback), (volume_changed_callback),
	(drive_changed_callback), (bookmarks_popup_menu_detach_cb),
	(check_visibility), (bookmarks_check_popup_sensitivity),
	(volume_mount_cb), (open_selected_bookmark), (mount_shortcut_cb),
	(unmount_shortcut_cb), (eject_shortcut_cb),
	(drive_poll_for_media_cb), (rescan_shortcut_cb),
	(bookmarks_build_popup_menu), (nautilus_places_sidebar_init),
	(nautilus_places_sidebar_set_parent_window):

2007-12-11  A. Walton  <awalton@svn.gnome.org>
	* src/nautilus-shell-interface.idl:
	Fix build error from nautilus metafile removal.

2007-12-10  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-directory-async.c:
        * libnautilus-private/nautilus-directory-metafile.[ch]:
        * libnautilus-private/nautilus-metafile.[ch]:
        * libnautilus-private/nautilus-directory-private.h:
        * libnautilus-private/nautilus-directory.c:
        * libnautilus-private/Makefile.am:
        * libnautilus-private/nautilus-directory-metafile-monitor.[ch]: Removed.
        * libnautilus-private/nautilus-metafile-factory.[ch]: Removed.
        * libnautilus-private/nautilus-metafile-server.idl: Removed.
        * src/nautilus-application.c:
        * src/nautilus-main.c:
        * src/nautilus-spatial-window.c:
	Remove the bonobo layer for metadata, as we're always in-process anyway
	these days.

2007-12-07  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file.[ch]:
        * libnautilus-private/nautilus-vfs-file.c:
        * src/file-manager/fm-directory-view.c:
	Add optional cancellable arg to nautilus_file_mount
	
        * libnautilus-private/nautilus-mime-actions.c:
	Implement cancellation of file activation

2007-12-07  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
        Implement nautilus_file_set_permissions_recursive

2007-12-07  Alexander Larsson  <alexl@redhat.com>

	* libnautilus-private/nautilus-file.c (nautilus_file_is_in_desktop):
	Use new gio apis to avoid getting uri.

2007-12-07  Alexander Larsson  <alexl@redhat.com>

	* libnautilus-private/nautilus-directory.c (nautilus_directory_is_in_trash):
	No need to get the uri to figure out if the
	directory is in the trash, just use
	g_file_has_uri_scheme().
	
2007-12-07  Alexander Larsson  <alexl@redhat.com>

        * src/nautilus-places-sidebar.c:
	Display errors on mount/unmount failure

2007-12-07  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.[ch]:
        * src/file-manager/fm-tree-view.c:
        * src/nautilus-places-sidebar.c:
	Show errors on unmount/eject failing.

2007-12-07  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.[ch]:
        * src/nautilus-places-sidebar.c:
	Implement empty trash on unmount and eject
	
        * src/file-manager/fm-tree-view.c:
	Use the file op version of unmount

2007-12-07  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.[ch]:
	Implement the rest of the file create ops
	
        * src/file-manager/fm-directory-view.c:
	Get sane filenames for dropped text

2007-12-06  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-directory.c:
	Don't avoid adding existing files that are not is_added.
	Fixes a problem where new folder didn't display the new folder.
	
        * libnautilus-private/nautilus-file-operations.[ch]:
        * src/file-manager/fm-directory-view.c:
        * src/file-manager/fm-tree-view.c:
	Implement new folder.

2007-12-06  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
	Set position on move and link

2007-12-06  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.[ch]:
        * src/file-manager/fm-directory-view.c:
	Implement symlinking

2007-12-05  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.[ch]:
	Implement duplicate.

2007-12-05  Alexander Larsson  <alexl@redhat.com>

        * src/file-manager/fm-directory-view.c:
	Fix merge error that made the Open Folder Window
	menu item appear in non-browser mode

2007-12-04 Kevin Kubasik <kevin@kubasik.net>
	* libnautilus-private/nautilus-search-engine-beagle.c:
	Fixed some spacing issues.

2007-12-04  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
	Implement empty trash

2007-12-04 Kevin Kubasik <kevin@kubasik.net>
	* libnautilus-private/nautilus-search-engine-beagle.c:
	Fix a memory leak from the last commit.

2007-12-04  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
	Implement trash with CommonJob
	
        * libnautilus-private/nautilus-progress-info.c:
        (nautilus_progress_info_set_progress):
	Ensure progress always is inside 0.0 - 1.0

2007-12-04 Kevin Kubasik <kevin@kubasik.net>
	* libnautilus-private/nautilus-search-engine-beagle.c:
	Replace depreciated beagle_query_add_hit_type and
	beagle_query_add_mime_type with compatible query strings.
	
2007-12-04  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
	Support recursive delete with progress reporting

2007-12-04  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
	Use CommonJob in the delete confirmation dialogs

2007-12-03  Christian Persch  <chpe@gnome.org>

	* libnautilus-private/nautilus-directory-metafile.c:
	(nautilus_directory_get_integer_file_metadata),
	(nautilus_directory_set_integer_file_metadata):
	* libnautilus-private/nautilus-directory.c:
	(nautilus_directory_schedule_position_set):
	* libnautilus-private/nautilus-dnd.c: (add_one_gnome_icon):
	* libnautilus-private/nautilus-file-operations-progress.c:
	(time_remaining_callback):
	* libnautilus-private/nautilus-icon-dnd.c: (handle_local_move):
	* src/file-manager/fm-directory-view.c: (new_folder_done):
	* src/nautilus-application.c: (get_desktop_manager_selection):
	* src/nautilus-connect-server-dialog.c: (display_server_uri):
	* src/nautilus-information-panel.c: (receive_dropped_color):
	* src/nautilus-property-browser.c: (add_color_to_browser):
	* src/nautilus-window.c: (nautilus_window_init),
	(nautilus_window_finalize), (free_activate_view_data),
	(add_view_as_menu_item), (nautilus_window_synch_view_as_menus),
	(nautilus_window_class_init): Remove some small allocations, and use
	GSlice more often. Bug #461795.

2007-12-03  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
	Move screen_num to CommonJob
	Use GtkWindow * for parent_window in CommonJob
	shallow conversion to CommonJob use for delete

2007-12-03  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
	Remove old gnome-vfs base implementation to make
	this easier to read.
	
2007-12-03  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
	Implement cancellation in all ops
	
        * libnautilus-private/nautilus-progress-info.[ch]:
	Allow cancelling in progress dialog

2007-12-03  Alexander Larsson  <alexl@redhat.com>

	* test/test.h: 
	Don't include deprectated headers

2007-12-03  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-search-engine-tracker.c:
	Fix build
	
        * src/file-manager/fm-directory-view.h:
	Don't include deprectated headers

2007-12-03  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
        * libnautilus-private/nautilus-file.c:
        * libnautilus-private/nautilus-progress-info.c:
        * src/file-manager/fm-error-reporting.c:
	Fix ngettext use and othe i18n issues (#500945)

2007-11-30  Federico Mena Quintero  <federico@novell.com>

	Fix http://bugzilla.gnome.org/show_bug.cgi?id=354688 - Attack of
	the HIG police.

	* src/file-manager/fm-properties-window.c
	(create_permissions_page): Use header capitalization for command button.
	(add_permissions_combo_box): Use sentence capitalization for field labels.

2007-11-30  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.[ch]:
	Reimplement copy_move helper with _copy and _move
	Also support move to trash as trash
	
        * src/file-manager/fm-directory-view.c:
	Use _copy_move again

2007-11-30  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-changes-queue.[ch]:
	Convert changes queue to only use GFile, not uris.
	Kill all _by_uri versions
	
        * libnautilus-private/nautilus-directory-notify.h:
        * libnautilus-private/nautilus-directory.c:
        * libnautilus-private/nautilus-link.c:
        * libnautilus-private/nautilus-monitor.c:
        * src/file-manager/fm-directory-view.c:
	Update for above changes

2007-11-30  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-changes-queue.[ch]:
	More uri -> gfile API changes
	
        * libnautilus-private/nautilus-file-operations.[ch]:
	Add move operation
	
        * src/file-manager/fm-directory-view.c:
	Use move operation

2007-11-29  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-changes-queue.[ch]:
        * libnautilus-private/nautilus-icon-dnd.c:
	Change position setting api to accept GFile instead of
	uri
	
        * libnautilus-private/nautilus-file-operations.c:
	Set positions and copy metadata.

2007-11-29  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-changes-queue.[ch]:
	Add some GFile version and rename the old to _by_uri
	
        * libnautilus-private/nautilus-file-operations.c:
	Emit change events
	
        * libnautilus-private/nautilus-file-operations-progress.c:
        * libnautilus-private/nautilus-file.c:
        * libnautilus-private/nautilus-icon-dnd.c:
        * libnautilus-private/nautilus-metafile.c:
        * libnautilus-private/nautilus-monitor.c:
        * src/file-manager/fm-directory-view.c:
        * src/file-manager/fm-icon-view.c:
	Update to latest APIs

2007-11-23  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
	Better status message when copying one folder
	
        * libnautilus-private/nautilus-progress-info.c:
	Correct tooltip message for status icon

2007-11-23  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
	Nicer progress texts
	
        * libnautilus-private/nautilus-progress-info.c:
	Hide progress window when last op finishes.

2007-11-23  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-directory-async.c:
	Don't free uninitialized memory.
	
        * libnautilus-private/nautilus-file-operations.c:
        * libnautilus-private/nautilus-progress-info.[ch]:
	Add progress info dialog

2007-11-22  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
	Handle debuting URIs in file copy op
	
        * src/file-manager/fm-directory-view.c:
	Use new nautilus_file_operations_copy for copy.
	Make debuting_uri hash into debuting_files in new
	API. Convert for old calls.

2007-11-22  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
	Add run_warning and run_error to simplify the
	code for error dialogs.

2007-11-22  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
	Add defines for common button names to make sure
	they are consistent

2007-11-22  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
	Use the right create_dest arg to copy_directory
	
2007-11-22  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
	Free primary / secondary in run_simple_dialog

2007-11-22  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
	Add IS_IO_ERROR macro and use that
	
2007-11-22  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-progress-info.[ch]:
	Remove printf versions
	rename _set_foo_nocopy to _take_foo

        * libnautilus-private/nautilus-file-operations.c:
	Use new custom printf formating for all strings
	
2007-11-22  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
	Use eel_strdup_printf_with_custom to make it easier
	to create error dialogs.

2007-11-21  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
	Handle deleting a directory when overwriting it with a
	file.

2007-11-21  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
	Handle errors in remove destination
	
2007-11-21  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
	Pass cancellable into strdup_with_name

2007-11-21  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
	Add progress updates to copy.
	Make some error dialogs more consistent (add skip all, reorder)

        * libnautilus-private/nautilus-progress-info.[ch]:
	Add nautilus_progress_info_set_status_printf

2007-11-21  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
	Don't create dest dir on merges
	
2007-11-21  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
	Handle recursive copies

2007-11-20  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
	Pass in same_fs instead of dest_fs_id so we can
	reuse copy_file recursively and only check once.

2007-11-20  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
	More work on file copies

2007-11-20  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
	Add error handling for source scanning

2007-11-19  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-progress-info.[ch]:
	Add nautilus_get_all_progress_info()
	
        * test/test-copy.c:
	Print progress info
	
        * libnautilus-private/nautilus-file-operations.c:
	Implement generic run_simple_dialog()

2007-11-19  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.c:
	Add generic run_simple_dialog.

2007-11-16  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-progress-info.c:
	Fix signal emissions

        * libnautilus-private/nautilus-file-operations.[ch]:
	Add nautilus_file_operations_copy, with some initial
	(far from done) code
	
        * test/Makefile.am:
        * test/test-copy.c:
	nautilus_file_operations_copy testcase

2007-11-16  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-progress-info.c:
	Reindent
	Fix threading issues wrt the idle source

2007-11-16  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/Makefile.am:
        * libnautilus-private/nautilus-progress-info.[ch]:
	Added NautilusProgressInfo class
	
        * libnautilus-private/nautilus-file-operations.c:
        * src/file-manager/fm-tree-view.c:
        * src/nautilus-places-sidebar.c:
	Update to new gio API

2007-11-13  Alexander Larsson  <alexl@redhat.com>

        * src/file-manager/fm-error-reporting.c:
	Remove last use of GNOME_VFS_ERROR
	
        * libnautilus-private/Makefile.am:
        * libnautilus-private/nautilus-vfs-utils.[ch]: Removed.
        * src/file-manager/fm-directory-view.c:
        * src/nautilus-window-manage-views.c:
	Remove GNOME_VFS_ERROR

2007-11-13  Alexander Larsson  <alexl@redhat.com>

        * src/nautilus-window-manage-views.c:
        * src/nautilus-window-private.h:
	Better error reporting on view failure

2007-11-13  Alexander Larsson  <alexl@redhat.com>

        * src/nautilus-window-manage-views.c:
        * src/nautilus-window-private.h:
	Try to mount location if not mounted.

2007-11-13  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-directory-async.c:
        * libnautilus-private/nautilus-file-private.h:
        * libnautilus-private/nautilus-file.c:
	Handle std:target_uri gio links

2007-11-12  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file.c:
	Fix reversed checks

2007-11-08  Sebastian Dröge  <slomo@circular-chaos.org>

	* configure.in:
	* src/nautilus-image-properties-page.c:
	Add support for exempi >= 1.99.5 while keeping support for older
	versions.

2007-11-06  Sebastian Dröge  <slomo@circular-chaos.org>

	* NEWS:
	* docs/key_mouse_navigation.txt:
	* libnautilus-private/nautilus-emblem-utils.c:
	* libnautilus-private/nautilus-emblem-utils.h:
	* src/file-manager/fm-properties-window.c:
	* src/nautilus-emblem-sidebar.c:
	* src/nautilus-property-browser.c:
	Fix typo: availible -> available.

2007-11-06  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-program-choosing.c:
	Update to the new GAppInfo and EelAppLaunchContext APIs
	Remove old startup notify code

2007-11-05  Jürg Billeter  <j@bitron.ch>

	reviewed by: Alexander Larsson  <alexl@redhat.com>

	* src/file-manager/fm-actions.h:
	* src/file-manager/fm-directory-view.c:
	(action_open_folder_window_callback), (open_one_in_folder_window),
	(action_location_open_folder_window_callback),
	(real_update_location_menu), (real_update_menus):
	* src/file-manager/nautilus-directory-view-ui.xml:
	* src/nautilus-actions.h:
	* src/nautilus-navigation-window-menus.c:
	(nautilus_navigation_window_update_spatial_menu_item),
	(action_folder_window_callback),
	(nautilus_navigation_window_initialize_menus):
	* src/nautilus-navigation-window-ui.xml:
	* src/nautilus-navigation-window.c:
	(nautilus_navigation_window_init), (always_use_browser_changed):
	* src/nautilus-window-private.h:
	Add menu item to open spatial folder window from browser window to File
	menu and context menus.

2007-11-02  Paolo Borelli  <pborelli@katamail.com>

	* src/file-manager/fm-directory-view.c:
	* src/nautilus-file-management-properties.c:
	* src/nautilus-navigation-window.c:
	* libnautilus-private/nautilus-icon-info.c:
	* libnautilus-private/nautilus-mime-application-chooser.c:
	Plug some minor memory leaks.

2007-11-02  Paolo Borelli  <pborelli@katamail.com>

        * src/file-manager/fm-icon-container.c:
        * src/file-manager/fm-list-view.c:
        * src/nautilus-shell.c:
        * src/nautilus-file-management-properties.c:
        * libnautilus-private/nautilus-column-utilities.c:
        * libnautilus-private/nautilus-column-utilities.h:
        * libnautilus-private/nautilus-column-chooser.c:
        * libnautilus-private/nautilus-column-chooser.h:
	Remove all uses of eel-string-list and update code to the new
	eel_preferences_[set|get]_string_array api.

	* libnautilus-private/nautilus-global-preferences.c:
	Update to the eel-enumerations api changes.

2007-11-02  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-customization-data.[ch]:
        * libnautilus-private/nautilus-desktop-directory.c:
        * libnautilus-private/nautilus-directory-async.c:
        * libnautilus-private/nautilus-directory-private.h:
        * libnautilus-private/nautilus-directory.[ch]:
        * libnautilus-private/nautilus-file-operations-progress.[ch]:
        * libnautilus-private/nautilus-file-private.h:
        * libnautilus-private/nautilus-file-utilities.c:
        * libnautilus-private/nautilus-file.[ch]:
        * libnautilus-private/nautilus-global-preferences.c:
        * libnautilus-private/nautilus-icon-dnd.c:
        * libnautilus-private/nautilus-metafile.c:
        * libnautilus-private/nautilus-monitor.c:
        * libnautilus-private/nautilus-program-choosing.c:
        * libnautilus-private/nautilus-query.h:
        * libnautilus-private/nautilus-search-directory.c:
        * libnautilus-private/nautilus-search-engine-tracker.c:
        * libnautilus-private/nautilus-search-engine.h:
        * libnautilus-private/nautilus-thumbnails.c:
        * libnautilus-private/nautilus-tree-view-drag-dest.c:
        * libnautilus-private/nautilus-vfs-utils.h:
        * src/file-manager/fm-desktop-icon-view.c:
        * src/file-manager/fm-ditem-page.c:
        * src/file-manager/fm-icon-container.c:
        * src/file-manager/fm-icon-view.c:
        * src/file-manager/fm-list-view.c:
        * src/file-manager/fm-properties-window.c:
        * src/file-manager/fm-tree-view.c:
        * src/nautilus-desktop-window.c:
        * src/nautilus-emblem-sidebar.c:
        * src/nautilus-location-bar.c:
        * src/nautilus-location-dialog.c:
        * src/nautilus-location-entry.c:
        * src/nautilus-main.c:
        * src/nautilus-navigation-window-menus.c:
        * src/nautilus-places-sidebar.c:
        * src/nautilus-query-editor.c:
        * src/nautilus-shell.c:
        * src/nautilus-sidebar-title.c:
        * src/nautilus-window-manage-views.c:
        * src/nautilus-window.c:
        * test/test-nautilus-mime-actions-set.c:
        * test/test-nautilus-mime-actions.c:
        * test/test.h:
	Remove lots of gnome vfs includes
	
        * src/Makefile.am:
	Disable building of connect to server app

2007-11-02  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file.[ch]:
        Add nautilus_file_is_launchable

        * libnautilus-private/nautilus-program-choosing.c:
	Add launched apps to recent files
	
        * libnautilus-private/nautilus-mime-actions.[ch]:
        * src/file-manager/fm-directory-view.[ch]:
	Move all the file activaton code from FMDirectoryView
	to a common place in nautilus-mime-actions

2007-11-01  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.[ch]:
	Stub out all gnome-vfs using operations with a
	dialog saying this isn't supported yet.
	
        * src/Makefile.am:
        * src/file-manager/fm-directory-view.c:
        * src/nautilus-shell-ui.xml:
        * src/nautilus-window-menus.c:
	Remove all connect to server use for now
	Not sure what to do with it in the gvfs world
	
        * src/file-manager/fm-error-reporting.c:
        * src/nautilus-main.c:
	Remove gnome_vfs uses

2007-11-01  Paolo Borelli  <pborelli@katamail.com>

        * src/nautilus-window-manage-views.c: use g_file_get_uri_scheme
	instead of a hand rolled version.

2007-11-01  Paolo Borelli  <pborelli@katamail.com>

        * src/file-manager/fm-directory-view.c: do not use the deprecated
	gnome_util_home_file and make sure tha ~/.gnome2 is created if it
	doesn't exist.

2007-11-01  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.[ch]:
	Convert unmount volume to gio
	Remove unmount drive (makes no sense!)
	
        * src/nautilus-places-sidebar.c:
	Use new APIs

2007-11-01  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file.c:
        (nautilus_file_get_uri_scheme):
	Better get_uri_scheme implementation
	
        * libnautilus-private/nautilus-mime-actions.[ch]:
	Remove the open_with versions (not needed anymore)
	Add support for uri_handlers
	
        * libnautilus-private/nautilus-program-choosing.[ch]:
	Remove now unused function nautilus_launch_show_file
	
        * src/file-manager/fm-directory-view.c:
        * src/nautilus-information-panel.c:
        * src/nautilus-window.c:
	Update for above api changes

2007-10-31  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-dnd.c:
	Convert default dnd op to gio code

2007-10-31  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-search-engine-simple.c:
	Update to changed gio API

2007-10-31  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-vfs-utils.[ch]:
	Remove more unused gnome-vfs helpers

2007-10-31  Alexander Larsson  <alexl@redhat.com>

	* src/file-manager/fm-icon-view.c (play_file):
	Use a better pipeline for audio preview (doesn't play videos)
	Add back totem preview app.

        * libnautilus-private/nautilus-file.c:
        (nautilus_file_get_volume_name):
	Get volume name using gio
	
        * src/file-manager/fm-properties-window.c:
	Show volume name for non local files too
	Avoid crashes if query fsinfo fails

2007-10-30  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-program-choosing.c:
        (nautilus_launch_show_file):
	Avoid gnome_vfs calls

2007-10-30  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-icon-canvas-item.c:
        (real_map_pixbuf):
	Fix indentation
	
        * src/file-manager/Makefile.am:
        * src/file-manager/fm-icon-view.c:
        * src/file-manager/nautilus-audio-mime-types.h:
	Replace audio preview code with new one based
	on gst-launch, removing all the gnome-vfs code

2007-10-29  Alexander Larsson  <alexl@redhat.com>

	* libnautilus-private/nautilus-dnd.c:
	Remove gnome-vfs code

2007-10-29  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-utilities.[ch]:
        * libnautilus-private/nautilus-file-operations.c:
	Move public gnome-vfs functions from file-utilities to internal
	calls in file-operations.c
	Replace gnome-vfs use with gio
	
        * libnautilus-private/nautilus-file-operations-progress.c:
        * src/file-manager/fm-tree-view.c:
	Replace gnome-vfs use with gio

2007-10-29  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-operations.[ch]:
	Move nautilus_file_operations_delete to the gio code.

        * src/file-manager/fm-directory-view.c:
        * src/file-manager/fm-tree-view.c:
	Update to use new nautilus_file_operations_delete

2007-10-26  Paolo Borelli  <pborelli@katamail.com>

        * libnautilus-private/nautilus-module.c:
	Fix valgrind warning on shutdown (#346401, ported from trunk).

2007-10-26  Paolo Borelli  <pborelli@katamail.com>

	* libnautilus-private/nautilus-directory.c:
	* libnautilus-private/nautilus-desktop-link.c:
	* libnautilus-private/nautilus-desktop-icon-file.c:
	* libnautilus-private/nautilus-bookmark.c:
	* libnautilus-private/nautilus-trash-monitor.c:
	* libnautilus-private/nautilus-file.c:
	Plug minor memory leaks and improper uses of eel_ref_str_*

2007-10-26  Paolo Borelli  <pborelli@katamail.com>

	* libnautilus-private/nautilus-desktop-link.c: unref the icon instead
	of freeing it to avoid memory corruption.

2007-10-25  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-changes-queue.[ch]:
        * libnautilus-private/nautilus-monitor.c:
	Rename some file change queue functions to _by_uri
	add GFile based version with the original name
	
        * libnautilus-private/nautilus-file-operations.[ch]:
	Add gio based nautilus_file_operations_trash_or_delete() call.
	
        * src/file-manager/fm-directory-view.c:
	Call nautilus_file_operations_trash_or_delete()
	Remove unused code

2007-10-25  Alexander Larsson  <alexl@redhat.com>

        * src/file-manager/fm-directory-view.[ch]:
	Make file activation handle mounting of mountables and non-mounted
	locations. Also general cleanup of activation.
	Cancellation not handled yet.

2007-10-25  Paolo Borelli  <pborelli@katamail.com>

	* src/file-manager/fm-list-view.c:
	* libnautilus-private/nautilus-icon-info.c:
	* libnautilus-private/nautilus-file.c:
	Plug some minor memory leaks.

2007-10-25  Paolo Borelli  <pborelli@katamail.com>

	* src/nautilus-window-manage-view.c (location_has_really_changed):
	Fix a warning when switching view.

2007-10-25  Paolo Borelli  <pborelli@katamail.com>

	* src/nautilus-application.c:
	* src/nautilus-property-browser.c:
	* src/nautilus-shell.c:

	Do not use EelStringList.

2007-10-24  Paolo Borelli  <pborelli@katamail.com>

	* src/nautilus-file-management-properties.c:
	remove eel_string_list (ab)use.

2007-10-24  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file.[ch]:
        * libnautilus-private/nautilus-vfs-file.c:
	Pass GMountOperation instead of parent to mount.
	Nothing for unmount/eject
	
        * src/file-manager/fm-directory-view.c:
	Pass in a mount operation for mount.
	Disable timeout when mount operation is active

2007-10-24  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file.c:
	Use g_utf8_collate, not eel_strcoll.

2007-10-24  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-icon-canvas-item.c:
        * test/test.c:
	Update for eel changes

2007-10-23  Alexander Larsson  <alexl@redhat.com>

        * configure.in:
        * libnautilus-private/nautilus-icon-canvas-item.[ch]:
        * libnautilus-private/nautilus-icon-container.c:
        * libnautilus-private/nautilus-icon-dnd.c:
        * libnautilus-private/nautilus-icon-private.h:
        * test/test.c:
	Remove libart dependency, use eel rect and point types

2007-10-23  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-program-choosing.c:
        (nautilus_launch_application_from_command):
	Use gdk_spawn instead of eel

2007-10-23  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-dnd.c:
        * libnautilus-private/nautilus-file.c:
        * libnautilus-private/nautilus-program-choosing.c:
        * src/file-manager/fm-directory-view.c:
        * src/file-manager/fm-properties-window.c:
        * src/nautilus-emblem-sidebar.c:
        * src/nautilus-information-panel.c:
	Don't use removed eel gnome-vfs functions

2007-10-23  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-directory.[ch]:
        Add nautilus_directory_get_location

        * libnautilus-private/nautilus-file.[ch]:
	Add nautilus_file_get_parent_location.
	Port from eel_format_uri_for_display to gio parse names
	
        * libnautilus-private/nautilus-program-choosing.c:
        * src/file-manager/fm-directory-view.c:
        * src/nautilus-emblem-sidebar.c:
        * src/nautilus-location-bar.c:
        * src/nautilus-location-dialog.c:
        * src/nautilus-navigation-window-menus.c:
        * src/nautilus-window-bookmarks.c:
	Port from eel_format_uri_for_display to gio parse names

2007-10-23  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-utilities.c:
        (nautilus_ensure_unique_file_name):
	Port from gnome-vfs
	
        * src/file-manager/fm-directory-view.c:
        (fm_directory_view_handle_netscape_url_drop):
	Handle missing mimetype

2007-10-23  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-utilities.c:
        (nautilus_compute_title_for_location):
	Make this use only display name.
	
        * libnautilus-private/nautilus-icon-info.c:
        (nautilus_icon_info_lookup):
	Don't free filename before use
	
        * libnautilus-private/nautilus-search-directory-file.[ch]:
        * libnautilus-private/nautilus-search-directory.c:
	Create nice display name for search directories, and keep it updated.
	
        * src/nautilus-window-manage-views.c:
	Fix wrong type of argument passed to signal

2007-10-23  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file.c:
	Replace some gnome vfs calls

2007-10-23  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-metafile.c:
	Use new gio uri escape functions instead of gnome-vfs

2007-10-22  Alexander Larsson  <alexl@redhat.com>

        * src/nautilus-location-entry.c:
	Use GFilenameCompleter

2007-10-22  Alexander Larsson  <alexl@redhat.com>

        * src/nautilus-application.c:
        * src/nautilus-information-panel.c:
        * src/nautilus-spatial-window.c:
        * src/nautilus-spatial-window.h:
        * src/nautilus-window-manage-views.c:
	Use GFile * instead of uris in some more places
	
	Patch from Paolo Borelli

2007-10-22  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-desktop-icon-file.c:
        * libnautilus-private/nautilus-file.c:
        * libnautilus-private/nautilus-saved-search-file.c:
        * libnautilus-private/nautilus-search-directory-file.c:
	Fix handling of mimetype as refstring
	Fix leak of GFile
	Code cleanups

	Patch from Paolo Borelli

2007-10-19  Paolo Borelli  <pborelli@katamail.com>

	* src/file-manager/fm-icon-view.c:
	* src/file-manager/fm-directory-view.c:
	use g_content_type_equals instead of strcasecmp on the mime type.

	* src/nautilus-window-menus.c:
	Remove unneeded includes

2007-10-19  Paolo Borelli  <pborelli@katamail.com>

	* libnautilus-private/nautilus-emblem-utils.h:
	* libnautilus-private/nautilus-emblem-utils.c:
	* src/nautilus-emblem-sidebar.c:
	* src/nautilus-property-browser.c:

	Make nautilus_emblem_load_pixbuf_for_emblem take a GFile.

2007-10-19  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file.c:
        (nautilus_file_set_display_name):
	Don't crash on NULL display name

2007-10-19  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-private.h:
        * libnautilus-private/nautilus-file.[ch]:
        * libnautilus-private/nautilus-vfs-file.c:
	Remove NautilusFileMountCallback and just make
	NautilusFileOperationCallback take an extra
	resultant file argument.
	
        * src/file-manager/fm-directory-view.c:
        * src/file-manager/fm-error-reporting.c:
        * src/file-manager/fm-list-view.c:
        * src/file-manager/fm-properties-window.c:
	Update to API change
	
        * src/nautilus-pathbar.c:
        (get_display_name_for_folder):
	Fix crash if NULL display name

2007-10-19  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-desktop-icon-file.c:
	Set can_mount/unmount to FALSE unless set
	
        * libnautilus-private/nautilus-file-private.h:
        * libnautilus-private/nautilus-file.c:
        * libnautilus-private/nautilus-file.h:
	Make the Operation object semi-public
	Move mount ops to virtual functions
	
        * libnautilus-private/nautilus-vfs-file.c:
	Initial work to implement mount op

2007-10-18  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-utilities.[ch]:
        * src/nautilus-pathbar.c:
        Add & use nautilus_get_desktop_location
	
        * libnautilus-private/nautilus-dnd.c:
	Port code to gio
	
        * libnautilus-private/nautilus-icon-dnd.c:
	Trash is now a real uri location, remove special case

2007-10-18  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-utilities.[ch]:
	Make compute_title take a GFile

        * libnautilus-private/nautilus-view-factory.[ch]:
        * libnautilus-private/nautilus-window-info.[ch]:
        * src/file-manager/fm-directory-view.c:
        * src/file-manager/fm-tree-view.c:
        * src/nautilus-application.[ch]:
        * src/nautilus-bookmark-list.c:
        * src/nautilus-bookmarks-window.c:
        * src/nautilus-connect-server-dialog-nonmain.c:
        * src/nautilus-desktop-window.c:
        * src/nautilus-history-sidebar.c:
        * src/nautilus-location-bar.c:
        * src/nautilus-location-dialog.c:
        * src/nautilus-navigation-window.c:
        * src/nautilus-places-sidebar.c:
        * src/nautilus-shell.c:
        * src/nautilus-spatial-window.c:
        * src/nautilus-window-manage-views.[ch]:
        * src/nautilus-window-menus.c:
        * src/nautilus-window-private.h:
        * src/nautilus-window.[ch]:
	Use GFile * instead of char * uri in all loation handling
	for windows.

2007-10-18  Paolo Borelli  <pborelli@katamail.com>

	* src/nautilus-image-properties-page.c: port to gio.

2007-10-18  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-directory-private.h:
        * libnautilus-private/nautilus-directory.[ch]:
        * src/nautilus-application.c:
	Make nautilus_directory_get_existing take GFile *.
	Add nautilus_directory_get taking a GFile *

2007-10-18  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-desktop-directory-file.c:
        * libnautilus-private/nautilus-desktop-directory.c:
        * libnautilus-private/nautilus-desktop-icon-file.c:
        * libnautilus-private/nautilus-desktop-link-monitor.c:
        * libnautilus-private/nautilus-directory.c:
        * libnautilus-private/nautilus-directory.h:
        * libnautilus-private/nautilus-file-operations.c:
        * libnautilus-private/nautilus-file-utilities.c:
        * src/file-manager/fm-directory-view.c:
        * src/nautilus-navigation-window.c:
        * src/nautilus-window-manage-views.c:
        * test/test-nautilus-directory-async.c:
	Rename nautilus_directory_get to nautilus_directory_get_by_uri.

2007-10-18  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-desktop-link.c:
        * libnautilus-private/nautilus-desktop-icon-file.c:
	Handle NULL volume
	
        * libnautilus-private/nautilus-file.c:
        * libnautilus-private/nautilus-icon-dnd.c:
	Convert gnome_vfs calls to gio

2007-10-18  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-desktop-icon-file.c:
        * src/nautilus-application.c:
        * src/nautilus-window-menus.c:
        * test/test-nautilus-directory-async.c:
        * test/test.c:
	Convert gnome_vfs calls to gio

2007-10-18  Alexander Larsson  <alexl@redhat.com>

        * src/nautilus-application.[ch]:
	Convert gnome_vfs calls to gio

	* TODO-gio:
	Document some stuff that needs doing in gio-branch

2007-10-18  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-search-engine-simple.c:
	Remove spew
	
        * src/nautilus-query-editor.c:
        Work around crash getting NULL back as the location.

2007-10-18  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-utilities.[ch]:
	Add nautilus_is_home_directory and nautilus_is_root_directory
	
        * src/nautilus-window-manage-views.c:
	Convert gnome_vfs calls to gio

2007-10-18  Alexander Larsson  <alexl@redhat.com>

	* src/nautilus-window.c (nautilus_window_go_up):
	Use gio to find parent

2007-10-18  Alexander Larsson  <alexl@redhat.com>

	* src/nautilus-pathbar.[ch]:
        * src/nautilus-navigation-window.c:
        * src/nautilus-window-manage-views.c:
	Use gio in pathbar

2007-10-17  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-vfs-utils.[ch]:
	Remove now unused gnome_vfs to gio helpers

2007-10-17  Alexander Larsson  <alexl@redhat.com>

        * src/nautilus-location-bar.c:
	Remove some unused code
	Replace gnome_vfs code with gio code

2007-10-17  Alexander Larsson  <alexl@redhat.com>

	* libnautilus-private/nautilus-file.c (nautilus_file_can_trash):
	Typo can_delete -> can_trash

2007-10-17  Alexander Larsson  <alexl@redhat.com>

        * src/nautilus-property-browser.c:
	Replace some gnome-vfs code with gio code

2007-10-17  Alexander Larsson  <alexl@redhat.com>

        * src/file-manager/fm-properties-window.c:
	Replace some gnome-vfs code with gio code

2007-10-17  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file-private.h:
        * libnautilus-private/nautilus-file.[ch]:
        Add can_delete and can_trash
	
        * src/file-manager/fm-directory-view.c:
	Replace some gnome-vfs code with gio code

2007-10-17  Alexander Larsson  <alexl@redhat.com>

	* src/nautilus-location-dialog.c (open_current_location): 
	Use g_file_parse_name instead of gnome_vfs_make_uri_from_input
	
2007-10-17  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-search-engine-simple.c:
	Update to use gio

2007-10-17  Paolo Borelli  <pborelli@katamail.com>

	* libnautilus-private/nautilus-recent.c: do not use gnome-vfs.

2007-10-17  Paolo Borelli  <pborelli@katamail.com>

	* libnautilus-private/nautilus-emblem-utils.c: do not use gnome-vfs.

2007-10-17  Paolo Borelli  <pborelli@katamail.com>

	* libnautilus-private/nautilus-link.[ch]: remove.
	* libnautilus-private/nautilus-link-desktop-file.[ch]: port to gio
	and rename them to nautilus-link.[ch]
	* libnautilus-private/nautilus-file.c: adapt for the above change.

2007-10-17  Alexander Larsson  <alexl@redhat.com>

        * src/nautilus-places-sidebar.c:
	Use gio volume APIs

2007-10-17  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file.[ch]:
        * libnautilus-private/nautilus-file-private.h:
	Remove has/get_volume/drive, replace with
	can_mount/unmount/eject and mount/unmount/eject.
	(Which are not fully implemented yet)
	Add nautilus_file_is_mountpoint.
	
        * libnautilus-extension/nautilus-file-info.[ch]:
        * libnautilus-private/nautilus-directory-async.c:
        * libnautilus-private/nautilus-link-desktop-file.[ch]:
        * libnautilus-private/nautilus-link.[ch]:
        * src/file-manager/fm-directory-view.c:
        * src/file-manager/fm-icon-view.c:
        * src/file-manager/fm-properties-window.c:
        * src/file-manager/fm-tree-model.[ch]:
        * src/file-manager/fm-tree-view.c:
	Use gio volume APIs

2007-10-16  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-desktop-icon-file.c:
        * libnautilus-private/nautilus-desktop-link-monitor.c:
        * libnautilus-private/nautilus-desktop-link.[ch]:
        * libnautilus-private/nautilus-directory-async.c:
        * libnautilus-private/nautilus-file-private.h:
        * libnautilus-private/nautilus-file.c:
        * libnautilus-private/nautilus-search-directory-file.c:
        * src/file-manager/fm-directory-view.c:
        * src/file-manager/fm-properties-window.c:
	Convert some volume monitor use to gio

2007-10-16  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-trash-monitor.c:
	Ref icon in nautilus_trash_monitor_get_icon()
	
        * libnautilus-private/nautilus-desktop-icon-file.c:
        * libnautilus-private/nautilus-desktop-link.c:
        * libnautilus-private/nautilus-desktop-link.h:
        * src/nautilus-places-sidebar.c:
	Use nautilus_trash_monitor_get_icon() when possible
	
2007-10-16  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-trash-monitor.[ch]:
	Add full gio implementation and get_icon()

2007-10-15  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/Makefile.am:
        * libnautilus-private/nautilus-icon-factory-private.h: Removed.
        * libnautilus-private/nautilus-icon-factory.c: Removed.
        * libnautilus-private/nautilus-icon-factory.h: Removed.
	Remove NautilusIconFactory code.
	Now all code use the new APIs
	YAHOO!!!
	
        * libnautilus-private/nautilus-bookmark.c:
        * libnautilus-private/nautilus-bookmark.h:
        * libnautilus-private/nautilus-file.c:
        * libnautilus-private/nautilus-global-preferences.c:
        * libnautilus-private/nautilus-icon-canvas-item.c:
        * libnautilus-private/nautilus-icon-canvas-item.h:
        * libnautilus-private/nautilus-icon-container.h:
        * libnautilus-private/nautilus-icon-private.h:
        * libnautilus-private/nautilus-link-desktop-file.c:
        * libnautilus-private/nautilus-program-choosing.c:
        * libnautilus-private/nautilus-view.h:
        * src/file-manager/fm-directory-view.c:
        * src/file-manager/fm-icon-view.c:
        * src/file-manager/fm-list-model.c:
        * src/file-manager/fm-list-model.h:
        * src/file-manager/fm-list-view.c:
        * src/file-manager/fm-properties-window.c:
        * src/file-manager/fm-tree-model.c:
        * src/file-manager/fm-tree-view.c:
        * src/nautilus-application.c:
        * src/nautilus-bookmark-list.c:
        * src/nautilus-bookmarks-window.c:
        * src/nautilus-emblem-sidebar.c:
        * src/nautilus-navigation-window-menus.c:
        * src/nautilus-navigation-window.c:
        * src/nautilus-pathbar.c:
        * src/nautilus-places-sidebar.c:
        * src/nautilus-sidebar-title.c:
        * src/nautilus-window-menus.c:
        * src/nautilus-window.c:
        * src/nautilus-zoom-control.h:
        * test/test-nautilus-wrap-table.c:
	Don't include the nautilus-icon-factory headers

2007-10-15  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file.[ch]:
	Add NAUTILUS_FILE_ICON_FLAGS_FOR_OPEN_FOLDER
	Fix force_size handling
	
        * src/file-manager/fm-directory-view.c:
        * src/file-manager/fm-empty-view.c:
        * src/file-manager/fm-list-model.c:
        * src/file-manager/fm-properties-window.c:
        * src/file-manager/fm-tree-model.c:
        * src/nautilus-emblem-sidebar.c:
        * src/nautilus-navigation-window-menus.c:
        * src/nautilus-property-browser.c:
        * src/nautilus-sidebar-title.c:
	Convert more stuff to new icon API

2007-10-15  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-icon-info.[ch]:
        Add nautilus_icon_info_lookup_from_name
	
        * libnautilus-private/nautilus-ui-utilities.c:
        * src/nautilus-desktop-window.c:
        * src/nautilus-navigation-window.c:
        * src/nautilus-pathbar.c:
	Use nautilus_icon_info_lookup_from_name to get less
	code

2007-10-15  Alexander Larsson  <alexl@redhat.com>

        * src/nautilus-pathbar.c:
        * src/nautilus-spatial-window.c:
	Convert more stuff to new icon API

2007-10-15  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file.[ch]:
	Add nautilus_file_get_icon_pixbuf and
	IGNORE_VISITING icon flag
	
        * libnautilus-private/nautilus-icon-info.[ch]:
        Add nautilus_icon_info_get_used_name function

        * libnautilus-private/nautilus-emblem-utils.c:
        * libnautilus-private/nautilus-program-choosing.c:
        * libnautilus-private/nautilus-ui-utilities.c:
        * src/nautilus-desktop-window.c:
        * src/nautilus-navigation-window.c:
        * src/nautilus-spatial-window.c:
        * src/nautilus-window.[ch]:
	Convert to new icon APIs

2007-10-15  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/Makefile.am:
        * libnautilus-private/nautilus-audio-player.c: Removed.
        * libnautilus-private/nautilus-audio-player.h: Removed.
        * src/file-manager/fm-icon-view.c:
	Kill old unused code

2007-10-15  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-icon-info.[ch]:
	Add nautilus_icon_info_get_pixbuf_nodefault_at_size
	
        * libnautilus-private/nautilus-file.[ch]:
	New functions for getting emblem icons and emblem pixbufs
	
        * libnautilus-private/nautilus-icon-container.[ch]:
        * libnautilus-private/nautilus-icon-factory.c:
        * src/file-manager/fm-directory-view.[ch]:
        * src/file-manager/fm-icon-container.c:
        * src/file-manager/fm-list-model.c:
        * src/file-manager/fm-tree-model.c:
        * src/nautilus-sidebar-title.c:
	Update to use the new emblem getters

2007-10-15  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-icon-info.[ch]:
	Add nautilus_get_icon_size_for_stock_size
	
        * libnautilus-private/nautilus-bookmark.c:
        * src/nautilus-places-sidebar.c:
        Use the above

2007-10-15  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-thumbnails.c:
	Add required thumbnailing stuff from NautilusIconFactory here

2007-10-15  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-icon-factory.[ch]:
        * libnautilus-private/nautilus-icon-info.[ch]:
	Move over icon size util functions to nautilus-icon-info

        * libnautilus-private/nautilus-icon-container.c:
        * libnautilus-private/nautilus-lib-self-check-functions.h:
        * src/file-manager/fm-list-model.c:
        * src/nautilus-sidebar-title.c:
	Update to new names

2007-10-15  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-icon-container.c:
        * libnautilus-private/nautilus-icon-factory.h:
	Remove NAUTILUS_ICON_SIZE_THUMBNAIL define as this is
	really dynamic.

2007-10-15  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file.c:
	Actually handle thumbnail size prefs
	
2007-10-15  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file.c:
	Handle thumbnail size prefs
	Handle all sorts of icon changes and emit CHANGED on
	files in this case.

        * libnautilus-private/nautilus-directory-private.h:
        * libnautilus-private/nautilus-directory.c:
        * libnautilus-private/nautilus-icon-container.c:
        * libnautilus-private/nautilus-icon-info.c:
        * libnautilus-private/nautilus-icon-info.h:
        * src/file-manager/fm-directory-view.c:
        * src/file-manager/fm-list-view.c:
        * src/file-manager/fm-properties-window.c:
        * src/file-manager/fm-tree-model.c:
        * src/file-manager/fm-tree-model.h:
        * src/file-manager/fm-tree-view.c:
        * src/nautilus-bookmarks-window.c:
        * src/nautilus-sidebar-title.c:
        * src/nautilus-window-bookmarks.c:
        * src/nautilus-window.c:
	Remove use of icon factory icons_changed signal, using instead
	the file CHANGED signal.

2007-10-15  Alexander Larsson  <alexl@redhat.com>

	* libnautilus-private/nautilus-file.c (nautilus_file_get_all_attributes):
	Add thumbnail to all attributes

2007-10-15  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-file.h:
	Add NAUTILUS_FILE_ATTRIBUTES_FOR_ICON
	
        * libnautilus-private/nautilus-bookmark.c:
        * src/file-manager/fm-directory-view.c:
        * src/file-manager/fm-properties-window.c:
        * src/file-manager/fm-tree-model.c:
        * src/nautilus-bookmark-list.c:
        * src/nautilus-pathbar.c:
        * src/nautilus-sidebar-title.c:
	Use NAUTILUS_FILE_ATTRIBUTES_FOR_ICON instead of
	nautilus_icon_factory_is_icon_ready_for_file and
	nautilus_icon_factory_get_required_file_attributes.

2007-10-12  Alexander Larsson  <alexl@redhat.com>

        * libnautilus-private/nautilus-bookmark.[ch]:
        * libnautilus-private/nautilus-file.[ch]:
        * libnautilus-private/nautilus-icon-info.c:
        * src/nautilus-application.c:
        * src/nautilus-bookmark-list.c:
        * src/nautilus-bookmarks-window.c:
        * src/nautilus-places-sidebar.c:
        * src/nautilus-window-manage-views.c:
        * src/nautilus-window-private.h:
        * src/nautilus-window.c:
	Convert bookmarks API to gio / GIcon

2007-10-12  Alexander Larsson  <alexl@redhat.com>

